package com.jusfoun.ydylsz.controller;

import com.jusfoun.ydylsz.service.DeviceService;
import com.jusfoun.ydylsz.vo.DeviceVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author yanqing
 * @date 2022/4/15 16:11
 */

@Api(description = "设备管理")
@RestController
@RequestMapping(value = "/device")
public class DeviceController {
    @Autowired
    private DeviceService deviceService;

    @ApiOperation(value = "列表查询", notes = "参数：XX企业")
    @GetMapping(value = "/list/{kddm}")
    public RootResult<List<DeviceVO>> selectList(@PathVariable("kddm") String kddm) {
        RootResult<List<DeviceVO>> r = new RootResult<>();
        try {
            r.setData(deviceService.selectByKddm(kddm));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }
}
