package com.jusfoun.ydylsz.controller;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import com.jusfoun.ydylsz.service.KshGgfwService;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;

@Api(description="公共服务接口")
@Controller
@RequestMapping(value = "/ggfw")
public class KshGgfwController {

	@Autowired
	private KshGgfwService kshGgfwService;
	
	@RequestMapping(value = "/querySheng",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> querySheng(String xzqhdm) {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList = kshGgfwService.querySheng(xzqhdm);
			r.setData(dataList);
		}catch(Exception e) {
			r.failure("省查询异常");
			e.printStackTrace();
		}
		return r;
	}
	
	@RequestMapping(value = "/queryShi ",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> queryShi(String stdcode) {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList = kshGgfwService.queryShi(stdcode);
			r.setData(dataList);
		}catch(Exception e) {
			r.failure("市查询异常");
			e.printStackTrace();
		}
		return r;
	}
	
	@RequestMapping(value = "/queryXian",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> queryXian(String stdcode) {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList = kshGgfwService.queryXian(stdcode);
			r.setData(dataList);
		}catch(Exception e) {
			r.failure("县查询异常");
			e.printStackTrace();
		}
		return r;
	}

	@RequestMapping(value = "/queryRoleXian",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> queryRoleXian(String stdcode,String roleId) {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList = kshGgfwService.queryRoleXian(stdcode,roleId);
			r.setData(dataList);
		}catch(Exception e) {
			r.failure("县查询异常");
			e.printStackTrace();
		}
		return r;
	}
	
	@RequestMapping(value = "/querySjzd",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> querySjzd() {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList = kshGgfwService.querySjzd();
			r.setData(dataList);
		}catch(Exception e) {
			r.failure("数据字典查询异常");
			e.printStackTrace();
		}
		return r;
	}

	@RequestMapping(value = "/getSjzd",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> querySjzd(String typeName) {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList = kshGgfwService.getSjzd(typeName);
			r.setData(dataList);
		}catch(Exception e) {
			r.failure("数据字典查询异常");
			e.printStackTrace();
		}
		return r;
	}
	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description code为空 查询省份
	 * @Date 2019年8月2日 上午11:15:56
	 * @param code
	 * @return RootResult<Object>
	 */
	@RequestMapping(value = "/queryArea",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> queryArea(@RequestParam(required = false,value ="pcode") String pcode) {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<Map<String,Object>> dataList = kshGgfwService.queryArea(pcode);
			r.setData(dataList);
		}catch(Exception e) {
			r.failure("省查询异常");
			e.printStackTrace();
		}
		return r;
	}
}
