package com.jusfoun.ydylsz.controller;


import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.zjbg.ZjbgService;
import com.jusfoun.ydylsz.utils.DateUtil;
import com.jusfoun.ydylsz.utils.StringUtils;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.jusfoun.ydylsz.vo.zjbg.StorageQualitycheckForSPT;
import com.jusfoun.ydylsz.vo.zjbg.ZjbgVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(description="质检报告接口")
@RestController
@RequestMapping(value = "/zjbg")
public class ZjbgController {

    @Autowired
    private ZjbgService zjbgService;


    @ApiOperation(value = "质检报告对接", notes = "参数：param")
    @PostMapping(value = "/receiveData")
    public String receiveData(@RequestBody String param) {
        String result= "";
        try {
            if(!StringUtils.isNullString(param)){
                System.out.println(param);
                StorageQualitycheckForSPT dept= JSONObject.parseObject(param, StorageQualitycheckForSPT.class);
                if(dept.getId()==null){
                    result = "id不能为空";
                }else{
                    ZjbgVO zjbg = zjbgService.selectZjbgDetail(String.valueOf(dept.getId()));
                    if(zjbg!=null){//更新数据
                        zjbgService.updataZjbg(dept,zjbg);
                    }else{//新增数据
                        zjbgService.insertZjbg(dept);
                    }
                    result = "操作成功";
                }
            }else{
                result = "接口数据为空";
            }
        }catch(Exception e) {
            result = "数据异常";
            e.printStackTrace();
        }
        return result;
    }

    @ApiOperation(value = "质检报告对接", notes = "参数：param")
    @PostMapping(value = "/receive")
    public String receive(String param) {
        String result= "";
        try {
            if(!StringUtils.isNullString(param)){
                System.out.println(param);
                StorageQualitycheckForSPT dept= JSONObject.parseObject(param, StorageQualitycheckForSPT.class);
                if(dept.getId()==null){
                    result = "id不能为空";
                }else{
                    ZjbgVO zjbg = zjbgService.selectZjbgDetail(String.valueOf(dept.getId()));
                    if(zjbg!=null){//更新数据
                        zjbgService.updataZjbg(dept,zjbg);
                    }else{//新增数据
                        zjbgService.insertZjbg(dept);
                    }
                    result = "操作成功";
                }
            }else{
                result = "接口数据为空";
            }
        }catch(Exception e) {
            result = "数据异常";
            e.printStackTrace();
        }
        return result;
    }

    @ApiOperation(value = "质检报告对接", notes = "参数：param")
    @PostMapping(value = "/receiveDatas")
    public String receiveDatas(@RequestParam String param) {
        String result= "";
        try {
            if(!StringUtils.isNullString(param)){
                System.out.println(param);
                StorageQualitycheckForSPT dept= JSONObject.parseObject(param.substring(1,param.length()-1),
                        StorageQualitycheckForSPT
                        .class);
                System.out.println(dept);
                result = "接口调用成功3";
            }else{
                result = "接口数据为空3";
            }
        }catch(Exception e) {
            result = "数据异常";
            e.printStackTrace();
        }

        return result;
    }



    @ApiOperation(value = "质检报告历史数据同步 ", notes = "参数：")
    @PostMapping(value = "/synchronData")
    public String synchronData() {
        String result= "";
        try {
            zjbgService.synchronData();
                result = "接口调用成功3";
        }catch(Exception e) {
            result = "数据异常";
            e.printStackTrace();
        }

        return result;
    }

    @ApiOperation(value = "列表查询", notes = "参数：无")
    @PostMapping(value = "/selectZjbgList")
    public RootResult<PageInfo<ZjbgVO>> selectZjbgList(@RequestBody ZjbgVO vo){
        RootResult<PageInfo<ZjbgVO>> r = new RootResult<>();
        try {
            r.setData(zjbgService.selectZjbgList(vo));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    @ApiOperation(value = "列表查询", notes = "参数：无")
    @PostMapping(value = "/selectZjbgLists")
    public RootResult<PageInfo<ZjbgVO>> selectZjbgLists(@RequestBody ZjbgVO vo){
        RootResult<PageInfo<ZjbgVO>> r = new RootResult<>();
        try {
            r.setData(zjbgService.selectZjbgLists(vo));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    @ApiOperation(value = "质检详情", notes = "参数：zjid")
    @GetMapping(value = "/selectZjbgDetail/{zjid}")
    public RootResult<Object> selectZjbgDetail(@PathVariable("zjid") String zjid){
        RootResult<Object> r = new RootResult<Object>();
        try {
            ZjbgVO result = zjbgService.v2SelectZjbgDetail(zjid);
            r.setData(result);
            r.setCode(200);
            r.setMsg("请求成功");
        } catch (Exception e) {
            r.setMsg(e.getMessage());
            e.printStackTrace();
            r.setCode(500);
        }
        return r;
    }

    public static void main(String[] args) {
        StorageQualitycheckForSPT result = new StorageQualitycheckForSPT();
        System.out.println(DateUtil.getFormattedDateUtil(result.getChooseTime(),"yyyy-MM-dd HH:mm:ss"));
    }

    @ApiOperation(value = "质检报告新增", notes = "参数：param")
    @PostMapping(value = "/saveZjbg")
    public RootResult<String> saveZjbg(@RequestBody ZjbgVO vo) {
        RootResult<String> r = new RootResult<>();
        try {
            r.setData(zjbgService.saveZjbg(vo));
        } catch (Exception e) {
            r.setMsg(e.getMessage());
            e.printStackTrace();
            r.setCode(500);
        }
        return r;
    }
}
