package com.jusfoun.ydylsz.controller.dxp;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.pojo.HlhtCapturePicVo;
import com.jusfoun.ydylsz.service.HlhtCapturePicService;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(value = "仓内视频图", tags = "仓内视频图")
@Slf4j
@RestController
@RequestMapping("/cnspt")
public class CnsptController {

    @Autowired
    private HlhtCapturePicService capturePicService;

    @ApiOperation(value = "获取仓内视频图列表")
    @PostMapping(value = "/getCnspt/{pageNo}/{pageSize}")
    public RootResult<PageInfo<HlhtCapturePicVo>> getCnspt(@RequestBody HlhtCapturePicVo hlhtCapturePicVo,
                                                           @PathVariable("pageNo") Integer pageNo,
                                                           @PathVariable("pageSize") Integer pageSize) {
        RootResult<PageInfo<HlhtCapturePicVo>> r = new RootResult<>();
        try {
            r.setData(capturePicService.getCnspt(pageNo,pageSize,hlhtCapturePicVo));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

}
