package com.jusfoun.ydylsz.controller.dxp;

import java.util.List;
import java.util.Map;
import java.util.Set;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.jusfoun.ydylsz.constants.ApiTag;
import com.jusfoun.ydylsz.constants.RedisDataBaseIndex;
import com.jusfoun.ydylsz.pojo.*;
import com.jusfoun.ydylsz.service.*;
import com.jusfoun.ydylsz.service.zjbg.ZjbgService;
import com.jusfoun.ydylsz.util.RedisUtil;
import com.jusfoun.ydylsz.vo.*;
import com.jusfoun.ydylsz.vo.zjbg.ZjbgVO;
import com.unis.common.utils.JwtUtil;
import com.unis.common.utils.RequestUtils;
import io.jsonwebtoken.Claims;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import redis.clients.jedis.Jedis;


/**
 * @author huangxing
 * @version 1.0
 * @Title TzSlqyController
 * @ProjectName 企业信息Controller
 * @Description
 * @date 2019/07/22 17点26分
 */
@RestController
@RequestMapping("/collect")
@Api(value = "汇总查询", tags = "汇总查询")
@Slf4j
public class CollectController {


	@Autowired
	private PestService pestService;

	@Autowired
	private LsrkService lsrkService;

	@Autowired
	private LsKcxxService lsKcxxService;

	@Autowired
	private LsckService lsckService;

	@Autowired
	private ZljcService zljcService;

	@Autowired
	private TfService tfService;

	@Autowired
	private ZjbgService zjbgService;

	@Autowired
	private DXPKQXXService dxpkqxxService;

	@Autowired
	private CommonService commonService;

	@Autowired
	private LsdcService lsdcService;

	@ApiOperation(value = "粮情卡分页列表", notes = "粮情卡对象")
	@PostMapping(value = "/lqk/page")
	public RootResult<Object> lqkPage(@RequestBody DcflqkqkVO dcflqkqkVO
		,@RequestParam("pageNum") int pageNum
		,@RequestParam("pageSize") int pageSize){
		RootResult<Object> result = new RootResult<>();
		try {
			PageInfo<DcflqkqkVO> data = pestService.getPageLqk(dcflqkqkVO, pageNum, pageSize);
			result.setData(data);
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}

	@ApiOperation(value = "库存明细", notes = "库存对象")
	@PostMapping(value = "/kcxx/list")
	public RootResult<Object> kcxxList(@RequestBody KcxxVO kcxxVO,
                                       @RequestParam("pageNum") int pageNum,
                                       @RequestParam("pageSize") int pageSize){
		RootResult<Object> result = new RootResult<>();
		try {
			// 查所有时间的
			/*if(kcxxVO.getRksj()==null){
				kcxxVO.setRksj(new Date());
			}
			Date rksj= kcxxVO.getRksj();
			Calendar calendar=Calendar.getInstance();
			calendar.setTime(rksj);

			calendar.set(Calendar.MONTH,calendar.get(Calendar.MONTH));
			calendar.set(Calendar.DAY_OF_MONTH,1);
			kcxxVO.setRksjEnd(calendar.getTime());*/

			List<KcxxVO> data = lsKcxxService.kcxxList(kcxxVO);
			result.setData(data);
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}

	@ApiOperation(value = "入库分页列表", notes = "入库对象")
	@PostMapping(value = "/lsrk/page")
	public RootResult<Object> rkPage(@RequestBody WheatVO wheatVO
			,@RequestParam("pageNum") int pageNum
			,@RequestParam("pageSize") int pageSize){
		RootResult<Object> result = new RootResult<>();
		try {
			PageInfo<WheatVO> data = lsrkService.lsrkPage(wheatVO,pageNum, pageSize);
			result.setData(data);
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}

	@ApiOperation(value = "入库统计", notes = "入库统计")
	@PostMapping(value = "/lsrk/rkTotal")
	public RootResult<Object> rkTotal(@RequestBody WheatVO wheatVO){
		RootResult<Object> result = new RootResult<>();
		try {
			result.setData(lsrkService.rkTotal(wheatVO));
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}

	/*@ApiOperation(value = "出库统计", notes = "出库统计")
	@PostMapping(value = "/lsck/ckTotal")
	public RootResult<Object> ckTotal(@RequestBody WheatVO wheatVO){
		RootResult<Object> result = new RootResult<>();
		try {
			result.setData(lsckService.ckTotal(wheatVO));
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}*/

	@ApiOperation(value = "出库统计", notes = "出库统计")
	@PostMapping(value = "/lsck/ckTotal")
	public RootResult<Object> ckTotal(@RequestBody XwkLsckxx xwkLsckxx){
		RootResult<Object> result = new RootResult<>();
		try {
			result.setData(lsckService.ckTotalNew(xwkLsckxx));
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}

	@ApiOperation(value = "出库分页列表", notes = "出库对象")
	@PostMapping(value = "/lsck/page")
	public RootResult<Object> lsckPage(@RequestBody XwkLsckxx xwkLsckxx
			,@RequestParam("pageNum") int pageNum
			,@RequestParam("pageSize") int pageSize){
		RootResult<Object> r = new RootResult<Object>();
		try {
			PageInfo<XwkLsckxx> result = lsckService.lsckPage(xwkLsckxx,pageNum,pageSize);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	//改用刘国东开发的
	/*@ApiOperation(value = "质检报告分页列表", notes = "质量对象")
	@PostMapping(value = "/zljc/page")
	public RootResult<Object> zljcPage(@RequestBody XwkZljyxxUnitedVO  xwkLsckxx
			,@RequestParam("pageNum") int pageNum
			,@RequestParam("pageSize") int pageSize){
		RootResult<Object> r = new RootResult<Object>();
		try {
			PageInfo<XwkZljyxxUnitedVO> result = zljcService.zljcPage(xwkLsckxx,pageNum,pageSize);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}*/

	@ApiOperation(value = "质检报告分页列表", notes = "质量对象")
	@PostMapping(value = "/zljc/page")
	public RootResult<Object> zljcPage(@RequestBody ZjbgVO  zjbgVO
			,@RequestParam("pageNum") int pageNum
			,@RequestParam("pageSize") int pageSize){
		RootResult<Object> r = new RootResult<Object>();
		try {
			PageInfo<ZjbgVO> result = zjbgService.zljcPage(zjbgVO,pageNum,pageSize);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	@ApiOperation(value = "通风分页", notes = "参数：统一社会信用代码")
	@PostMapping(value = "/tf/page")
	public RootResult<Object> page(@RequestBody XwkTfzyb xwkTfzyb,
                                   @RequestParam("pageNum") Integer pageNum,
                                   @RequestParam("pageSize") Integer pageSize){
		RootResult<Object> r = new RootResult<Object>();
		try {
			PageInfo<XwkTfzyb> result = tfService.tfPage(xwkTfzyb,pageNum,pageSize);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}


	//地图展示的信息
	@ApiOperation(value = "地图展示的信息", notes = "参数：行政区划代码")
	@PostMapping(value = "/selectAndQyxxPage")
	public RootResult<Object> selectAndQyxxPage(@RequestBody(required = false) DXPKQXXGIS dx,@RequestParam("pageNum") Integer pageNum,@RequestParam("pageSize") Integer pageSize){
		RootResult<Object> r = new RootResult<>();
		try {
            r.setData(dxpkqxxService.selectKqxxAndQyxxGisPage(dx, pageNum, pageSize));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

    @ApiOperation(value = "地图展示的信息", notes = "参数：行政区划代码", tags = {"汇总查询", ApiTag.HOME_PAGE})
    @PostMapping(value = "/selectAndQyxxList")
    public RootResult<Object> selectAndQyxxList(@RequestBody(required = false) DXPKQXXGIS dx){
        RootResult<Object> r = new RootResult<>();
        try {
            r.setData(dxpkqxxService.selectKqxxAndQyxxGisList(dx));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

	@ApiOperation(value = "货位信息列表", notes = "参数：货位信息列表")
	@PostMapping(value = "/hwxx/list")
	public RootResult<Object> selectHwxxUnited(@RequestBody(required = false) HwxxVO hwxxVO){
		RootResult<Object> r = new RootResult<>();
		try {
			r.setData(commonService.selectHwxxUnited(hwxxVO));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "货位信息列表--权限", notes = "参数：货位信息列表")
	@PostMapping(value = "/hwxx/listRole")
	public RootResult<Object> selectHwxxUnitedRole(@RequestBody(required = false) HwxxVO hwxxVO){
		RootResult<Object> r = new RootResult<>();
		try {
			r.setData(commonService.selectHwxxUnitedRole(hwxxVO));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
    }

    @ApiOperation(value = "库存情况分页", notes = "参数：库存情况分页", tags = {"汇总查询", ApiTag.HOME_PAGE})
    @PostMapping(value = "/kcqk/page")
    public RootResult<Object> selectKcqkPage(@RequestBody(required = false) KcqkVO kcqkVO,
                                             @RequestParam("pageNum") Integer pageNum,
                                             @RequestParam("pageSize") Integer pageSize) {
        RootResult<Object> r = new RootResult<>();
        try {
            r.setData(commonService.selectKcqkPage(kcqkVO, pageNum, pageSize));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

	@ApiOperation(value = "温度查询分页", notes = "参数：温度情况分页")
	@PostMapping(value = "/wd/page")
	public RootResult<Object> selectWdPage(@RequestBody(required = false) WdVO wdVO
			,@RequestParam("pageNum") Integer pageNum,@RequestParam("pageSize") Integer pageSize){
		RootResult<Object> r = new RootResult<>();
		try {
			r.setData(commonService.selectWdPage(wdVO, pageNum ,pageSize));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	/**
	 * 汇总查询-稻谷入库查询
	 * @param riceVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	@ApiOperation(value = "稻谷入库分页列表", notes = "入库对象")
	@PostMapping(value = "/dgrk/page")
	public RootResult<Object> dgrkPage(@RequestBody RiceVO riceVO
			,@RequestParam("pageNum") int pageNum
			,@RequestParam("pageSize") int pageSize){
		RootResult<Object> result = new RootResult<>();
		try {
			PageInfo<RiceVO> data = lsrkService.dgrkPage(riceVO,pageNum, pageSize);
			result.setData(data);
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}

	/**
	 * 汇总查询-玉米入库统计
	 * @param wheatVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	@ApiOperation(value = "玉米入库分页列表", notes = "入库对象")
	@PostMapping(value = "/ymrk/page")
	public RootResult<Object> ymrkPage(@RequestBody WheatVO wheatVO
			,@RequestParam("pageNum") int pageNum
			,@RequestParam("pageSize") int pageSize){
		RootResult<Object> result = new RootResult<>();
		try {
			PageInfo<CornVO> data = lsrkService.ymrkPage(wheatVO,pageNum, pageSize);
			result.setData(data);
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}

	/**
	 * 汇总查询-大豆入库查询
	 * @param wheatVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	@ApiOperation(value = "大豆入库分页列表", notes = "入库对象")
	@PostMapping(value = "/ddrk/page")
	public RootResult<Object> ddrkPage(@RequestBody WheatVO wheatVO
			,@RequestParam("pageNum") int pageNum
			,@RequestParam("pageSize") int pageSize){
		RootResult<Object> result = new RootResult<>();
		try {
			PageInfo<SoybeanVO> data = lsrkService.ddrkPage(wheatVO,pageNum, pageSize);
			result.setData(data);
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}


    @ApiOperation(value = "粮库基础信息 ", notes = "仓房数 油罐数量性质", tags = {"汇总查询", ApiTag.HOME_PAGE})
    @PostMapping(value = "/list_grain_depot")
    public RootResult<Object> listByRole(@RequestBody(required = false) HwxxVO hwxxVO,
                                         @RequestParam(value = "roleId", required = false) String roleId,
                                         @RequestParam(name = "qymc", required = false) String qymc){
        RootResult<Object> r = new RootResult<>();
        try {
            if (null == roleId) {
                Map<String, String> headersInfo = RequestUtils.getHeadersInfo();
                log.info(JSON.toJSONString(headersInfo));
                Claims parseJWT = JwtUtil.parseJWT(RequestUtils.getHeaderToken());
                roleId = parseJWT.get("roleId", String.class);
            }
            log.info("roleId >>>>>>>>>>>>>>>>> {}", roleId);
            r.setData(commonService.listByRole(qymc, roleId));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

	@ApiOperation(value = "汇总查询-倒仓")
	@PostMapping(value = "/dc/page")
	public RootResult<Object> dcPage(@RequestBody DcinfoVO dcinfoVO
			,@RequestParam("pageNum") int pageNum
			,@RequestParam("pageSize") int pageSize){
		RootResult<Object> result = new RootResult<>();
		try {
			PageInfo<DcinfoVO> data = lsdcService.getDcInfo(dcinfoVO,pageNum, pageSize);
			result.setData(data);
			result.setCode(200);
			result.setMsg("请求成功");
		} catch (Exception e) {
			result.setMsg(e.getMessage());
			e.printStackTrace();
			result.setCode(500);
		}
		return result;
	}

    @ApiOperation(value = "库存报告 ", notes = "库存报告", tags = {"详情页", "库存报告"})
    @GetMapping(value = "/getInventoryReport")
    public RootResult<Object> getInventoryReport(@RequestParam(name = "qybm") String qybm){
        RootResult<Object> r = new RootResult<>();
        try {
            r.setData(commonService.getInventoryReport(qybm));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    @ApiOperation(value = "粮食品种占比 柱状图数据 ", notes = "粮食品种占比", tags = {"详情页", "库存图表", "Echarts"})
    @GetMapping(value = "/barData/getInventoryDetail")
    public RootResult<Object> getInventoryReportBarData(@RequestParam(name = "tyshxydm") String tyshxydm){
        RootResult<Object> r = new RootResult<>();
        try {
            r.setData(commonService.getInventoryReportBarData(tyshxydm));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    @ApiOperation(value = "粮食等级占比 粮食性质占比 饼状图数据 ", notes = "粮食等级占比 粮食性质占比", tags = {"详情页", "库存图表", "Echarts"})
    @GetMapping(value = "/pieData/getInventoryProportion")
    public RootResult<Object> getInventoryProportion(@RequestParam(name = "tyshxydm") String tyshxydm){
        RootResult<Object> r = new RootResult<>();
        try {
            r.setData(commonService.getInventoryProportion(tyshxydm));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

//    @Autowired
//    RedisTemplate<String, Object> redisTemplate;

//    @Autowired
//    RedisCache redisCache;

    @GetMapping("/test")
    public RootResult<Object> test(){
        RootResult<Object> r = new RootResult<>();
        Jedis jedis = RedisUtil.getJedis();
        jedis.select(RedisDataBaseIndex.DB2);
        Set<String> keys = jedis.keys("org_relation:*");
        System.out.println(keys);
        String s = jedis.get("org_relation:LS001001");
        JSONObject jsonObject = JSONObject.parseObject(s, JSONObject.class);
//        List<JSONObject> objects = JSONArray.parseArray(s, JSONObject.class);

//        Set<String> keys = jedis.keys("*");

//        redisTemplate.
//        Set<String> dists = redisTemplate.keys("*");

        r.setData(keys);
        return r;
    }

}
