package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPAJXXService;
import com.jusfoun.ydylsz.vo.DXPAJXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_AJXX--表4-6 廒间信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPAJXX")
@Api(description="DXP_AJXX--表4-6 廒间信息数据接口")
public class DXPAJXXController{

	@Autowired
	private DXPAJXXService dxpajxxService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPAJXXVO>> selectList(@RequestBody DXPAJXXVO vo){
		RootResult<PageInfo<DXPAJXXVO>> r = new RootResult<PageInfo<DXPAJXXVO>>();
		try {
			r.setData(dxpajxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPAJXXVO> selectDetail(@RequestBody DXPAJXXVO vo){
		RootResult<DXPAJXXVO> r = new RootResult<DXPAJXXVO>();
		try {
			r.setData(dxpajxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}