package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPHTXXService;
import com.jusfoun.ydylsz.vo.DXPHTXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_HTXX--表4-12 合同信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPHTXX")
@Api(description="DXP_HTXX--表4-12 合同信息数据接口")
public class DXPHTXXController{

	@Autowired
	private DXPHTXXService dxphtxxService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPHTXXVO>> selectList(@RequestBody DXPHTXXVO vo){
		RootResult<PageInfo<DXPHTXXVO>> r = new RootResult<PageInfo<DXPHTXXVO>>();
		try {
			r.setData(dxphtxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPHTXXVO> selectDetail(@RequestBody DXPHTXXVO vo){
		RootResult<DXPHTXXVO> r = new RootResult<DXPHTXXVO>();
		try {
			r.setData(dxphtxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}