package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPKHXXService;
import com.jusfoun.ydylsz.vo.DXPKHXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_KHXX--表4-13 客户信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPKHXX")
@Api(description="DXP_KHXX--表4-13 客户信息数据接口")
public class DXPKHXXController{

	@Autowired
	private DXPKHXXService dxpkhxxService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPKHXXVO>> selectList(@RequestBody DXPKHXXVO vo){
		RootResult<PageInfo<DXPKHXXVO>> r = new RootResult<PageInfo<DXPKHXXVO>>();
		try {
			r.setData(dxpkhxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPKHXXVO> selectDetail(@RequestBody DXPKHXXVO vo){
		RootResult<DXPKHXXVO> r = new RootResult<DXPKHXXVO>();
		try {
			r.setData(dxpkhxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}