package	com.jusfoun.ydylsz.controller.dxp;

import com.jusfoun.ydylsz.constants.ApiTag;
import com.jusfoun.ydylsz.vo.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPKQXXService;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * DXP_KQXX--表4-3 库区信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPKQXX")
@Api(description="DXP_KQXX--表4-3 库区信息数据接口")
public class DXPKQXXController{

	@Autowired
	private DXPKQXXService dxpkqxxService;


	//列表查询
	@ApiOperation(value = "首页模糊搜索", notes = "参数：kqmc")
	@PostMapping(value = "/selectLike")
	public RootResult<PageInfo<DXPKQXXVO>> selectLike(@RequestParam String kqmc,String xzqhdm){
		RootResult<PageInfo<DXPKQXXVO>> r = new RootResult<PageInfo<DXPKQXXVO>>();
		try {
			r.setData(dxpkqxxService.selectLike(kqmc,xzqhdm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//列表查询
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPKQXXVO>> selectList(@RequestBody DXPKQXXVO vo){

		RootResult<PageInfo<DXPKQXXVO>> r = new RootResult<PageInfo<DXPKQXXVO>>();
		try {
			r.setData(dxpkqxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	//列表含有企业查询
	@ApiOperation(value = "列表含有企业查询", notes = "参数：无")
	@PostMapping(value = "/selectAndQyxx")
	public RootResult<PageInfo<DXPKQXXVO>> selectAndQyxx(@RequestBody DXPKQXXVO vo){
		RootResult<PageInfo<DXPKQXXVO>> r = new RootResult<PageInfo<DXPKQXXVO>>();
		try {
			r.setData(dxpkqxxService.selectAndQyxxList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	//地区检索库点列表
	@ApiOperation(value = "地区检索库点列表", notes = "参数：AreaOut")
	@PostMapping(value = "/selectListAreas")
	public RootResult<PageInfo<DXPKQXXVO>> selectListAreas(@RequestBody AreaOut vo){
		RootResult<PageInfo<DXPKQXXVO>> r = new RootResult<PageInfo<DXPKQXXVO>>();
		try {
			r.setData(dxpkqxxService.selectListAreas(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	//地区检索库点列表
	@ApiOperation(value = "地区检索企业列表", notes = "参数：AreaOut")
	@PostMapping(value = "/selectListArea")
	public RootResult<PageInfo<DXPKQXXVO>> selectListArea(@RequestBody AreaOut vo){
		RootResult<PageInfo<DXPKQXXVO>> r = new RootResult<PageInfo<DXPKQXXVO>>();
		try {
			r.setData(dxpkqxxService.selectListArea(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	//地图展示的信息
	@ApiOperation(value = "地图展示的信息", notes = "参数：行政区划代码")
	@PostMapping(value = "/selectAndQyxxList")
	public RootResult<Map<String,Object>> selectAndQyxxList(@RequestParam(required = false) String xzqhdm){
		RootResult<Map<String,Object>> r = new RootResult<Map<String,Object>>();
		try {
			r.setData(dxpkqxxService.selectKqxxAndQyxxGis(xzqhdm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	//地图展示的信息
	@ApiOperation(value = "地图展示的信息---加权限", notes = "参数：行政区划代码", tags = {ApiTag.HOME_PAGE})
	@PostMapping(value = "/selectAndQyxxRoleList")
	public RootResult<Map<String,Object>> selectAndQyxxRoleList(@RequestParam(required = false) String xzqhdm,
                                                                @RequestParam("roleId") String roleId){
		RootResult<Map<String,Object>> r = new RootResult<>();
        r.setData(dxpkqxxService.selectKqxxAndQyxxRoleGis(xzqhdm,roleId));
		return r;
	}

	//地图展示的信息
	@ApiOperation(value = "更新地图展示的信息", notes = "参数：")
	@PostMapping(value = "/selectUpdateGis")
	public RootResult<Map<String,Object>> selectUpdateGis(@RequestParam(required = false) String xzqhdm){
		RootResult<Map<String,Object>> r = new RootResult<Map<String,Object>>();
		try {
			dxpkqxxService.selectUpdateGis(xzqhdm);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	//地图展示的信息
	@ApiOperation(value = "分省粮食实物库存分解登统查询", notes = "参数：行政区划代码")
	@PostMapping(value = "/selectListPro")
	public RootResult<PageInfo<DXPKQXXVO>> selectListPro(@RequestBody DXPKQXXVO vo){
		RootResult<PageInfo<DXPKQXXVO>> r = new RootResult<PageInfo<DXPKQXXVO>>();
		try {
			r.setData(dxpkqxxService.selectListPro(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	//行政编码树形图
	@ApiOperation(value = "行政编码树结构", notes = "参数：行政区划代码")
	@PostMapping(value = "/treeList")
	public RootResult<List<TreeNode>> treeList(String xzqhbm){
		RootResult<List<TreeNode>> r = new RootResult<List<TreeNode>>();
		try {
			List<TreeNode> list  = dxpkqxxService.treeList(xzqhbm);
			r.setData(list);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPKQXXVO> selectDetail(@RequestParam String kqbm){
		RootResult<DXPKQXXVO> r = new RootResult<DXPKQXXVO>();
		try {
			r.setData(dxpkqxxService.selectDetail(kqbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


	@ApiOperation(value = "库区详情", notes = "参数：库点代码")
	@PostMapping(value = "selectKdDetail")
	public RootResult<DKdxxsjySlqyVO> selectKdDetail(@RequestParam String kqbm){
		RootResult<DKdxxsjySlqyVO> r = new RootResult<>();
		try {
			r.setData(dxpkqxxService.selectKdDetail(kqbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


	//更新视频头和库区关联
	@ApiOperation(value = "更新视频头和库区关联", notes = "参数：")
	@PostMapping(value = "/selectUpdateSbxx")
	public RootResult<Map<String,Object>> selectUpdateSbxx(){
		RootResult<Map<String,Object>> r = new RootResult<Map<String,Object>>();
		try {
			dxpkqxxService.selectUpdateSbxx();
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}
