package	com.jusfoun.ydylsz.controller.dxp;

import com.jusfoun.ydylsz.vo.DXPHWXXVO;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import com.jusfoun.ydylsz.pojo.EchartsList1;
import com.jusfoun.ydylsz.pojo.cfxx;
import com.jusfoun.ydylsz.pojo.cfxxvo;
import com.jusfoun.ydylsz.pojo.lwt;
import com.jusfoun.ydylsz.service.DXPLQJCService;
import com.jusfoun.ydylsz.vo.DXPLQJCVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * DXP_LQJC--表4-16 粮情监测数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPLQJC")
@Api(description="DXP_LQJC--表4-16 粮情监测数据接口")
public class DXPLQJCController{

	@Autowired
	private DXPLQJCService dxplqjcService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPLQJCVO>> selectList(@RequestBody DXPLQJCVO vo){
		RootResult<PageInfo<DXPLQJCVO>> r = new RootResult<PageInfo<DXPLQJCVO>>();
		try {
			r.setData(dxplqjcService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPLQJCVO> selectDetail(@RequestBody DXPLQJCVO vo){
		RootResult<DXPLQJCVO> r = new RootResult<DXPLQJCVO>();
		try {
			r.setData(dxplqjcService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	//列表查询
	@ApiOperation(value = "粮温", notes = "参数：无")
	@PostMapping(value = "/lwTotal")
	public RootResult<DXPHWXXVO> lwTotal(@RequestParam String hwbm){
		RootResult<DXPHWXXVO> r = new RootResult<DXPHWXXVO>();
		try {
			r.setData(dxplqjcService.lwTotal(hwbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}



	//列表查询
	@ApiOperation(value = "粮温下拉列表接口", notes = "参数：hwbm")
	@PostMapping(value = "/lwList")
	public RootResult<List<String>> lwList(@RequestParam String hwbm){
		RootResult<List<String>> r = new RootResult<List<String>>();
		try {
			r.setData(dxplqjcService.lwList(hwbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	//列表查询
	@ApiOperation(value = "粮温XYZ坐标图", notes = "参数：无")
	@PostMapping(value = "/lwColl")
	public RootResult<PageInfo<DXPLQJCVO>> lwColl(@RequestParam String hwbm,String jcsj){
		RootResult<PageInfo<DXPLQJCVO>> r = new RootResult<PageInfo<DXPLQJCVO>>();
		try {
			r.setData(dxplqjcService.lwColl(hwbm,jcsj));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "粮温数据集合", notes = "参数：无")
	@PostMapping(value = "/lqList")
	public RootResult<List<Map<String,Object>>> lqList(@RequestParam String hwbm, String jcsj){
		RootResult<List<Map<String,Object>>> r = new RootResult<List<Map<String,Object>>>();
		try {
			r.setData(dxplqjcService.lqList(hwbm,jcsj));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "阈值数据", notes = "参数：无")
	@PostMapping(value = "/yzMap")
	public RootResult<Map<String,String>> yzMap(@RequestParam String hwbm){
		RootResult<Map<String,String>> r = new RootResult<Map<String,String>>();
		try {
			r.setData(dxplqjcService.yzMap(hwbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "检测的粮温信息", notes = "参数：无")
	@PostMapping(value = "/lwData")
	public RootResult<DXPLQJCVO> lwData(@RequestParam String hwbm,String jcsj){
		RootResult<DXPLQJCVO> r = new RootResult<DXPLQJCVO>();
		try {
			r.setData(dxplqjcService.lwData(hwbm,jcsj));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "仓房信息", notes = "参数：无")
	@PostMapping(value = "/cfData")
	public RootResult<DXPHWXXVO> cfData(@RequestParam String hwbm){
		RootResult<DXPHWXXVO> r = new RootResult<DXPHWXXVO>();
		try {
			r.setData(dxplqjcService.cfData(hwbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "三温图", notes = "货位编码")
	@PostMapping(value = "/swtData")
	public RootResult<EchartsList1> swtData(@RequestParam String hwbm){
		RootResult<EchartsList1> r = new RootResult<EchartsList1>();
		try {
			r.setData(dxplqjcService.swtData(hwbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "每层粮温数值", notes = "货位编码,层号,监测时间")
	@PostMapping(value = "/mclwData")
	public RootResult mclwData(@RequestParam String hwbm,Integer ch,String jcsj){
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<List<lwt>> lst = dxplqjcService.mclwData(hwbm,ch,jcsj);
			System.out.println(lst);
			r.setData(lst);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "平方仓每层粮温最大数值,最小数值,平均值", notes = "货位编码,监测时间")
	@PostMapping(value = "/cslwData")
	public RootResult<List<Map<String,Object>>> cslwData(@RequestParam String hwbm,String jcsj){
		RootResult<List<Map<String,Object>>> r = new RootResult<List<Map<String,Object>>>();
		try {
			r.setData(dxplqjcService.cslwData(hwbm,jcsj));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "筒仓每层粮温最大数值,最小数值,平均值", notes = "货位编码,监测时间")
	@PostMapping(value = "/tccslwData")
	public RootResult<List<Map<String,Object>>> tccslwData(@RequestParam String hwbm,String jcsj){
		RootResult<List<Map<String,Object>>> r = new RootResult<List<Map<String,Object>>>();
		try {
			r.setData(dxplqjcService.tccslwData(hwbm,jcsj));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "筒仓每层粮温数值", notes = "货位编码,层号,监测时间")
	@PostMapping(value = "/tcmclwData")
	public RootResult tcmclwData(@RequestParam String hwbm,Integer ch,String jcsj){
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<List<lwt>> lst = dxplqjcService.tcmclwData(hwbm,ch,jcsj);
			r.setData(lst);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "高温报警仓房信息", notes = "无")
	@PostMapping(value = "/gwbjcfxxOld")
	public RootResult<Object> gwbjcfxxOld(String kqbm){
		RootResult<Object> r = new RootResult<Object>();
		try {
			cfxxvo lst = dxplqjcService.gwbjcfxx(kqbm);
			r.setData(lst);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "高温报警仓房信息", notes = "无")
	@PostMapping(value = "/gwbjcfxx")
	public RootResult<Object> gwbjcfxx(String kqbm){
		RootResult<Object> r = new RootResult<Object>();
		try {
			cfxxvo lst = dxplqjcService.gwyjcfxx(kqbm);
			r.setData(lst);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	@ApiOperation(value = "高温报警仓房信息", notes = "无")
	@PostMapping(value = "/gwbjcfxxRole")
	public RootResult<Object> gwbjcfxxRole(String kqbm,String roleId,String lsxz){
		RootResult<Object> r = new RootResult<Object>();
		try {
			cfxxvo lst = dxplqjcService.gwbjcfxxRole(kqbm,roleId,lsxz);
			r.setData(lst);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

}