package	com.jusfoun.ydylsz.controller.dxp;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPLSKCSJService;
import com.jusfoun.ydylsz.vo.DXPLSKCSJVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;



/**
 * DXP_LSKCSJ--表4-14 月度粮食库存数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPLSKCSJ")
@Api(description="DXP_LSKCSJ--表4-14 月度粮食库存数据接口")
public class DXPLSKCSJController{

	@Autowired
	private DXPLSKCSJService dxplskcsjService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPLSKCSJVO>> selectList(@RequestBody DXPLSKCSJVO vo){
		RootResult<PageInfo<DXPLSKCSJVO>> r = new RootResult<PageInfo<DXPLSKCSJVO>>();
		try {
			r.setData(dxplskcsjService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPLSKCSJVO> selectDetail(@RequestBody DXPLSKCSJVO vo){
		RootResult<DXPLSKCSJVO> r = new RootResult<DXPLSKCSJVO>();
		try {
			r.setData(dxplskcsjService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	//库存明细
	@ApiOperation(value = "库存明细", notes = "参数：无")
	@PostMapping(value = "selectInventoryDetail")
	public RootResult<JSONArray> selectInventoryDetail(@RequestParam("kqbm") String kqbm){
		RootResult<JSONArray> r = new RootResult<JSONArray>();
		try {
			r.setData(dxplskcsjService.selectInventoryDetail(kqbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	//库存报告
	@ApiOperation(value = "库存报告", notes = "参数：无")
	@PostMapping(value = "selectInventoryReport")
	public RootResult<JSONObject> selectInventoryReport(@RequestParam("kqbm") String kqbm){
		RootResult<JSONObject> r = new RootResult<JSONObject>();
		try {
			r.setData(dxplskcsjService.selectInventoryReport(kqbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	//获取柱状图数据
	@ApiOperation(value = "获取柱状图数据", notes = "参数：无")
	@PostMapping(value = "selectInventoryBarChart")
	public RootResult<JSONObject> selectInventoryBarChart(@RequestParam("kqbm") String kqbm){
		RootResult<JSONObject> r = new RootResult<JSONObject>();
		try {
			r.setData(dxplskcsjService.selectInventoryBarChart(kqbm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	
	@ApiOperation(value = "粮食库存数量趋势", notes = "参数：无")
	@PostMapping(value = "queryKuCunNum")
	@ResponseBody
	public RootResult<Object> queryKuCunNum(String kqbm){
		RootResult<Object> r = new RootResult<Object>();
		try {
			
			/*KshLdjscJgqyxqLRLOutputVo outputVo = dxplskcsjService.queryKuCunNum(kqbm);
			r.setData(outputVo);*/
			
		}catch(Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "粮食性质占比分析", notes = "参数：无")
	@PostMapping(value = "queryKuCunXz")
	@ResponseBody
	public RootResult<Object> queryKuCunXz(String kqbm){
		RootResult<Object> r = new RootResult<Object>();
		try {
			
			/*KshYzLtOutVo vo = dxplskcsjService.queryKuCunXz(kqbm);
			r.setData(vo);*/
			
		}catch(Exception e) {
			e.printStackTrace();
		}
		return r;
	}

}