package	com.jusfoun.ydylsz.controller.dxp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPYGXXService;
import com.jusfoun.ydylsz.vo.DXPYGXXVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_YGXX--表4-5 油罐信息数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPYGXX")
@Api(description="DXP_YGXX--表4-5 油罐信息数据接口")
public class DXPYGXXController{

	@Autowired
	private DXPYGXXService dxpygxxService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPYGXXVO>> selectList(@RequestBody DXPYGXXVO vo){
		RootResult<PageInfo<DXPYGXXVO>> r = new RootResult<PageInfo<DXPYGXXVO>>();
		try {
			r.setData(dxpygxxService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPYGXXVO> selectDetail(@RequestBody DXPYGXXVO vo){
		RootResult<DXPYGXXVO> r = new RootResult<DXPYGXXVO>();
		try {
			r.setData(dxpygxxService.selectDetail(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}