package	com.jusfoun.ydylsz.controller.dxp;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.jusfoun.ydylsz.service.DXPZJSJService;
import com.jusfoun.ydylsz.util.WebUtil;
import com.jusfoun.ydylsz.vo.DXPZJSJVO;
import com.jusfoun.ydylsz.vo.DXPZJXQYMVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.github.pagehelper.PageInfo;



/**
 * DXP_ZJSJ--表4-15 质检数据接口控制层
 * @author lidaoquan
 */
@RestController
@RequestMapping("/DXPZJSJ")
@Api(description="DXP_ZJSJ--表4-15 质检数据接口")
public class DXPZJSJController{

	@Autowired
	private DXPZJSJService dxpzjsjService;

		//列表查询	
	@ApiOperation(value = "列表查询", notes = "参数：无")
	@PostMapping(value = "/selectList")
	public RootResult<PageInfo<DXPZJSJVO>> selectList(@RequestBody DXPZJSJVO vo){
		RootResult<PageInfo<DXPZJSJVO>> r = new RootResult<PageInfo<DXPZJSJVO>>();
		try {
			r.setData(dxpzjsjService.selectList(vo));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "检验机构下拉", notes = "参数：无")
	@PostMapping(value = "/queryJyjg")
	public RootResult<List<Map<String,Object>>> queryJyjg(){
		RootResult<List<Map<String,Object>>> r = new RootResult<List<Map<String,Object>>>();
		try {
			r.setData(dxpzjsjService.queryJyjg());
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "委托单位下拉", notes = "参数：无")
	@PostMapping(value = "/queryWtdw")
	public RootResult<List<Map<String,Object>>> queryWtdw(){
		RootResult<List<Map<String,Object>>> r = new RootResult<List<Map<String,Object>>>();
		try {
			r.setData(dxpzjsjService.queryWtdw());
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

		//详情	
	@ApiOperation(value = "详情", notes = "参数：无")
	@PostMapping(value = "selectDetail")
	public RootResult<DXPZJXQYMVO> selectDetail(@RequestParam String zjbgdbh){
		RootResult<DXPZJXQYMVO> r = new RootResult<DXPZJXQYMVO>();
		try {
			DXPZJXQYMVO vo = null;
			vo = dxpzjsjService.selectDetail(zjbgdbh);
			if(vo != null) {
				vo = (DXPZJXQYMVO)WebUtil.resObject(vo);
			}else {
				DXPZJXQYMVO vo1 = new DXPZJXQYMVO();
				vo = (DXPZJXQYMVO)WebUtil.resObject(vo1);
			}
			r.setData(vo);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}


}