package com.jusfoun.ydylsz.controller.dxp;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import com.jusfoun.ydylsz.service.GISRKKCSLTJService;
import com.jusfoun.ydylsz.vo.GISLYXX;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;

@Api(description="gis地图服务分布")
@Controller
@RequestMapping(value = "/gisrkkcsltj")
public class GISRKKCSLTJController {

	@Autowired
	private GISRKKCSLTJService gisRkkcsltjService;
	
	@RequestMapping(value = "/queryRkKcSl",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Map<String,Object>> queryRkKcSl(@RequestParam(required = false) String xzqhdm,String nd){
		RootResult<Map<String,Object>> r = new RootResult<Map<String,Object>>();
		try {
			r.setData(gisRkkcsltjService.queryRkKcSl(xzqhdm,nd));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}

	
	@RequestMapping(value = "/queryByLyxx",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<GISLYXX> queryByLyxx(@RequestParam(required = false) String lybm){
		RootResult<GISLYXX> r = new RootResult<GISLYXX>();
		try {
			r.setData(gisRkkcsltjService.queryByLyxx(lybm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
	
	@RequestMapping(value = "/queryLyxxFb",method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Map<String,Object>> queryLyxxFb(@RequestParam(required = false) String xzqhdm){
		RootResult<Map<String,Object>> r = new RootResult<Map<String,Object>>();
		try {
			r.setData(gisRkkcsltjService.queryLyxxFb(xzqhdm));
		} catch (Exception e) {
			e.printStackTrace();
		}
		return r;
	}
}
