package com.jusfoun.ydylsz.controller.dxp;

import com.jusfoun.ydylsz.pojo.EchartsResp;
import com.jusfoun.ydylsz.service.KcStatisticsService;
import com.jusfoun.ydylsz.vo.KcStatisticsVO;
import com.jusfoun.ydylsz.vo.PzXzKcVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/KcStatistics")
@Api(description="粮食库存展示")
public class KcStatisticsController {

    @Autowired
    private KcStatisticsService kcStatisticsService;

    @ApiOperation(value = "库存展示统计查询", notes = "参数：无")
    @PostMapping(value = "/selectKcStatisticsInfo")
    public RootResult<KcStatisticsVO> selectKcStatisticsInfo() {
        RootResult<KcStatisticsVO> r = new RootResult<KcStatisticsVO>();
        try {
            r.setData(kcStatisticsService.selectKcStatisticsInfo());
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    @ApiOperation(value = "品种柱形图", notes = "参数：无")
    @PostMapping(value = "/getPzBarChart")
    public RootResult<EchartsResp> getPzBarChart(String xzqhdm, Integer type){
        RootResult<EchartsResp> r = new RootResult<EchartsResp>();
        try {
            r.setData(kcStatisticsService.getPzBarChart(xzqhdm,type));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    @ApiOperation(value = "生产年份柱形图", notes = "参数：无")
    @PostMapping(value = "/getScnfBarChart")
    public RootResult<EchartsResp> getScnfBarChart(@RequestBody PzXzKcVO vo){
        RootResult<EchartsResp> r = new RootResult<EchartsResp>();
        try {
            r.setData(kcStatisticsService.getScnfBarChart(vo));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    @ApiOperation(value = "等级柱形图", notes = "参数：无")
    @PostMapping(value = "/getDjBarChart")
    public RootResult<EchartsResp> getDjBarChart(@RequestBody PzXzKcVO vo){
        RootResult<EchartsResp> r = new RootResult<EchartsResp>();
        try {
            r.setData(kcStatisticsService.getDjBarChart(vo));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    @ApiOperation(value = "地图各库点库存数量统计", notes = "参数：")
    @PostMapping(value = "/selectAllData")
    public RootResult<List<Map<String,Object>>> selectAllData(){
        RootResult<List<Map<String,Object>>> r = new RootResult<>();
        try {
            r.setData(kcStatisticsService.selectAllData());
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }

    @ApiOperation(value = "获取库点性质和品种占比", notes = "参数：")
    @PostMapping(value = "/selectXzPzByKdmc")
    public RootResult<Map<String,List<Map<String,Object>>>> selectXzPzByKdmc(@RequestParam String kdmc){
        RootResult<Map<String,List<Map<String,Object>>>> r = new RootResult<>();
        try {
            r.setData(kcStatisticsService.selectXzPzByKdmc(kdmc));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return r;
    }
}
