package com.jusfoun.ydylsz.controller.dxp;

import java.io.IOException;
import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import com.jusfoun.ydylsz.vo.*;
import com.unis.common.utils.FieldUtil;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.JxlModelExcelUtil;
import com.unis.common.vo.base.BaseVO;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.DXPTFZYJGService;
import com.jusfoun.ydylsz.service.LsrkService;
import com.jusfoun.ydylsz.service.PestService;
import com.jusfoun.ydylsz.service.TemperatureService;
import com.jusfoun.ydylsz.util.WebUtil;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
@RequestMapping("/lsrk")
@Api(description="入库信息")
public class LsrkxxController {

	@Autowired
	private LsrkService lsrkService;

	//通风信息获取
	@ApiOperation(value = "入库列表", notes = "参数：统一社会信用代码")
	@GetMapping(value = "/list/{cfbh}")
	public RootResult<Object> list(@PathVariable("cfbh") String cfbh){
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<XwkLsrkxxjk> result = lsrkService.list(cfbh);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	//通风信息获取
		@ApiOperation(value = "入库详情", notes = "参数：统一社会信用代码")
		@GetMapping(value = "/info/{lsrkid}")
		public RootResult<Object> info(@PathVariable("lsrkid") String lsrkid){
			RootResult<Object> r = new RootResult<>();
			try {
				XwkLsrkxxjk result = lsrkService.info(lsrkid);
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}

		@ApiOperation(value = "入库分页", notes = "参数：统一社会信用代码")
		@PostMapping(value = "/page/{pageNum}/{pageSize}")
		public RootResult<Object> page(@RequestBody XwkLsrkxxjk xwkLsrkxxjk,@PathVariable("pageNum") Integer pageNum,@PathVariable("pageSize") Integer pageSize){
			RootResult<Object> r = new RootResult<Object>();
			try {
				PageInfo<XwkLsrkxxjk> result = lsrkService.page(xwkLsrkxxjk,pageNum,pageSize);
			/*	List<XwkLsrkxxjk> list= result.getList();
				for(XwkLsrkxxjk xwkLsrkxxjk1 : list){
					BigDecimal jz= xwkLsrkxxjk1.getJz();
					if(jz!=null){
						xwkLsrkxxjk1.setJzstr(String.format("%.5f",jz.doubleValue()/1000d));
					}
				}*/
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}

	//出库明细
	@ApiOperation(value = "入库明细")
	@PostMapping(value = "/exportPage")
	public void exportManagerRainFloodConditionPageList(HttpServletRequest request, HttpServletResponse response
			, @ModelAttribute XwkLsrkxxjk xwkLsrkxxjk
			, @RequestParam(value= "fields", required = false) String fields) throws IOException {
		PageInfo<XwkLsrkxxjk> pageInfo=lsrkService.page(xwkLsrkxxjk, 1, Integer.MAX_VALUE);

		List dataList= JsonUtils.parseList(JsonUtils.serialize(pageInfo.getList()), Map.class);
		//fileName导出文件名
		String fileName= "入库明细.xls";
		//sheetName表格名
		String sheetName= "入库明细";
		//headMap表头Map, key为属性名, value为展示名,根据实际情况修改
		LinkedHashMap<String, String> headMap= new LinkedHashMap();
		FieldUtil.getPoweredOrderedFields(headMap, new XwkLsckxx(), new BaseVO());
		if(StringUtils.isNotEmpty(fields)){
			FieldUtil.resloveImportFields(fields, headMap);
		}
		JxlModelExcelUtil.exportExcel(request, response, fileName, dataList, sheetName, headMap);
	}

	@ApiOperation(value = "入库分页", notes = "参数：统一社会信用代码")
	@PostMapping(value = "/pageCode/{pageNum}/{pageSize}")
	public RootResult<Object> pageCode(@RequestBody CchinVo cchinVo, @PathVariable("pageNum") Integer pageNum,
									   @PathVariable("pageSize") Integer pageSize){
		RootResult<Object> r = new RootResult<Object>();
		try {
			PageInfo<XwkLsrkxxjk> result = lsrkService.pageCode(cchinVo,pageNum,pageSize);
			List<XwkLsrkxxjk> list= result.getList();
			for(XwkLsrkxxjk xwkLsrkxxjk1 : list){
				BigDecimal jz= xwkLsrkxxjk1.getJz();
				if(jz!=null){
					xwkLsrkxxjk1.setJzstr(String.format("%.5f",jz.doubleValue()/1000d));
				}
			}
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	@ApiOperation(value = "入库分页+质检", notes = "参数：统一社会信用代码")
	@PostMapping(value = "/pageZhcx/{pageNum}/{pageSize}")
	public RootResult<Object> pageZhcx(@RequestBody XwkLsrkxxjk xwkLsrkxxjk,@PathVariable("pageNum") Integer pageNum,@PathVariable("pageSize") Integer pageSize){
		RootResult<Object> r = new RootResult<Object>();
		try {
			PageInfo<XwkLsrkxxjk> result = lsrkService.pageZhcx(xwkLsrkxxjk,pageNum,pageSize);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
}
