package com.jusfoun.ydylsz.controller.dxp;

import java.math.BigDecimal;
import java.util.List;

import com.jusfoun.ydylsz.vo.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.DXPTFZYJGService;
import com.jusfoun.ydylsz.service.LsrkService;
import com.jusfoun.ydylsz.service.LsrkygService;
import com.jusfoun.ydylsz.service.PestService;
import com.jusfoun.ydylsz.service.TemperatureService;
import com.jusfoun.ydylsz.util.WebUtil;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/lsrkyg")
@Api(description="油罐入库信息")
public class LsrkygxxController {

	@Autowired
	private LsrkygService lsrkService;
	
	//通风信息获取
	@ApiOperation(value = "入库列表", notes = "参数：统一社会信用代码")
	@GetMapping(value = "/list/{cfbh}")
	public RootResult<Object> list(@PathVariable("cfbh") String cfbh){
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<XwkLsrkxxjk> result = lsrkService.list(cfbh);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
	
	//通风信息获取
		@ApiOperation(value = "入库详情", notes = "参数：统一社会信用代码")
		@GetMapping(value = "/info/{lsrkid}")
		public RootResult<Object> info(@PathVariable("lsrkid") String lsrkid){
			RootResult<Object> r = new RootResult<Object>();
			try {
				XwkLsrkxxjk result = lsrkService.info(lsrkid);
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}
		
		@ApiOperation(value = "入库分页", notes = "参数：统一社会信用代码")
		@PostMapping(value = "/page/{pageNum}/{pageSize}")
		public RootResult<Object> page(@RequestBody XwkLsrkxxjk xwkLsrkxxjk,@PathVariable("pageNum") Integer pageNum,@PathVariable("pageSize") Integer pageSize){
			RootResult<Object> r = new RootResult<Object>();
			try {
				PageInfo<XwkLsrkxxjk> result = lsrkService.page(xwkLsrkxxjk,pageNum,pageSize);
			/*	List<XwkLsrkxxjk> list= result.getList();
				for(XwkLsrkxxjk xwkLsrkxxjk1 : list){
					BigDecimal jz= xwkLsrkxxjk1.getJz();
					if(jz!=null){
						xwkLsrkxxjk1.setJzstr(String.format("%.5f",jz.doubleValue()/1000d));
					}
				}*/
				r.setData(result);
				r.setCode(200);
				r.setMsg("请求成功");
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}

	@ApiOperation(value = "入库分页", notes = "参数：统一社会信用代码")
	@PostMapping(value = "/pageCode/{pageNum}/{pageSize}")
	public RootResult<Object> pageCode(@RequestBody CchinVo cchinVo, @PathVariable("pageNum") Integer pageNum,
									   @PathVariable("pageSize") Integer pageSize){
		RootResult<Object> r = new RootResult<Object>();
		try {
			PageInfo<XwkLsrkxxjk> result = lsrkService.pageCode(cchinVo,pageNum,pageSize);
			List<XwkLsrkxxjk> list= result.getList();
			for(XwkLsrkxxjk xwkLsrkxxjk1 : list){
				BigDecimal jz= xwkLsrkxxjk1.getJz();
				if(jz!=null){
					xwkLsrkxxjk1.setJzstr(String.format("%.5f",jz.doubleValue()/1000d));
				}
			}
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	@ApiOperation(value = "入库分页+质检", notes = "参数：统一社会信用代码")
	@PostMapping(value = "/pageZhcx/{pageNum}/{pageSize}")
	public RootResult<Object> pageZhcx(@RequestBody XwkLsrkxxjk xwkLsrkxxjk,@PathVariable("pageNum") Integer pageNum,@PathVariable("pageSize") Integer pageSize){
		RootResult<Object> r = new RootResult<Object>();
		try {
			PageInfo<XwkLsrkxxjk> result = lsrkService.pageZhcx(xwkLsrkxxjk,pageNum,pageSize);
			r.setData(result);
			r.setCode(200);
			r.setMsg("请求成功");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
}
