package com.jusfoun.ydylsz.controller.dxp;

import com.jusfoun.ydylsz.vo.BadTempVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.jusfoun.ydylsz.service.DXPTFZYJGService;
import com.jusfoun.ydylsz.service.TemperatureService;
import com.jusfoun.ydylsz.util.WebUtil;
import com.jusfoun.ydylsz.vo.DXPTFZYJGVO;
import com.jusfoun.ydylsz.vo.TemperatureVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.List;

@RestController
@RequestMapping("/temperature")
@Api(description="温度信息")
public class TemperatureController {

	@Autowired
	private TemperatureService temperatureService;

	//通风信息获取
	@ApiOperation(value = "一键测温", notes = "参数：统一社会信用代码")
	@GetMapping(value = "/onekey/{tyshxydm}")
	public RootResult<Object> onekey(@PathVariable("tyshxydm") String tyshxydm){
		RootResult<Object> r = new RootResult<Object>();
		try {
			String result = temperatureService.onekey(tyshxydm);
			r.setData(null);
			r.setCode(200);
			r.setMsg(result);
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	//通风信息获取
		@ApiOperation(value = "实时测温", notes = "参数：cfbm")
		@GetMapping(value = "/real/{cfbm}")
		public RootResult<Object> real(@PathVariable("cfbm") String cfbm){
			RootResult<Object> r = new RootResult<Object>();
			try {
				TemperatureVO result = temperatureService.real(cfbm);
				if(result == null) {
					r.setData(result);
					r.setCode(500);
					r.setMsg("查询最新数据失败！");
				} else {
					r.setData(result);
					r.setCode(200);
					r.setMsg("测温成功！");
				}
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}



//	@ApiOperation(value = "故障设备-测温线缆", notes = "测温线缆故障接口")
//	@GetMapping(value = "/badTemperature")
//	public RootResult<List<BadTempVO>> badTemperature(@RequestParam String roleId){
//		RootResult<List<BadTempVO>> r = new RootResult<List<BadTempVO>>();
//		try {
//			r.setData(null);
//			r.setCode(200);
//			r.setData(temperatureService.badTemperature(roleId));
//		} catch (Exception e) {
//			r.setMsg(e.getMessage());
//			e.printStackTrace();
//			r.setCode(500);
//		}
//		return r;
//	}

	@ApiOperation(value = "故障设备-摄像头", notes = "摄像头")
	@GetMapping(value = "/badCamera")
	public RootResult<List<BadTempVO>> badCamera(@RequestParam String roleId){
		RootResult<List<BadTempVO>> r = new RootResult<List<BadTempVO>>();
		try {
			r.setData(null);
			r.setCode(200);
			r.setData(temperatureService.badCamera(roleId));
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
}
