package com.jusfoun.ydylsz.mapper;

import com.alibaba.fastjson.JSONObject;
import com.jusfoun.ydylsz.pojo.DCfxxsjyDO;
import com.jusfoun.ydylsz.pojo.InventoryQueryVO;
import com.jusfoun.ydylsz.vo.CompositeQueryVo;
import com.jusfoun.ydylsz.vo.DCfxxsjyVO;

import com.jusfoun.ydylsz.vo.WareHouseInventoryVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 *
 * @ClassName: DCfxxsjyDao
 * @Description: DCfxxsjyDao
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22
 *
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DCfxxsjyDao extends Mapper<DCfxxsjyVO> {

	/**
	 * 根据信息获取仓房列表
	 * @param dCfxxsjyDO
	 * @return
	 */
	List<DCfxxsjyVO> getDCfxxxsjyList(DCfxxsjyVO dCfxxsjyDO);

	DCfxxsjyVO cfinfo(@Param("cfbh")String cfbh);

    List<DCfxxsjyVO> pageYgList(DCfxxsjyVO vo);

    DCfxxsjyDO getCfxxByCfbm(String hwbm);

	DCfxxsjyVO getCfxxByCfbh(@Param("cfbh")String cfbh);

	DCfxxsjyVO selectLqxxBycfbm(@Param("cfbm")String cfbm);

	DCfxxsjyVO selectRyxmByStroId(@Param("storehouse_id") String storehouse_id);

	/**
	 * 油罐信息
	 * @param vo
	 * @return
	 */
	List<DCfxxsjyVO> pageYgListNew(DCfxxsjyVO vo);

	/**
	 * 获取油罐（明细）
	 * @param vo
	 * @return
	 */
	List<DCfxxsjyVO> pageYgMxList(DCfxxsjyVO vo);

	DCfxxsjyDO getCfxxByCfmc(@Param("cfmc")String cfmc);

    List<InventoryQueryVO> listInventoryQuery(CompositeQueryVo vo);

    InventoryQueryVO getInventoryQueryTotal(CompositeQueryVo queryVo);

    List<DCfxxsjyVO> listInventoryDetail(CompositeQueryVo queryVo);

    DCfxxsjyVO getInventoryQueryDetailTotal(CompositeQueryVo queryVo);

    List<WareHouseInventoryVO> listWareHouseDataByParams(JSONObject params);
}
