package com.jusfoun.ydylsz.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;


@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_CFXXSJY")
public class DCfxxsjyDO{

	/**
	 * 仓房编号
	 */
	@Column(name = "cfbh")
	private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
	private String cfmc;
	/**
	 * 所属库点编号
	 */
	@Column(name = "kddm")
	private String kddm;
	
	/**
	 * 仓房类型
	 */
	@Column(name = "cflx")
	private String cflx;

	/**
	 * 仓房结构
	 */
	@Column(name = "cfjg")
	private String cfjg;

	/**
	 * 建筑类型
	 */
	@Column(name = "jzlx")
	private String jzlx;

	/**
	 * 仓房长度
	 */
	@Column(name = "cfcd")
	private Double cfcd;

	/**
	 * 仓房宽度
	 */
	@Column(name = "cfkd")
	private Double cfkd;

	/**
	 * 仓房高度
	 */
	@Column(name = "cfgd")
	private Double cfgd;

	/**
	 * 设计仓容
	 */
	@Column(name = "sjcr")
	private Integer sjcr;

	/**
	 * 实际仓容
	 */
	@Column(name = "sjcr01")
	private Integer sjcr01;

	/**
	 * 联系电话
	 */
	@Column(name = "lxdh")
	private String lxdh;
	
	/**
	 * 人员编号
	 */
	@Column(name = "rybh")
    private String rybh;

	/**
	 * 人员名称
	 */
	@Column(name = "ryxm")
    private String ryxm;

	/**
	 * 仓房墙体
	 */
	@Column(name = "cfqt")
    private String cfqt;

	/**
	 * 仓房檐高
	 */
	@Column(name = "cfyg")
    private Double cfyg;

	/**
	 * 仓房屋顶
	 */
	@Column(name = "cfwm")
    private String cfwm;

	/**
	 * 仓房地面
	 */
	@Column(name = "cfdm")
    private String cfdm;

	/**
	 * 房屋跨度
	 */
	@Column(name = "fwkd")
    private Long fwkd;

	/**
	 * 装粮线高度
	 */
	@Column(name = "zlxgd")
    private Double zlxgd;

	/**
	 * 筒仓直径
	 */
	@Column(name = "tczj")
    private Double tczj;

	/**
	 * 仓门数量
	 */
	@Column(name = "cmsl")
    private Long cmsl;

	/**
	 * 仓门高度
	 */
	@Column(name = "cmgd")
    private Long cmgd;

	/**
	 * 仓门宽度
	 */
	@Column(name = "cmkd")
    private Long cmkd;

	/**
	 * 通风措施
	 */
	@Column(name = "tffs")
    private String tffs;

	/**
	 * 隔热措施
	 */
	@Column(name = "grfs")
    private String grfs;

	/**
	 * 控温措施
	 */
	@Column(name = "kwcs")
    private String kwcs;

	/**
	 * 精度
	 */
	@Column(name = "jd")
	private Double jd;

	/**
	 * 纬度
	 */
	@Column(name = "wd")
	private Double wd;

	/**
	 * 启用日期
	 */
	@Column(name = "qyrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date qyrq;

	/**
	 * 仓房状态
	 */
	@Column(name = "cfzt")
	private String cfzt;

	/**
	 * 建设年代
	 */
	@Column(name = "jsnd")
	private String jsnd;
	
	/**
	 * 单仓装粮容积
	 */
	@Column(name = "dczlrj")
	private Integer dczlrj;
	
	/**
	 * 库点名称
	 */
	@Column(name = "kdmc")
	private String kdmc;

	/**
	 * 仓房类型编号
	 */
	@Column(name = "CFLXBH")
	private String cflxbh;

	/**
	 * 0、低温仓、1、准低温仓、2、普通仓、3、保温仓（见备注）
	 */
	@Column(name = "DWC")
	private Integer dwc;	

	/**
	 * 仓房用途
	 */
	@Column(name = "CFYT")
	private String cfyt;  

	/**
	 * 仓房内长
	 */
	@Column(name = "CFNC")
	private Double cfnc; 

	/**
	 * 仓房内宽
	 */
	@Column(name = "CFNK")
	private Double cfnk;

	/**
	 * 仓房内径
	 */
	@Column(name = "CFNJ")
	private Integer cfnj;

	/**
	 * 储存方式 
	 */
	@Column(name = "CCFS")
	private String ccfs;

	/**
	 * 保温门    0、无。1、有
	 */
	@Column(name = "BWM")
	private Integer bwm;

	/**
	 * 保温窗
	 */
	@Column(name = "BWC")
	private Integer bwc;

	/**
	 * 双层保温窗0、无。1、有
	 */
	@Column(name = "SCBWC")
	private Integer scbwc;

	/**
	 * 外控内开窗0、无。1、有
	 */
	@Column(name = "WKNKC")
	private Integer wknkc;

	/**
	 * 仓内吊顶0、无。1、有
	 */
	@Column(name = "CNDD")
	private Integer cndd;

	/**
	 * 仓内保温吊顶0、无。1、有
	 */
	@Column(name = "CDBWDD")
	private Integer cdbwdd;

	/**
	 * 隔层排积热0、无。1、有
	 */
	@Column(name = "GCPJR")
	private Integer gcpjr;

	/**
	 * 仓顶外隔热层0、无。1、有
	 */
	@Column(name = "CDWGRC")
	private Integer cdwgrc;

	/**
	 * 保温墙体0、无。1、有
	 */
	@Column(name = "BWQT")
	private Integer bwqt;

	/**
	 * 保温涂料0、无。1、有
	 */
	@Column(name = "BWTL")
	private Integer bwtl;

	/**
	 * 制冷设备0、无。1、有
	 */
	@Column(name = "ZLSB")
	private Integer zlsb;

	/**
	 * 地笼通风0、无。1、有
	 */
	@Column(name = "DLTF")
	private Integer dltf;

	/**
	 * 轴流通风0、无。1、有
	 */
	@Column(name = "ZLTF")
	private Integer zltf;

	/**
	 * 电子测温0、无。1、有
	 */
	@Column(name = "DZCW")
	private Integer dzcw;

	/**
	 * 自动流粮口0、无。1、有
	 */
	@Column(name = "ZDLLK")
	private Integer zdllk;

	/**
	 * 环流熏蒸0、无。1、有
	 */
	@Column(name = "HLXZ")
	private Integer hlxz;

	/**
	 * 仓内环流0、无。1、有
	 */
	@Column(name = "CNHL")
	private Integer cnhl;

	@ApiModelProperty(value = "是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", notes ="是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", required = false)
	@Column(name = "SFBA")
	private Integer sfba;

	@ApiModelProperty(value = "仓房序号", notes ="仓房序号", required = false)
	@Column(name = "cfxh")
	private String cfxh;

	@ApiModelProperty(value = "廒间序号", notes ="廒间序号", required = false)
	@Column(name = "ajxh")
	private String ajxh;

	@ApiModelProperty(value = "货位序号", notes ="货位序号", required = false)
	@Column(name = "hwxh")
	private String hwxh;

	@ApiModelProperty(value = "建设时间", notes ="建设时间", required = false)
	@Column(name = "jssj")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date jssj;

	@ApiModelProperty(value = "交付使用日期", notes ="交付使用日期", required = false)
	@Column(name = "jfsyrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date jfsyrq;

	@ApiModelProperty(value = "防雨防潮性能", notes ="防雨防潮性能", required = false)
	@Column(name = "fyfcxn")
	private String fyfcxn;

	@ApiModelProperty(value = "密闭杀虫性能", notes ="密闭杀虫性能", required = false)
	@Column(name = "mbscxn")
	private String mbscxn;

	@ApiModelProperty(value = "隔热保冷性能", notes ="隔热保冷性能", required = false)
	@Column(name = "grblxn")
	private String grblxn;

	@ApiModelProperty(value = "能否散装储存，0：否，1：是", notes ="能否散装储存，0：否，1：是", required = false)
	@Column(name = "sfszcc")
	private Integer sfszcc;

	@ApiModelProperty(value = "有无粮情测控情况，0：无，1：有", notes ="有无粮情测控情况，0：无，1：有", required = false)
	@Column(name = "ywlqckqk")
	private Integer ywlqckqk;

	@ApiModelProperty(value = "仓房使用情况，0：停用，1：闲置，2：储粮，3：物资，4：他用", notes ="仓房使用情况，0：停用，1：闲置，2：储粮，3：物资，4：他用", required = false)
	@Column(name = "cfsyqk")
	private Integer cfsyqk;

	@ApiModelProperty(value = "墙体厚度（厘米）", notes ="墙体厚度（厘米）", required = false)
	@Column(name = "qthd")
	private Integer qthd;

	@ApiModelProperty(value = "仓门名称", notes ="仓门名称", required = false)
	@Column(name = "cmmc")
	private String cmmc;

	@ApiModelProperty(value = "墙体隔热，1：保温隔热涂料，2：墙体增厚", notes ="墙体隔热，1：保温隔热涂料，2：墙体增厚", required = false)
	@Column(name = "qtgr")
	private Integer qtgr;
	
	
	@Column(name = "lspzmc")
	private String lspzmc;

	@Column(name = "fcsl")
	private Integer fcsl;

	@ApiModelProperty(value = "入仓年月")
	@Transient
	private String rcny;

	@ApiModelProperty(value = "仓房外温")
	@Transient
	private Double cfww;

	@ApiModelProperty(value="仓房内温")
	@Transient
	private Double cfnw;

	@ApiModelProperty(value="仓房外湿")
	@Transient
	private Double cfws;

	@ApiModelProperty(value="仓房内湿")
	@Transient
	private Double cfns;

	@Column(name = "shrmc")
	private String shrmc;
	
	@Column(name = "shsj")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date shsj;
	
	@Column(name = "shyj")
	private String shyj;
	
	@Transient
	private String[] zts;
	
	   /**
     * 所属企业信用代码
     */
    @ApiModelProperty(value="所属企业信用代码")
    @Column(name = "tyshxydm")
    private String tyshxydm;
    
	@ApiModelProperty(value = "窗户保温 1.单层 2 双层  3三层")
	private Integer chbw;
	
	@ApiModelProperty(value="轴流风机 0:无 1:有" )
	private Integer zlfj;
	
	@ApiModelProperty(value="能否环流熏蒸杀虫 0:否 1:能" )
	private Integer nfxlsc;
	
	@ApiModelProperty(value="仓内摄像头 0:无 1:有" )
	private Integer cnsxt;
	
	@ApiModelProperty(value="低温仓类型 1：低温仓 2准低温仓 3普通仓 4保温仓" )
	private Integer dwclx;
	
	@ApiModelProperty(value="有无机械通风设施 0:无 1:有" )
	private Integer ywjxtfss;

	@ApiModelProperty(value="此字段用于市级仓房  市级将唯一标识发给仓" )
	private String cfbm;

	@ApiModelProperty(value="企业编码 通过企业编码唯一标识处理业务数据" )
	private String qybm;

	//模糊查询时间
	@Transient
	private String cxsj;
}
