package com.jusfoun.ydylsz.pojo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 库存情况
 *
 * @author by PIG
 * 2023/2/20 14
 */
@Data
@ApiModel(value = "库存情况")
public class InventoryDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "所属库点编码")
    @Column(name="sskddm")
    private String sskddm; // 所属库点编码

    @ApiModelProperty(value = "所属库点名称")
    @Column(name = "sskdmc")
    private String sskdmc; // 所属库点名称

    @ApiModelProperty(value = "市级储备粮库存")
    @Column(name = "sj_cblkc")
    private BigDecimal sjCblkc;

    @ApiModelProperty(value = "小麦库存量")
    @Column(name="sj_xmsl")
    private BigDecimal sjXmsl;
    @ApiModelProperty(value = "稻谷库存量")
    @Column(name="sj_dgsl")
    private BigDecimal sjDgsl;
    @ApiModelProperty(value = "大米")
    @Column(name="sj_dmsl")
    private BigDecimal sjDmsl;
    @ApiModelProperty(value = "小麦粉")
    @Column(name="sj_xmfsl")
    private BigDecimal sjXmfsl;

    @ApiModelProperty(value = "原油")
    @Column(name="sj_yysl")
    private BigDecimal sjYysl;

    @ApiModelProperty(value = "成品油")
    @Column(name="sj_cpysl")
    private BigDecimal sjCpysl;

    @ApiModelProperty(value = "县级储备库存")
    @Column(name="xj_cblkc")
    private BigDecimal XjCblkc;

    @ApiModelProperty(value = "小麦库存量")
    @Column(name="xj_xmsl")
    private BigDecimal xjXmsl;
    @ApiModelProperty(value = "稻谷库存量")
    @Column(name="xj_dgsl")
    private BigDecimal xjDgsl;
    @ApiModelProperty(value = "大米")
    @Column(name="xj_dmsl")
    private BigDecimal xjDmsl;
    @ApiModelProperty(value = "小麦粉")
    @Column(name="xj_xmfsl")
    private BigDecimal xjXmfsl;

    @ApiModelProperty(value = "原油")
    @Column(name="xj_yysl")
    private BigDecimal xjYysl;

    @ApiModelProperty(value = "成品油")
    @Column(name="xj_cpysl")
    private BigDecimal xjCpysl;
}
