package com.jusfoun.ydylsz.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author by PIG
 * 2023/2/22 10
 */
@AllArgsConstructor
@Data
@ApiModel(value = "库存情况统计")
@NoArgsConstructor
public class InventoryTotalVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "所属库点编码")
    @Column(name = "sskddm")
    private String sskddm; // 所属库点编码

    @ApiModelProperty(value = "所属库点名称")
    @Column(name = "sskdmc")
    private String sskdmc; // 所属库点名称

    @ApiModelProperty(value = "储备粮库存")
    @Column(name = "cblkc")
    private BigDecimal cblkc;

    @ApiModelProperty(value = "小麦库存量")
    private BigDecimal xmsl;
    @ApiModelProperty(value = "稻谷库存量")
    private BigDecimal dgsl;
    @ApiModelProperty(value = "大米")
    private BigDecimal dmsl;
    @ApiModelProperty(value = "小麦粉")
    private BigDecimal xmfsl;

    @ApiModelProperty(value = "原油")
    private BigDecimal yysl;

    @ApiModelProperty(value = "成品油")
    @Column(name = "cpysl")
    private BigDecimal cpysl;


    public InventoryTotalVO(InventoryDetailVO detail) {
        this.sskddm = detail.getSskddm();
        this.sskdmc = detail.getSskdmc();
        this.cblkc = detail.getSjCblkc().add(detail.getXjCblkc());
        this.xmsl = detail.getSjXmsl().add(detail.getXjXmsl());
        this.dgsl = detail.getSjDgsl().add(detail.getXjDgsl());
        this.dmsl = detail.getSjDmsl().add(detail.getXjDmsl());
        this.xmfsl = detail.getSjXmfsl().add(detail.getXjXmfsl());
        this.yysl = detail.getSjYysl().add(detail.getXjYysl());
        this.cpysl = detail.getSjCpysl().add(detail.getXjCpysl());
    }

}
