package com.jusfoun.ydylsz.scheduling;

import com.jusfoun.ydylsz.service.HlhtCapturePicService;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


/**
 * @author by PIG
 * 2022/9/22 11
 */

@ConditionalOnProperty(prefix = "scheduling", name = "enabled", havingValue = "true")
@Component
@Log4j
public class CaptureTask {

    @Autowired
    private HlhtCapturePicService capturePicService;

    /**
     * 抓图
     */
    @Scheduled(cron="0 0 8,21 * * ? ")
    public void catchPic() {
        log.info("======================= catch capture pic start ===================");
        long startTime = System.currentTimeMillis();
        capturePicService.catchPic();
        long overTime = System.currentTimeMillis();
        log.info("======================= catch capture pic over ==================== " + (overTime - startTime));
    }

}
