package	com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.vo.DXPCFXXVO;
import com.jusfoun.ydylsz.vo.DXPHWXXVO;
import com.jusfoun.ydylsz.vo.DXPKQXXVO;

import org.springframework.stereotype.Service;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.PageHelper;
import com.jusfoun.ydylsz.mapper.DXPCFXXMapper;
import com.jusfoun.ydylsz.mapper.KshGgfwMapper;


//DXP_CFXX--表4-4 仓房信息数据接口业务层  
@Service
public class DXPCFXXService{

	@Autowired
	private DXPCFXXMapper dxpcfxxMapper;
	@Autowired
	private KshGgfwMapper ggfwMapper;
	//列表
	public	PageInfo<DXPCFXXVO>  selectList(DXPCFXXVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPCFXXVO> pageInfo = new PageInfo<>(dxpcfxxMapper.selectList(vo));
		for(DXPCFXXVO dxpkqxxvo:pageInfo.getList()){
			String cflxnm = dxpkqxxvo.getCflxnm();
			if(StringUtils.isNotEmpty(cflxnm)) dxpkqxxvo.setCflxmc(ggfwMapper.queryName(cflxnm, "粮仓"));
			
			String cfzt = dxpkqxxvo.getCfzt();
			if(StringUtils.isNotEmpty(cfzt)) dxpkqxxvo.setCfzt(ggfwMapper.queryName(cfzt, "仓房状态"));
		}
		return pageInfo;
	}

	//详情
	public	DXPCFXXVO selectDetail(String cfbh) throws Exception{
		DXPCFXXVO vo = dxpcfxxMapper.selectDetail(cfbh);
		List<DXPHWXXVO> list = dxpcfxxMapper.selectHzData(cfbh);
		if(list != null && list.size() > 0) {
			String xzArrStr = "(";
			String pzArrStr = "(";
			for (int j = 0; j < list.size(); j++) {
				vo.setQmkcArrStr(list.get(j).getQmkc()+vo.getQmkcArrStr());
				vo.setDjbmArrStr(list.get(j).getDjbm() == null ? "" :ggfwMapper.queryName(list.get(j).getDjbm(),"等级"));
				if(j == list.size() - 1) {
					xzArrStr += (list.get(j).getLsxzbm() + ")");
					pzArrStr += (list.get(j).getPzbm() + ")");
				}else {
					xzArrStr += (list.get(j).getLsxzbm() + ",");
					pzArrStr += (list.get(j).getPzbm() + ",");
				}
			}
//			code,name
			List<Map<String, Object>> xzList = ggfwMapper.getSjzdListByListStr(xzArrStr);
			List<Map<String, Object>> pzList = ggfwMapper.getSjzdListByListStr(pzArrStr);
			for (DXPHWXXVO hw : list) {
				for (Map<String, Object> map : xzList) {
					if(map.get("code") != null && hw.getLsxzbm() != null && map.get("code").equals(hw.getLsxzbm())) {
						vo.setLsxzbmArrStr(map.get("name")  + " " + (vo.getLsxzbmArrStr() == null ? "" : vo.getLsxzbmArrStr()));
					}
				}
				for (Map<String, Object> pz : pzList) {
					if(pz.get("code") != null && hw.getPzbm() != null  && pz.get("code").equals(hw.getPzbm())) {
						vo.setPzbmArrStr(pz.get("name")  + " " +  (vo.getPzbmArrStr() == null ? "" : vo.getPzbmArrStr()));
					}
				}
			}
		}
		return vo;
	}


}