package com.jusfoun.ydylsz.service;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.*;

import com.alibaba.fastjson.JSONObject;
import com.jusfoun.ydylsz.mapper.DXPAJXXMapper;
import com.jusfoun.ydylsz.pojo.TreeNode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class DXPKQSPService {

    @Autowired
    private DXPAJXXMapper dxpAJXXMapper;

    public List<Map<String, Object>> selectByKqbmAndCfbhList(String kqbm, String cfbh) {
        return dxpAJXXMapper.selectByKqbmAndCfbhList(kqbm, cfbh);
    }

    public List<Map<String, Object>> selectList(String kqbm) {

        List<Map<String, Object>> dataList = dxpAJXXMapper.selectByKqbmList(kqbm);

        return dataList;

		/*String url = "http://106.3.145.78:49879/cjjdxt/kshHlhtSbxx/queryKqbm?kqbm="+kqbm+"";

		String param = "";

		String result = sendPost(url,param);

		JSONObject objData = JSONObject.parseObject(result);

		JSONArray arrayList = JSON.parseArray(objData.getString("data"));

		Iterator<Object> it = arrayList.iterator();

		List<Map<String, Object>> map = new ArrayList<Map<String, Object>>();

		while (it.hasNext()) {

			Map<String,Object> map1 = new HashMap<String,Object>();

			JSONObject obj = (JSONObject) it.next();

			String stdcode = obj.getString("stdcode");

			String stdname = obj.getString("stdname");

			map1.put("stdcode", stdcode);

			map1.put("stdname", stdname);

			map.add(map1);

		}

		return map;*/
    }


	/*public String yuntaiControl(String cameraIndexCode, Integer action, String command, Integer speed,
			Integer presetIndex) {

		String url = "http://106.3.145.78:49879/cjjdxt/kshHlhtSbxx/yuntaiControl?cameraIndexCode="+cameraIndexCode+"&action="+action; //+"&"
				// + "command="+command+"&speed="+speed+"";
		if(!StringUtils.isNullString(command)) {
			url += "&command="+command;
		}
		if(speed != null) {
			url += "&speed="+speed;
		}

		String param = "";

		String result = sendPost(url,param);

		JSONObject objData = JSONObject.parseObject(result);

		String dataList = objData.getString("data");

		return dataList;
	}*/

    public static String sendPost(String url, String param) {
        OutputStreamWriter out = null;
        BufferedReader in = null;
        String result = "";
        try {
            URL realUrl = new URL(url);
            HttpURLConnection conn = null;           // 打开和URL之间的连接
            conn = (HttpURLConnection) realUrl.openConnection();            // 发送POST请求必须设置如下两行
            conn.setDoOutput(true);
            conn.setDoInput(true);
            conn.setRequestMethod("POST");    // POST方法

            // 设置通用的请求属性
            conn.setRequestProperty("accept", "*/*");
            conn.setRequestProperty("connection", "Keep-Alive");
            conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
            conn.setRequestProperty("Content-Type", "application/json;charset=utf-8");
            conn.connect();            // 获取URLConnection对象对应的输出流
            out = new OutputStreamWriter(conn.getOutputStream(), "UTF-8");            // 发送请求参数
            out.write(param);            // flush输出流的缓冲
            out.flush();            // 定义BufferedReader输入流来读取URL的响应
            in = new BufferedReader(new InputStreamReader(conn.getInputStream()));
            String line;
            while ((line = in.readLine()) != null) {
                result += line;
            }
        } catch (Exception e) {
            System.out.println("发送 POST 请求出现异常！" + e);
            e.printStackTrace();
        }   //使用finally块来关闭输出流、输入流
        finally {
            try {
                if (out != null) {
                    out.close();
                }
                if (in != null) {
                    in.close();
                }

            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return result;
    }


    public List<TreeNode> queryParentId() {
        return dxpAJXXMapper.queryParentId();
    }


    public List<TreeNode> queryChildListById(String zid) {
        return dxpAJXXMapper.queryChildListById(zid);
    }

    public String selectByCfbh(String cfbh) {
        return dxpAJXXMapper.selectByCfbh(cfbh);
    }

    public List<String> selectByKddm(String kqbm) {
        return dxpAJXXMapper.selectByKddm(kqbm);
    }

//	public static void main(String[] args) {
//
//		Integer stdcode = 110100;
//
//		String url = "http://106.3.145.78:49879/cjjdxt/kshHlhtSbxx/queryShi?stdcode="+stdcode+"";
//
//		String param = "";
//
//		String result = sendPost(url,param);
//
//		System.out.println(result);
//
//		JSONObject objData = JSONObject.parseObject(result);
//
//		JSONArray arrayList = JSON.parseArray(objData.getString("data"));
//
//		Iterator<Object> it = arrayList.iterator();
//
//		while (it.hasNext()) {
//
//			JSONObject obj = (JSONObject) it.next();
//
//			System.out.println(obj.getInteger("stdcode"));
//
//		}
//
//	}

    public String queryClassStrId(String kddm) {
        return dxpAJXXMapper.queryClassStrId(kddm);
    }

    public List<Map<String, Object>> queryChildren(String classStrId) {
        return dxpAJXXMapper.queryChildren(classStrId);
    }

    public List<Map> selectByKqbmListByZzjgdm(String zzjgdm) {
        return dxpAJXXMapper.selectByKqbmListByZzjgdm(zzjgdm);
    }

    public Map<String, Object> getRandomOne() {
        Integer count = dxpAJXXMapper.countStdcode();
        if (0 < count) {
            Random random = new Random();
            int rowIndex = random.nextInt(count - 1) + 1;
            log.info("随机数 {}", rowIndex);
            Map<String, Object> data = dxpAJXXMapper.getDataByRowIndex(rowIndex);
            log.info("》》》》》》》》》》》》》》》》》》》》》查询到的设备信息：{}", JSONObject.toJSONString(rowIndex));
            return data;
        }
        return new HashMap<>();
    }

    public List<Map<String, Object>> selectByKqdmAndCfdmList(String kqdm, String cfdm) {
        return dxpAJXXMapper.selectByKqdmAndCfdmList(kqdm, cfdm);
    }

}
