package	com.jusfoun.ydylsz.service;

import com.jusfoun.ydylsz.mapper.DXPCFXXMapper;
import com.jusfoun.ydylsz.mapper.KshGgfwMapper;
import com.jusfoun.ydylsz.vo.DXPCFXXVO;
import com.jusfoun.ydylsz.vo.DXPLSCRKXXVO;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.PageHelper;
import com.jusfoun.ydylsz.mapper.DXPLSCRKXXMapper;


//DXP_LSCRKXX--表4-9 粮食出入库信息数据接口业务层  
@Service
public class DXPLSCRKXXService{

	@Autowired
	private DXPLSCRKXXMapper dxplscrkxxMapper;
	@Autowired
	private DXPCFXXMapper dxpcfxxMapper;
	@Autowired
	private KshGgfwMapper ggfwMapper;

	//列表
	public	PageInfo<DXPLSCRKXXVO>  selectList(DXPLSCRKXXVO vo) throws Exception{
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPLSCRKXXVO> pageInfo = new PageInfo<>(dxplscrkxxMapper.selectList(vo));
		Float sumSjsl = dxplscrkxxMapper.querySumSjsl(vo);
		Float sumJjsl = dxplscrkxxMapper.querySumJjsl(vo);
		DXPCFXXVO dxpcfxxvo = dxpcfxxMapper.selectDetail(vo.getHwbm());
		Integer id = 0;
		for(DXPLSCRKXXVO dxplscrkxxvo:pageInfo.getList()){
			String lsxzbmmc = ggfwMapper.queryName(dxplscrkxxvo.getLqxzbm(),"粮食性质");
			String bzbmmc = ggfwMapper.queryName(dxplscrkxxvo.getPzbm(),"粮食品种");
			if(dxplscrkxxvo.getDjbm() != null) {
				String zldj = ggfwMapper.queryName(dxplscrkxxvo.getDjbm(),"等级");
				dxplscrkxxvo.setDjbm(zldj);	
			}			
			dxplscrkxxvo.setJzmc(dxplscrkxxvo.getJz()+"吨");
			dxplscrkxxvo.setLqxzbm(lsxzbmmc);
			dxplscrkxxvo.setPzbm(bzbmmc);			
			if(dxpcfxxvo != null) {
				dxplscrkxxvo.setCfmc(dxpcfxxvo.getCfmc());
			}
			dxplscrkxxvo.setJssl(sumJjsl);
			dxplscrkxxvo.setSjsl(sumSjsl);
			dxplscrkxxvo.setId(id += 1);
		}		
		return pageInfo;
	}

	//详情
	public	DXPLSCRKXXVO selectDetail(DXPLSCRKXXVO vo) throws Exception{
		return dxplscrkxxMapper.selectDetail(vo);
	}

	public DXPLSCRKXXVO selectByRkDetail(String mdbh,String hwbm) {
		
		DXPLSCRKXXVO vo = dxplscrkxxMapper.selectByRkDetail(mdbh,hwbm);
		if(vo != null) {
			String xm = vo.getJyxm();
			String jl = vo.getJyjg();
			Map<String,String> map = new HashMap<String,String>();
			if(xm!=null&&jl!=null&&xm.length()>0&&jl.length()>0){
				for(int i =0;i<vo.getJyxm().split(",").length;i++){
					String[] xmData = xm.split(",");
					String[] jlData = jl.split(",");
					map.put(xmData[i],jlData[i]);
				}       
				//质量
				if(map.get("040202")!=null){
					vo.setZzfsz(map.get("040202"));
				}
				if(map.get("01010411")!=null){
					vo.setRssl(map.get("01010411"));
				}
				if(map.get("01010407")!=null){
					vo.setSsll(map.get("01010407"));
				}
				if(map.get("01012104")!=null){
					vo.setWzll(map.get("01012104"));
				}
				if(map.get("01010201")!=null){
					vo.setHhl(map.get("01010201"));
				}
				if(map.get("01012102")!=null){
					vo.setHlm(map.get("01012102"));
				}
				if(map.get("01010404")!=null){
					vo.setGwcm(map.get("01010404"));
				}
				if(map.get("01012104")!=null){
					vo.setZjml(map.get("01012104"));
				}
				if(map.get("02010306")!=null){
					vo.setZfsz(map.get("02010306"));
				}
				if(map.get("01012101")!=null){
					vo.setCcl(map.get("01012101"));
				}
				if(map.get("01010301")!=null){
					vo.setZz(map.get("01010301"));
				}
				if(map.get("020101")!=null){
					vo.setSf(map.get("020101"));
				}
				if(map.get("010101")!=null){
					vo.setSzqw(map.get("010101"));
				}
				if(map.get("01010701")!=null){
					vo.setRz(map.get("01010701"));
				}
				if(map.get("01010401")!=null){
					vo.setBwsl(map.get("01010401"));
				}
				if(map.get("01010404")!=null){
					vo.setSyl(map.get("01010404"));
				}
				if(map.get("01010405")!=null){
					vo.setSml(map.get("01010405"));
				}
				//TODO  谷外糙米			
				if(map.get("01010405")!=null){
					vo.setMbl(map.get("01010405"));
				}			
				//储粮
				if(map.get("040103")!=null){
					vo.setMjxsl(map.get("040103"));
				}
				if(map.get("040302")!=null){
					vo.setPcfz(map.get("040302"));
				}
				if(map.get("010101")!=null){
					vo.setSzqw1(map.get("010101"));
				}			
				//食品安全
				//TODO  呕吐霉素
				if(map.get("010103")!=null){
					vo.setOtms(map.get("010103"));
				}
				//TODO 玉米赤霉烯酮
				if(map.get("010103")!=null){
					vo.setYmcmxt(map.get("010103"));
				}
				if(map.get("02010811")!=null){
					vo.setQian(map.get("02010811"));
				}	
				if(map.get("02010812")!=null){
					vo.setGe(map.get("02010812"));
				}if(map.get("02010808")!=null){
					vo.setGong(map.get("02010808"));
				}
				if(map.get("02010807")!=null){
					vo.setWjs(map.get("02010807"));
				}
				if(map.get("02030201")!=null){
					vo.setHqmds(map.get("02030201"));
				}
				if(map.get("01010304")!=null) {
					vo.setKwz(map.get("01010304"));
				}
				if(map.get("02010301")!=null) {
					vo.setZzfhl(map.get("02010301"));
				}
				if(map.get("02010401")!=null) {
					vo.setZdbzhl(map.get("02010401")); 
				}
				if(map.get("040104")!=null) {
					vo.setDbzrjbl(map.get("040104"));
				}
				// 小麦粉
				if(map.get("01013101")!=null) {
					vo.setJgjd(map.get("01013101"));
				}
				if(map.get("02010201")!=null) {
					vo.setHf(map.get("02010201"));
				}
				if(map.get("01020101")!=null) {
					vo.setCxd(map.get("01020101"));
				}
				if(map.get("01020102")!=null) {
					vo.setHsl(map.get("01020102"));
				}
				if(map.get("01020103")!=null) {
					vo.setCxjsw(map.get("01020103"));
				}
				// 大米
				if(map.get("01012113")!=null) {
					vo.setSm(map.get("01012113"));
				}
				if(map.get("01012114")!=null) {
					vo.setDmjgjd(map.get("01012114"));
				}
				// 大豆油
				if(map.get("040202")!=null) {
					vo.setSj(map.get("040202"));
				}
				if(map.get("02010332")!=null) {
					vo.setGyhz(map.get("02010332"));
				}
				if(map.get("02030922")!=null) {
					vo.setRjcll(map.get("02030922"));  
				}
				if(map.get("01010101")!=null) {
					vo.setSz(map.get("01010101"));  
				}
				if(map.get("01012108")!=null) {
					vo.setTmd(map.get("01012108"));
				}
				if(map.get("02010307")!=null) {
					vo.setHzl(map.get("02010307"));
				}
				if(map.get("01020313")!=null) {
					vo.setYd(map.get("01020313"));
				}
		    }	
			// 计算计价数量
			Float jssl = Float.valueOf(vo.getJz()) - Float.valueOf(vo.getKsz()) - Float.valueOf(vo.getQtkl());
			vo.setJssl(jssl);
			// 等级
			if(vo.getDjbm() != null) {
				vo.setDjbm(ggfwMapper.queryName(vo.getDjbm(),"等级"));
			}			
		}
		return vo;
	}

	public DXPLSCRKXXVO selectByCkDetail(String mdbh, String hwbm) {
		DXPLSCRKXXVO vo = dxplscrkxxMapper.selectByCkDetail(mdbh,hwbm);
		if(vo != null) {
			vo.setPzbm(ggfwMapper.queryName(vo.getPzbm(),"粮食品种"));
			// 计算计价数量
			Float jssl = Float.valueOf(vo.getJz()) - Float.valueOf(vo.getKsz());
			vo.setJssl(jssl);
			// 质检单号
			String ckzjdh = dxplscrkxxMapper.queryCkzjdh(vo.getHwbm());
			vo.setZjbgdbh(ckzjdh);
		}	
		return vo;
	}

	public PageInfo<DXPLSCRKXXVO> selectCkList(DXPLSCRKXXVO vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPLSCRKXXVO> pageInfo = new PageInfo<>(dxplscrkxxMapper.selectCkList(vo));
		Float sumSjsl = dxplscrkxxMapper.querySumCkSjsl(vo);
		Float sumJjsl = dxplscrkxxMapper.querySumCkJjsl(vo);
		DXPCFXXVO dxpcfxxvo = dxpcfxxMapper.selectDetail(vo.getHwbm());
		Integer id = 0;
		for(DXPLSCRKXXVO dxplscrkxxvo:pageInfo.getList()){
			String lsxzbmmc = ggfwMapper.queryName(dxplscrkxxvo.getLqxzbm(),"粮食性质");
			String bzbmmc = ggfwMapper.queryName(dxplscrkxxvo.getPzbm(),"粮食品种");
			String zldj = ggfwMapper.queryName(dxplscrkxxvo.getDjbm(),"等级");
			dxplscrkxxvo.setJzmc(dxplscrkxxvo.getJz()+"吨");
			dxplscrkxxvo.setLqxzbm(lsxzbmmc);
			dxplscrkxxvo.setPzbm(bzbmmc);
			dxplscrkxxvo.setDjbm(zldj);	
			if(dxpcfxxvo != null) {
				dxplscrkxxvo.setCfmc(dxpcfxxvo.getCfmc());
			}	
			dxplscrkxxvo.setJssl(sumJjsl);
			dxplscrkxxvo.setSjsl(sumSjsl);			
			dxplscrkxxvo.setId(id += 1);
		}
		return pageInfo;
	}

	public PageInfo<DXPLSCRKXXVO> selectRkAndCkList(DXPLSCRKXXVO vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPLSCRKXXVO> pageInfo = new PageInfo<>(dxplscrkxxMapper.selectRkAndCkList(vo));		
		for(DXPLSCRKXXVO dxplscrkxxvo:pageInfo.getList()){
			DXPCFXXVO dxpcfxxvo = dxpcfxxMapper.selectDetail(dxplscrkxxvo.getCfbm());
			String lsxzbmmc = ggfwMapper.queryName(dxplscrkxxvo.getLqxzbm(),"粮食性质");
			String bzbmmc = ggfwMapper.queryName(dxplscrkxxvo.getPzbm(),"粮食品种");
			String zldj = ggfwMapper.queryName(dxplscrkxxvo.getDjbm(),"等级");
			dxplscrkxxvo.setJzmc(dxplscrkxxvo.getJz()+"吨");
			dxplscrkxxvo.setLqxzbm(lsxzbmmc);
			dxplscrkxxvo.setPzbm(bzbmmc);
			dxplscrkxxvo.setDjbm(zldj);	
			if(dxpcfxxvo != null) {
				dxplscrkxxvo.setCfmc(dxpcfxxvo.getCfmc());
			}	
		}
		return pageInfo;
	}

}