package com.jusfoun.ydylsz.service;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;
import java.sql.ResultSet;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.jusfoun.ydylsz.mapper.DXPLQJCMapper;
import com.jusfoun.ydylsz.util.MysqlTool;
import com.jusfoun.ydylsz.vo.DXPLQJCVO;

@Service
public class DXPMYSQLDATAService {

	@Autowired
	private DXPLQJCMapper dxplqjcMapper;

	public void selectList(String cfbm) throws Exception {

		// 调取库级测温检测接口
		String url = "http://10.223.3.62:8765/depotGrain/sendTemperatureMeasurementInstruction";
		String param = "hwCode="+cfbm+"&tType=0";
		String result = sendGET(url,param);
		JSONObject objData = JSONObject.parseObject(result);
		if(objData.getString("retCode").equals("200")) {

			// TimeUnit.MINUTES.sleep(1);  //一分钟以后执行以下代码
			TimeUnit.SECONDS.sleep(30);  // 30秒执行以下代码
			// 根据仓房编号获取货位编号
			String hwbm = dxplqjcMapper.queryByHwbm(cfbm);

			MysqlTool mt = new MysqlTool();

			String sql1 = "select storehouse_id from basic_warehouse where hwbm = '"+cfbm+"'";
			System.out.println("获取仓房id:------"+sql1);
			ResultSet rs1 = mt.query(sql1);
			try {
				while(rs1.next()) {

					String storehouse1 = rs1.getString(1);

					String sql2 = "select org_id,storehouse_code from basic_storehouse where storehouse_id = '"+storehouse1+"'";
					System.out.println("获取仓房orgId和storehouseCode:-------"+sql2);
					ResultSet rs2 = mt.query(sql2);
					try {
						while(rs2.next()) {

							String orgId2 = rs2.getString(1);
							String storehouseCode = rs2.getString(2);

							String sql = "select id,org_id,storehouse,house,t_time,inTemp,inH,outTemp,outH,t_max,t_min,t_avg,data_source,updatetime,iLq_yq,t_points from t_testdata_cloud_cloud "
									+ "where storehouse = '"+ storehouseCode +"' and iLq_yq = 0 and org_id = '"+orgId2+"'";
							System.out.println("粮温sql:------"+sql);
							ResultSet rs = mt.query(sql);
							try {
								while(rs.next()) {
									// 获取表中字段得值
									String id = rs.getString(1);
									String orgId = rs.getString(2);    // 组织结构Id
									String storehouse = rs.getString(3);   // 仓房国标编码
									String house = rs.getString(4);  // 仓厫编码
									String time = rs.getString(5);   // 采集时间
									Double inTemp = rs.getDouble(6);  // 仓内温 单位：摄氏度，精确到小数点后1位；
									Double inH = rs.getDouble(7);  //  仓内湿 单位：%，精确到小数点后1位；
									Double outTemp = rs.getDouble(8);  // 仓外温 单位：摄氏度，精确到小数点后1位
									Double outH = rs.getDouble(9);   // 仓外湿 单位：%，精确到小数点后1位
									Float max = rs.getFloat(10);  // 最高粮温
									Float min = rs.getFloat(11);  // 最低粮温
									Float avg = rs.getFloat(12);  // 平均粮温
									String dataSource = rs.getString(13);   // 数据来源
									String updateTime = rs.getString(14);  //
									String ilqYq = rs.getString(15);  // 0：粮情；1：油情；2：水分
									String tPoints = rs.getString(16);  // 单位：摄氏度；坏点值以250表示；精确到小数点后1位;测温点在仓内的X坐标代表长度 代表列;测温点在仓内的Y坐标宽度方向 代表行;测温点在仓内的Z坐标高度'

									JSONArray arrayList = JSON.parseArray(tPoints);
									// 需要将tPoints做处理   temp,z,y,x
									// 摄氏度，层行列值集合，“|”分隔，格式为“温度值，层数，行数，列数”；坏点值为-100
									Iterator<Object> it = arrayList.iterator();
									String tPointsValue = "";
									while (it.hasNext()) {
										JSONObject obj1 = (JSONObject) it.next();
										String temp = obj1.getString("temp");
										String z = obj1.getString("z");
										String y = obj1.getString("y");
										String x = obj1.getString("x");
										tPointsValue += temp+","+z+","+y+","+x+"|";
										if(!it.hasNext()){
											StringBuffer s1 = new StringBuffer(tPointsValue);
											s1 = s1.deleteCharAt(s1.length() - 1);
											tPointsValue = s1.toString();
										}
									}
									System.out.println(tPointsValue);
									SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

									String lwid = dxplqjcMapper.queryByLwId(id);
									if(lwid != null) {
									}else {
										DXPLQJCVO vo = new DXPLQJCVO();
										// dxp_lqjc插入数据
										vo.setLqjcbm(id);
										vo.setJcsj(time);
										vo.setHwbm(hwbm);
										vo.setCfww(outTemp);
										vo.setCfws(outH);
										vo.setCfns(inH);
										vo.setCfnw(inTemp);
										vo.setZgw(max);
										vo.setZdw(min);
										vo.setPjw(avg);
										vo.setLswdzjh(tPointsValue);
										vo.setLssdzjh("-1");
										vo.setLssfzjh("-1");
										vo.setCzbz("i");  // i表示新增数据
										vo.setDxTime(format.format(new Date()));
										dxplqjcMapper.insert(vo);
									}
								}
								System.out.println("粮温新增数据完成!");
							}catch(Exception e) {
								e.printStackTrace();
							}
						}
					}catch(Exception e) {
						e.printStackTrace();
					}
				}
			}catch(Exception e) {
				e.printStackTrace();
			}
		}else {
			System.out.println("测温监测接口异常!");
		}
	}

	public static String sendGET(String url, String param) {

	    String result = "";
        BufferedReader in = null;
        try {
            String urlNameString = url + "?" + param;
            URL realUrl = new URL(urlNameString);
            // 打开和URL之间的连接
            URLConnection connection = realUrl.openConnection();
            // 设置通用的请求属性
            connection.setRequestProperty("accept", "*/*");
            connection.setRequestProperty("connection", "Keep-Alive");
            connection.setRequestProperty("user-agent",
                    "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
            // 建立实际的连接
            connection.connect();
            // 获取所有响应头字段
            Map<String, List<String>> map = connection.getHeaderFields();
            // 遍历所有的响应头字段
            for (String key : map.keySet()) {
                System.out.println(key + "--->" + map.get(key));
            }
            // 定义 BufferedReader输入流来读取URL的响应
            in = new BufferedReader(new InputStreamReader(
                    connection.getInputStream()));
            String line;
            while ((line = in.readLine()) != null) {
                result += line;
            }
        } catch (Exception e) {
            System.out.println("发送GET请求出现异常！" + e);
            e.printStackTrace();
        }
        // 使用finally块来关闭输入流
        finally {
            try {
                if (in != null) {
                    in.close();
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return result;
    }

	/*public static void main(String[] args) {
		try {
			System.out.println("一分钟之前执行");
			//TimeUnit.MINUTES.sleep(1);
			TimeUnit.SECONDS.sleep(30);
			System.out.println("一分钟之后执行");
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}*/

}
