package com.jusfoun.ydylsz.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.DXPTFZYJGMapper;
import com.jusfoun.ydylsz.mapper.KshGgfwMapper;
import com.jusfoun.ydylsz.vo.DXPTFZYJGVO;
import com.jusfoun.ydylsz.vo.DXPXZZYJGVO;

@Service
public class DXPTFZYJGService {

	@Autowired
	private DXPTFZYJGMapper dxptfzyjgMapper;
	
	@Autowired
	private KshGgfwMapper ggfwMapper;
	
	public DXPTFZYJGVO selectTFInfo(String tfzybm) {
		DXPTFZYJGVO vo = dxptfzyjgMapper.selectTFInfo(tfzybm);
		if(vo.getCflxnm() != null) {
			String cflxnm = ggfwMapper.queryName(vo.getCflxnm(),"粮仓");
			vo.setCflxnm(cflxnm);
		}if(vo.getTffs() != null) {
			String tffs = ggfwMapper.queryName(vo.getTffs(),"通风方式");
			vo.setTffs(tffs);
		}
		return vo;
	}

	public DXPXZZYJGVO selectXZInfo(String xzzybm) {
		DXPXZZYJGVO vo = dxptfzyjgMapper.selectXZInfo(xzzybm);
		if(vo.getCflxnm() != null) {
			String cflxnm = ggfwMapper.queryName(vo.getCflxnm(),"粮仓");
			vo.setCflxnm(cflxnm);
		}
		return vo;
	}

	public PageInfo<DXPTFZYJGVO> selectListTF(DXPTFZYJGVO vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPTFZYJGVO> pageInfo = new PageInfo<>(dxptfzyjgMapper.selectListTF(vo));
		return pageInfo;
	}

	public PageInfo<DXPXZZYJGVO> selectListXZ(DXPXZZYJGVO vo) {
		PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
		PageInfo<DXPXZZYJGVO> pageInfo = new PageInfo<>(dxptfzyjgMapper.selectListXZ(vo));
		return pageInfo;
	}

}
