package com.jusfoun.ydylsz.service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jusfoun.ydylsz.mapper.DXPKQXXMapper;
import com.jusfoun.ydylsz.mapper.GISRKKCSLTJMapper;
import com.jusfoun.ydylsz.vo.DXPKQXXGIS;
import com.jusfoun.ydylsz.vo.GISLYXX;
import com.jusfoun.ydylsz.vo.GISRKKCSLTJ;

@Service
public class GISRKKCSLTJService {
	
	@Autowired
	private GISRKKCSLTJMapper gisRkkcsltjMapper;
	
	@Autowired
	private DXPKQXXMapper dxpkqxxMapper;

	public Map<String, Object> queryRkKcSl(String xzqhdm, String nd) {
		Map<String,Object> result = new HashMap<>();
		Map<String,List<GISRKKCSLTJ>> map = new HashMap<String,List<GISRKKCSLTJ>>();
        List<List<GISRKKCSLTJ>> dataList = new ArrayList<List<GISRKKCSLTJ>>();
		if(xzqhdm !=null && !xzqhdm.equals("")) {
			 List<String> str = new ArrayList<String>();    	
    	     if("00".equals(xzqhdm.substring(4, 6))) {
    	    	 str = dxpkqxxMapper.selectbyShiXzqh(xzqhdm);
    	     }else {
    	    	 str.add(xzqhdm);
    	     }
    	     for (Iterator iterator = str.iterator(); iterator.hasNext();) {
				String str1 = (String) iterator.next();
				List<GISRKKCSLTJ> kcrksl = gisRkkcsltjMapper.queryRkKcSl(str1,nd);
                //dataList.add(kcrksl);
                //result.put("dataList", dataList);
				 map.put(str1, kcrksl);
				 result.put("dataList", map);
			 }
		}else {
   		 List<String> str = dxpkqxxMapper.selectbyShengXzqh();
   	     for (Iterator iterator = str.iterator(); iterator.hasNext();) {
				String str1 = (String) iterator.next();
                List<GISRKKCSLTJ> kcrksl = gisRkkcsltjMapper.queryRkKcSl(str1,nd);
                //dataList.add(kcrksl);
                //result.put("dataList", dataList);
                map.put(str1, kcrksl);
                result.put("dataList", map);
		 }
		}
		return result;
	}

	public GISLYXX queryByLyxx(String lybm) {
		return gisRkkcsltjMapper.queryByLyxx(lybm);
	}

	public Map<String, Object> queryLyxxFb(String xzqhdm) {		
		Map<String,Object> result = new HashMap<>();
		Map<String,List<GISLYXX>> map = new HashMap<String,List<GISLYXX>>();
        List<List<GISLYXX>> dataList = new ArrayList<List<GISLYXX>>();
		if(xzqhdm !=null && !xzqhdm.equals("")) {
			 List<String> str = new ArrayList<String>();    	
    	     if("00".equals(xzqhdm.substring(4, 6))) {
    	    	 str = dxpkqxxMapper.selectbyShiXzqh(xzqhdm);
    	     }else {
    	    	 str.add(xzqhdm);
    	     }
    	     for (Iterator iterator = str.iterator(); iterator.hasNext();) {
				String str1 = (String) iterator.next();
				List<GISLYXX> kcrksl = gisRkkcsltjMapper.queryLyxxFb(str1);
                dataList.add(kcrksl);
                result.put("dataList", dataList);
//				 map.put(str1, kcrksl);
//				 result.put("dataList", map);
			 }
		}else {
   		 List<String> str = dxpkqxxMapper.selectbyShengXzqh();
   	     for (Iterator iterator = str.iterator(); iterator.hasNext();) {
				String str1 = (String) iterator.next();
                List<GISLYXX> kcrksl = gisRkkcsltjMapper.queryLyxxFb(str1);
                dataList.add(kcrksl);
                result.put("dataList", dataList);
//                map.put(str1, kcrksl);
//                result.put("dataList", map);
		 }
		}
		return result;
	}

}
