package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.XwkLsrkxxjkMapper;
import com.jusfoun.ydylsz.pojo.CornVO;
import com.jusfoun.ydylsz.pojo.RiceVO;
import com.jusfoun.ydylsz.pojo.SoybeanVO;
import com.jusfoun.ydylsz.pojo.WheatVO;
import com.jusfoun.ydylsz.util.DateTool;
import com.jusfoun.ydylsz.utils.DateUtil;
import com.jusfoun.ydylsz.vo.CchinVo;
import com.jusfoun.ydylsz.vo.XwkLsrkxxjk;
import com.jusfoun.ydylsz.vo.XwkkuPicVo;
import com.jusfoun.ydylsz.vo.Zjxx;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Slf4j
@Service
public class LsrkService {

	@Autowired
	private XwkLsrkxxjkMapper xwkLsrkxxjkMapper;

	@Value("${depots.pcUrl}")
	private String depotsPcUrl;

	public List<XwkLsrkxxjk> list(String cfbh) {
		XwkLsrkxxjk chjc = new XwkLsrkxxjk();
		chjc.setHwdm(cfbh);
		return xwkLsrkxxjkMapper.select(chjc);
	}

	public PageInfo<WheatVO> lsrkPage(WheatVO wheatVO, int pageNum, int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<WheatVO> list= xwkLsrkxxjkMapper.lsrkPage(wheatVO);
		PageInfo<WheatVO> pageInfo=new PageInfo<>(list, 10);
		return pageInfo;
	}

	public XwkLsrkxxjk info(String lsrkid) {
		XwkLsrkxxjk chjc = new XwkLsrkxxjk();
		chjc.setLsrkid(lsrkid);
		XwkLsrkxxjk lsrkxxjk = xwkLsrkxxjkMapper.info(chjc);
        if (lsrkxxjk != null && StringUtils.isNotEmpty(lsrkxxjk.getBizno())) {
            String lspz = lsrkxxjk.getLspz();
            if (StringUtils.isNotEmpty(lspz)) {
                Zjxx zjxx = new Zjxx();
                switch (lspz) {
                    case "小麦及混合小麦":
                        zjxx = xwkLsrkxxjkMapper.getXiaoMaiInfo(lsrkid);
                        break;
                    case "玉米":
                        zjxx = xwkLsrkxxjkMapper.getYumiInfo(lsrkid);
                        break;
                    case "稻谷":
                        zjxx = xwkLsrkxxjkMapper.getDaoguInfo(lsrkid);
                        break;
                    case "大豆":
                        zjxx = xwkLsrkxxjkMapper.getdadouInfo(lsrkid);
                        break;
                    case "小麦粉":
                        zjxx = xwkLsrkxxjkMapper.getXiaoMaiFenInfo(lsrkid);
                        break;
                    case "大米":
                        zjxx = xwkLsrkxxjkMapper.getdamiInfo(lsrkid);
                        break;
                    case "原油":
                        zjxx = xwkLsrkxxjkMapper.getdadouyouInfo(lsrkid);
                        break;
                }
                lsrkxxjk.setZjxx(zjxx);
            }
        }

		// 获取毛重、皮重图片、视频
		if(lsrkxxjk!=null) {
			List<XwkkuPicVo> xwkkuPicList = xwkLsrkxxjkMapper.getXwkkcPic(lsrkid);
			if(!xwkkuPicList.isEmpty()) {
                xwkkuPicList.forEach(xwkkuPic -> {
                    String mpUrl = xwkkuPic.getMpUrl();
                    if (StringUtils.isNotEmpty(mpUrl)) {
                        xwkkuPic.setMpUrl(depotsPcUrl + mpUrl);
                    }
                    String ppUrl = xwkkuPic.getPpUrl();
                    if (StringUtils.isNotEmpty(ppUrl)) {
                        xwkkuPic.setPpUrl(depotsPcUrl + ppUrl);
                    }
                });
				lsrkxxjk.setXwkkuPicList(xwkkuPicList);
			}
		}
		return lsrkxxjk;
	}


	public PageInfo<XwkLsrkxxjk> page(XwkLsrkxxjk xwkLsrkxxjk, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return new PageInfo<XwkLsrkxxjk>(xwkLsrkxxjkMapper.select(xwkLsrkxxjk));
	}

	public PageInfo<XwkLsrkxxjk> pageZhcx(XwkLsrkxxjk xwkLsrkxxjk, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		PageInfo<XwkLsrkxxjk> pageInfo = new PageInfo<XwkLsrkxxjk>(xwkLsrkxxjkMapper.select(xwkLsrkxxjk));

		for(XwkLsrkxxjk lsrkxxjk:pageInfo.getList()){
			//获取对应大品种bm
			String bm  = lsrkxxjk.getLspz();
			Zjxx zjxx = new Zjxx();
			if("111".equals(bm)){
				zjxx = xwkLsrkxxjkMapper.getXiaoMaiInfo(lsrkxxjk.getLsrkid());
			}else if("112".equals(bm)){
				zjxx = xwkLsrkxxjkMapper.getYumiInfo(lsrkxxjk.getLsrkid());
			}else if("113".equals(bm)){
				zjxx = xwkLsrkxxjkMapper.getDaoguInfo(lsrkxxjk.getLsrkid());
			}else if("1411001".equals(bm+"1001")){
				zjxx = xwkLsrkxxjkMapper.getdadouInfo(lsrkxxjk.getLsrkid());
			}else{
				zjxx = xwkLsrkxxjkMapper.getdadouyouInfo(lsrkxxjk.getLsrkid());
			}

			lsrkxxjk.setZjxx(zjxx);
		}
		return pageInfo;
	}

	public void update() {
		List<XwkLsrkxxjk> lsrkxxjks = xwkLsrkxxjkMapper.selectLsrkxx();
		for(XwkLsrkxxjk lsrkxxjk:lsrkxxjks) {
			if(StringUtils.isNotEmpty(lsrkxxjk.getLsrkid())) {
				xwkLsrkxxjkMapper.delete(lsrkxxjk.getLsrkid());
				xwkLsrkxxjkMapper.insert(lsrkxxjk);
			}
		}
        // 同步完 删除废弃数据
        int deleteNum = xwkLsrkxxjkMapper.deleteDiscard();
        log.info("删除出入库系统 删除的数据 共" + deleteNum + "条");
	}

    public PageInfo<XwkLsrkxxjk> pageCode(CchinVo cchinVo, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return new PageInfo<XwkLsrkxxjk>(xwkLsrkxxjkMapper.pageCode(cchinVo));
    }

	/**
	 * 入库总数量统计
	 * @param wheatVO
	 * @return
	 */
	public String rkTotal(WheatVO wheatVO) {
//		if(wheatVO.getStartDate()!=null&&wheatVO.getEndDate()!=null){
//		}else{
//			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
//			//默认当前时间到前一个月内的时间
//			wheatVO.setEndDate(sdf.format(new Date()));
//			wheatVO.setStartDate(sdf.format(DateTool.getOneMonth()));
//		}
		if ("小麦".equals(wheatVO.getPzmc())) {
			return xwkLsrkxxjkMapper.rkTotal(wheatVO);
		} else if ("稻谷".equals(wheatVO.getPzmc())) {
			return xwkLsrkxxjkMapper.dgrkTotal(wheatVO);
		} else if ("玉米".equals(wheatVO.getPzmc())) {
			return xwkLsrkxxjkMapper.ymrkTotal(wheatVO);
		} else if ("大豆".equals(wheatVO.getPzmc())) {
			return xwkLsrkxxjkMapper.ddrkTotal(wheatVO);
		} else {
			return "";
		}
	}

	/**
	 * 汇总查询-稻谷入库查询
	 * @param riceVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	public PageInfo<RiceVO> dgrkPage(RiceVO riceVO, int pageNum, int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<RiceVO> list= xwkLsrkxxjkMapper.dgrkPage(riceVO);
		PageInfo<RiceVO> pageInfo=new PageInfo<>(list, 10);
		return pageInfo;
	}

	/**
	 * 汇总查询-稻谷入库查询
	 */
	public PageInfo<CornVO> ymrkPage(WheatVO wheatVO, int pageNum, int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<CornVO> list= xwkLsrkxxjkMapper.ymrkPage(wheatVO);
		PageInfo<CornVO> pageInfo=new PageInfo<>(list, 10);
		return pageInfo;
	}

	/**
	 * 汇总查询-大豆入库查询
	 */
	public PageInfo<SoybeanVO> ddrkPage(WheatVO wheatVO, int pageNum, int pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<SoybeanVO> list= xwkLsrkxxjkMapper.ddrkPage(wheatVO);
		PageInfo<SoybeanVO> pageInfo=new PageInfo<>(list, 10);
		return pageInfo;
	}
}
