package com.jusfoun.ydylsz.service.zjbg;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.DCfxxsjyDao;
import com.jusfoun.ydylsz.mapper.TzSlqyDao;
import com.jusfoun.ydylsz.mapper.zjbg.ZjbgDao;
import com.jusfoun.ydylsz.pojo.DCfxxsjyDO;
import com.jusfoun.ydylsz.utils.DateUtil;
import com.jusfoun.ydylsz.vo.CompanyVO;
import com.jusfoun.ydylsz.vo.DYgxxsjyVo;
import com.jusfoun.ydylsz.vo.ParameVo;
import com.jusfoun.ydylsz.vo.zjbg.StorageQualitycheckForSPT;
import com.jusfoun.ydylsz.vo.zjbg.ZjbgVO;
import com.unis.common.utils.UUIDUtils;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.StringUtils;
import org.eclipse.jetty.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.stereotype.Service;
import com.jusfoun.ydylsz.mapper.DYgxxsjyMapper;
import java.math.BigDecimal;
import java.text.NumberFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

@Service
public class ZjbgService {


    @Autowired
    private ZjbgDao zjbgDao;
    @Autowired
    private TzSlqyDao tzSlqyDao;
    @Autowired
    private DCfxxsjyDao dCfxxsjyDao;

    @Autowired
    private DYgxxsjyMapper dYgxxsjyMapper;

   /* public ZjbgVO selectById(Integer id) {
        return zjbgDao.selectByPrimaryKey(String.valueOf(id));
    }*/

    /**
     *
     * @param dept 质检报告库级数据持久实体
     * @param oldData 数据库已存在的数据
     */
    public void updataZjbg(StorageQualitycheckForSPT dept, ZjbgVO oldData) {
        //TODO
        oldData.setJydw(dept.getLevelCode());
        oldData.setJydwmc(dept.getAcceptUnite());
        //转成我方库点和仓房
        //TzSlqyDO tzSlqyDO = tzSlqyDao.selectQYByQybm(dept.getLevelCode());
        oldData.setWtjg(dept.getLevelCode());
        //oldData.setTyshxydm(tzSlqyDO.getTyshxydm());
        oldData.setWtdwmc(dept.getOrgName());
        //oldData.setWtdwmc(tzSlqyDO.getQymc());
        DCfxxsjyDO cfxxsjyDO = dCfxxsjyDao.getCfxxByCfbm(dept.getHwbm());
        if(cfxxsjyDO!=null){
            oldData.setCfmc(cfxxsjyDO.getCfmc());

            // 库点信息
            ParameVo parameVo = new ParameVo();
            parameVo.setTyshxydm(cfxxsjyDO.getKddm().substring(0,cfxxsjyDO.getKddm().length()-3));
            List<CompanyVO>  companyList = tzSlqyDao.getCompanyInfo(parameVo);
            if(null != companyList && !companyList.isEmpty()) {
                oldData.setKdmc(companyList.get(0).getQymc());
            }
        }
        //oldData.setCfmc(dept.getStorehouseName());
        oldData.setLspz(String.valueOf(dept.getSubType()));
        String lsxz = "";
        if(dept.getQuality()!=null&&!"".equals(dept.getQuality())){
            if(dept.getQuality().contains("直辖市")){
                lsxz = "市级储备粮";
            }else if(dept.getQuality().contains("自治州")){
                lsxz = "区级储备粮";
            }else if(dept.getQuality().contains("中央")){
                lsxz = "中央储备粮";
            }else{
                lsxz = "其他粮";
            }
            oldData.setLsxz(lsxz);
        }else{
            oldData.setLsxz(dept.getQuality());
        }
        oldData.setJyjg(dept.getCheckResult());
        oldData.setLscd(dept.getLocation());
        oldData.setLsdj(dept.getLevelUpdate());
        oldData.setJylb(dept.getTypeUpdate());
        oldData.setRknd(dept.getHarvestTime());
        oldData.setHwbm(dept.getHwbm());
        oldData.setAjmc("");
        oldData.setHwmc(dept.getWareHouseName());
        oldData.setBgy(dept.getKeeper());
        if(StringUtil.isNotBlank(dept.getNumberUpdate())){
            String lssl = new BigDecimal(dept.getNumberUpdate()).divide(new BigDecimal("1000"),3, BigDecimal
                    .ROUND_HALF_UP).toString().replaceAll("0+$", "");
            if(lssl.endsWith(".")){
                lssl = lssl.substring(0,lssl.length()-1);
            }
            oldData.setLssl(lssl);
        }
        oldData.setYpsl(dept.getYpsl());
        oldData.setYpdbsl(dept.getDbsl());
        oldData.setQyry(dept.getChooser());
        oldData.setJyry(dept.getChecker());
        oldData.setQysj(DateUtil.getFormattedDateUtil(dept.getChooseTime(),"yyyy-MM-dd"));
        oldData.setJysj(DateUtil.getFormattedDateUtil(dept.getCheckTime(),"yyyy-MM-dd"));
        oldData.setCjsj(DateUtil.getFormattedDateUtil(dept.getCheckResultTime(),"yyyy-MM-dd"));
        oldData.setCcfs(dept.getKeepingWay());
        oldData.setBz(dept.getRemarks());


        oldData.setSf(dept.getWater());
        oldData.setRz(dept.getUnitWeight());
        oldData.setZzzl(dept.getImpurityTotal());
        oldData.setWjzz(dept.getImpurityInorganic());
        oldData.setYjzz(dept.getImpurityOrganic());
        oldData.setSzqw(dept.getColorsmellcc());
        oldData.setYdzs(dept.getHardIndex());
        oldData.setKwz(dept.getMineral());
        oldData.setSzqw1(dept.getColorsmell());
        oldData.setCmbl(dept.getImperfectgrainsScabGibberella());
        oldData.setBwslzl(dept.getImperfectgrainsTotal());
        oldData.setCsl(dept.getImperfectgrainsInjuredkernel());
        oldData.setBblzl(dept.getImperfectgrainsScabTotal());
        oldData.setHpl(dept.getImperfectgrainsScabBlackembryo());
        oldData.setPsl(dept.getImperfectgrainsDamage());
        oldData.setSyl(dept.getImperfectgrainsSproutedkernel());
        oldData.setSml(dept.getMildewCount());
        oldData.setMjxsl(dept.getGlutenWaterCount());
        oldData.setPcpfz(dept.getEatScore());
        oldData.setSxw(dept.getSieveResidue());

        oldData.setWzll(dept.getRiceGrains());
        oldData.setWsll(dept.getImmatureGrainRate());
        oldData.setPll(dept.getCrushingRate());
        oldData.setSsllzl(dept.getDamageRatio());
        oldData.setRssl(dept.getHotDamageRatio());
        oldData.setBbl(dept.getImperfectgrainsScab());
        oldData.setDsl(dept.getImperfectgrainsFrostbite());
        oldData.setCzfhl(dept.getCrudeFatContent());
        oldData.setDbrjbl(dept.getPeroxideValue());
        oldData.setCzfsz(dept.getFatIndex());


        oldData.setMbl(dept.getMildew());
        oldData.setZfsz(dept.getFatIndex());
        oldData.setZrrssl(dept.getNaturally());
        oldData.setHgrssl(dept.getStoving());


        oldData.setCcl(dept.getHuskedRation());
        oldData.setZjml(dept.getFullGoodRation());
        oldData.setGwcm(dept.getOutHuskedRation());
        oldData.setHhl(dept.getIntermixingRate());
        oldData.setCml(dept.getRiceYield());
        oldData.setCaoml(dept.getHuskedRiceWeight());
        oldData.setWsl(dept.getImperfectgrainsImmaturegrain());
        //oldData.setWsl(dept.getImmatureGrainRate());
        oldData.setHll(dept.getYellowRice());


        oldData.setPjcd(dept.getAvgLength());
        oldData.setWzml(dept.getRiceGrains());
        oldData.setSmzl(dept.getBrokenriceTotal());
        oldData.setSmdsm(dept.getBrokenriceBig());
        oldData.setSmxsm(dept.getBrokenriceSmall());
        oldData.setJgjdjn(dept.getMachiningaccuracyEssence());
        oldData.setJgjdsn(dept.getMachiningaccuracySuitable());
        oldData.setZzkf(dept.getImpurityBranPowder());
        oldData.setEbd(dept.getChalkiness());
        oldData.setZldfhl(dept.getAmylose());

        oldData.setHsl(dept.getSiltContent());
        oldData.setJgjd(dept.getMachiningaccuracy());
        oldData.setCxjsw(dept.getMagneticMetal());
        oldData.setHf(dept.getAshContent());
        oldData.setCxd(dept.getCoarseness());
        oldData.setMjz(dept.getGluten());


        oldData.setDj(dept.getLevelOil());
        oldData.setXdmd(dept.getRelativeDensity());
        oldData.setSz(dept.getColorsmell());
        oldData.setTmd(dept.getTransparency());
        oldData.setSfjhfwhl(dept.getWaterVolatiles());
        oldData.setBrxzzhl(dept.getInsolubleImpurity());
        oldData.setSj(dept.getAcidValue());
        oldData.setGyhz(dept.getPeroxideValue());
        oldData.setRjcll(dept.getResidualSolvent());
        oldData.setHzl(dept.getSoapContent());
        oldData.setJrsy(dept.getHeat());
        oldData.setLdsy(dept.getReezeTest());
        oldData.setYd(dept.getSmokePoint());
        oldData.setQwzw(dept.getSmelltaste());

        //添加油罐ID
        oldData.setYgid(dept.getHouseId() != null?dept.getHouseId()+"":null);
        // 油罐名称
        if(oldData.getCfmc() != null  &&  oldData.getYgid()!=null && oldData.getYgid().length()>0){
        	DYgxxsjyVo dYgxxsjyVo = dYgxxsjyMapper.selectYgxxById(oldData.getYgid());
        	if(dYgxxsjyVo != null) {
        		oldData.setCfmc(dYgxxsjyVo.getYgmc());
        	}
        }
        oldData.setStorequality(dept.getStorequality());
        oldData.setLspzmx(String.valueOf(dept.getSubTypeDetail()));
        oldData.setYwlx("0");
        oldData.setZblb(dept.getZblb());
        oldData.setQyqy(dept.getQyqy());
        oldData.setYpdj(dept.getYpdj());
        oldData.setQtbl(dept.getQtbl());
        oldData.setXmydzs(dept.getXmydzs());
        oldData.setShrxm(dept.getShrxm());
        oldData.setSfzcccnx(dept.getSfzcccnx());
        oldData.setCaomili(dept.getCaomili());
        try {
            zjbgDao.updateZjbg(oldData);
        } catch (Exception e) {
            e.printStackTrace();
        }

    }


    public void insertZjbg(StorageQualitycheckForSPT dept) {
        ZjbgVO zjbgVO = new ZjbgVO();
        zjbgVO.setZjid(String.valueOf(dept.getId()));
        //TODO
        zjbgVO.setJydw(dept.getLevelCode());
        zjbgVO.setJydwmc(dept.getAcceptUnite());
        //转成我方库点和仓房
        //TzSlqyDO tzSlqyDO = tzSlqyDao.selectQYByQybm(dept.getLevelCode());
        zjbgVO.setWtjg(dept.getLevelCode());
        //zjbgVO.setTyshxydm(tzSlqyDO.getTyshxydm());
        zjbgVO.setWtdwmc(dept.getWareHouseName());
        //zjbgVO.setWtdwmc(tzSlqyDO.getQymc());
        DCfxxsjyDO cfxxsjyDO = dCfxxsjyDao.getCfxxByCfbm(dept.getHwbm());
        zjbgVO.setCfmc(cfxxsjyDO.getCfmc());
        //zjbgVO.setCfmc(dept.getStorehouseName());
        zjbgVO.setLspz(String.valueOf(dept.getSubType()));
        String lsxz = "";
        if(dept.getQuality()!=null){
            if(dept.getQuality().contains("直辖市")){
                lsxz = "市级储备粮";
            }else if(dept.getQuality().contains("自治州")){
                lsxz = "区级储备粮";
            }else if(dept.getQuality().contains("中央")){
                lsxz = "中央储备粮";
            }else{
                lsxz = "其他粮";
            }
            zjbgVO.setLsxz(lsxz);
        }else{
            zjbgVO.setLsxz(dept.getQuality());
        }
        zjbgVO.setJyjg(dept.getCheckResult());
        zjbgVO.setLscd(dept.getLocation());
        zjbgVO.setLsdj(dept.getLevelUpdate());


        zjbgVO.setJylb(dept.getTypeUpdate());
        zjbgVO.setRknd(dept.getHarvestTime());
        zjbgVO.setHwbm(dept.getHwbm());
        zjbgVO.setAjmc("");
        zjbgVO.setHwmc(dept.getWareHouseName());
        zjbgVO.setBgy(dept.getKeeper());
        String lssl = new BigDecimal(dept.getNumberUpdate()).divide(new BigDecimal("1000"),3, BigDecimal
                .ROUND_HALF_UP).toString().replaceAll("0+$", "");
        if(lssl.endsWith(".")){
            lssl = lssl.substring(0,lssl.length()-1);
        }
        zjbgVO.setLssl(lssl);
        zjbgVO.setYpsl(dept.getYpsl());
        zjbgVO.setYpdbsl(dept.getDbsl());
        zjbgVO.setQyry(dept.getChooser());
        zjbgVO.setJyry(dept.getChecker());
        zjbgVO.setQysj(DateUtil.getFormattedDateUtil(dept.getChooseTime(),"yyyy-MM-dd"));
        zjbgVO.setJysj(DateUtil.getFormattedDateUtil(dept.getCheckTime(),"yyyy-MM-dd"));
        zjbgVO.setCjsj(DateUtil.getFormattedDateUtil(dept.getCheckResultTime(),"yyyy-MM-dd"));
        zjbgVO.setCcfs(dept.getKeepingWay());
        zjbgVO.setBz(dept.getRemarks());


        zjbgVO.setSf(dept.getWater());
        zjbgVO.setRz(dept.getUnitWeight());
        zjbgVO.setZzzl(dept.getImpurityTotal());
        zjbgVO.setWjzz(dept.getImpurityInorganic());
        zjbgVO.setYjzz(dept.getImpurityOrganic());
        zjbgVO.setSzqw(dept.getColorsmellcc());
        zjbgVO.setYdzs(dept.getHardIndex());
        zjbgVO.setKwz(dept.getMineral());
        zjbgVO.setSzqw1(dept.getColorsmell());
        zjbgVO.setBwslzl(dept.getImperfectgrainsTotal());
        zjbgVO.setCmbl(dept.getImperfectgrainsScabGibberella());
        zjbgVO.setCsl(dept.getImperfectgrainsInjuredkernel());
        zjbgVO.setBblzl(dept.getImperfectgrainsScabTotal());
        zjbgVO.setHpl(dept.getImperfectgrainsScabBlackembryo());
        zjbgVO.setPsl(dept.getImperfectgrainsDamage());
        zjbgVO.setSyl(dept.getImperfectgrainsSproutedkernel());
        zjbgVO.setSml(dept.getMildewCount());
        zjbgVO.setMjxsl(dept.getGlutenWaterCount());
        zjbgVO.setPcpfz(dept.getEatScore());
        zjbgVO.setSxw(dept.getSieveResidue());

        zjbgVO.setWzll(dept.getRiceGrains());
        zjbgVO.setWsll(dept.getImmatureGrainRate());
        zjbgVO.setPll(dept.getCrushingRate());
        zjbgVO.setSsllzl(dept.getDamageRatio());
        zjbgVO.setRssl(dept.getHotDamageRatio());
        zjbgVO.setBbl(dept.getImperfectgrainsScab());
        zjbgVO.setDsl(dept.getImperfectgrainsFrostbite());
        zjbgVO.setCzfhl(dept.getCrudeFatContent());
        zjbgVO.setDbrjbl(dept.getPeroxideValue());
        zjbgVO.setCzfsz(dept.getFatIndex());


        zjbgVO.setMbl(dept.getMildew());
        zjbgVO.setZfsz(dept.getFatIndex());
        zjbgVO.setZrrssl(dept.getNaturally());
        zjbgVO.setHgrssl(dept.getStoving());


        zjbgVO.setCcl(dept.getHuskedRation());
        zjbgVO.setZjml(dept.getFullGoodRation());
        zjbgVO.setGwcm(dept.getOutHuskedRation());
        zjbgVO.setHhl(dept.getIntermixingRate());
        zjbgVO.setCml(dept.getRiceYield());
        zjbgVO.setWsl(dept.getImmatureGrainRate());
        zjbgVO.setHll(dept.getYellowRice());


        zjbgVO.setPjcd(dept.getAvgLength());
        zjbgVO.setWzml(dept.getRiceGrains());
        zjbgVO.setSmzl(dept.getBrokenriceTotal());
        zjbgVO.setSmdsm(dept.getBrokenriceBig());
        zjbgVO.setSmxsm(dept.getBrokenriceSmall());
        zjbgVO.setJgjdjn(dept.getMachiningaccuracyEssence());
        zjbgVO.setJgjdsn(dept.getMachiningaccuracySuitable());
        zjbgVO.setZzkf(dept.getImpurityBranPowder());
        zjbgVO.setEbd(dept.getChalkiness());
        zjbgVO.setZldfhl(dept.getAmylose());

        zjbgVO.setHsl(dept.getSiltContent());
        zjbgVO.setJgjd(dept.getMachiningaccuracy());
        zjbgVO.setCxjsw(dept.getMagneticMetal());
        zjbgVO.setHf(dept.getAshContent());
        zjbgVO.setCxd(dept.getCoarseness());
        zjbgVO.setMjz(dept.getGluten());


        zjbgVO.setDj(dept.getLevelOil());
        zjbgVO.setXdmd(dept.getRelativeDensity());
        zjbgVO.setSz(dept.getColorsmell());
        zjbgVO.setTmd(dept.getTransparency());
        zjbgVO.setSfjhfwhl(dept.getWaterVolatiles());
        zjbgVO.setBrxzzhl(dept.getInsolubleImpurity());
        zjbgVO.setSj(dept.getAcidValue());
        zjbgVO.setGyhz(dept.getPeroxideValue());
        zjbgVO.setRjcll(dept.getResidualSolvent());
        zjbgVO.setHzl(dept.getSoapContent());
        zjbgVO.setJrsy(dept.getHeat());
        zjbgVO.setLdsy(dept.getReezeTest());
        zjbgVO.setYd(dept.getSmokePoint());
        zjbgVO.setQwzw(dept.getSmelltaste());

        //添加油罐ID
        zjbgVO.setYgid(dept.getHouseId() != null?dept.getHouseId()+"":null);

        zjbgDao.insertZjbg(zjbgVO);
    }


    public void insertZjbgs(StorageQualitycheckForSPT dept) {
        ZjbgVO zjbgVO = new ZjbgVO();
        zjbgVO.setZjid(String.valueOf(dept.getId()));
        //TODO
        zjbgVO.setJydw(dept.getLevelCode());
        zjbgVO.setJydwmc(dept.getAcceptUnite());
        //转成我方库点和仓房
        //TzSlqyDO tzSlqyDO = tzSlqyDao.selectQYByQybm(dept.getLevelCode());
        zjbgVO.setWtjg(dept.getLevelCode());
        //zjbgVO.setTyshxydm(tzSlqyDO.getTyshxydm());
        zjbgVO.setWtdwmc(dept.getWareHouseName());
        //zjbgVO.setWtdwmc(tzSlqyDO.getQymc());
        if(dept.getHwbm()!=null&&dept.getHwbm().length()>0){
            DCfxxsjyDO cfxxsjyDO = dCfxxsjyDao.getCfxxByCfbm(dept.getHwbm());
            if(cfxxsjyDO!=null) {
                zjbgVO.setCfmc(cfxxsjyDO.getCfmc());

                // 库点信息
                ParameVo parameVo = new ParameVo();
                parameVo.setTyshxydm(cfxxsjyDO.getKddm().substring(0, cfxxsjyDO.getKddm().length() - 3));
                List<CompanyVO> companyList = tzSlqyDao.getCompanyInfo(parameVo);
                if (null != companyList && !companyList.isEmpty()) {
                    zjbgVO.setKdmc(companyList.get(0).getQymc());
                }
            }
        }
        //zjbgVO.setCfmc(dept.getStorehouseName());
        zjbgVO.setLspz(String.valueOf(dept.getSubType()));
        String lsxz = "";
        if(dept.getQuality()!=null){
            if(dept.getQuality().contains("直辖市")){
                lsxz = "市级储备粮";
            }else if(dept.getQuality().contains("自治州")){
                lsxz = "区级储备粮";
            }else if(dept.getQuality().contains("中央")){
                lsxz = "中央储备粮";
            }else{
                lsxz = "其他粮";
            }
            zjbgVO.setLsxz(lsxz);
        }else{
            zjbgVO.setLsxz(dept.getQuality());
        }
        zjbgVO.setJyjg(dept.getCheckResult());
        zjbgVO.setLscd(dept.getLocation());
        zjbgVO.setLsdj(dept.getLevelUpdate());


        zjbgVO.setJylb(dept.getTypeUpdate());
        zjbgVO.setRknd(dept.getHarvestTime());
        zjbgVO.setHwbm(dept.getHwbm());
        zjbgVO.setAjmc("");
        zjbgVO.setHwmc(dept.getWareHouseName());
        zjbgVO.setBgy(dept.getKeeper());
        if(dept.getNumberUpdate()!=null&&dept.getNumberUpdate().length()>0){
            String lssl = new BigDecimal(dept.getNumberUpdate()).divide(new BigDecimal("1000"),3, BigDecimal
                    .ROUND_HALF_UP).toString().replaceAll("0+$", "");
            if(lssl.endsWith(".")){
                lssl = lssl.substring(0,lssl.length()-1);
            }
            zjbgVO.setLssl(lssl);
        }
        zjbgVO.setYpsl(dept.getYpsl());
        zjbgVO.setYpdbsl(dept.getDbsl());
        zjbgVO.setQyry(dept.getChooser());
        zjbgVO.setJyry(dept.getChecker());
        zjbgVO.setQysj(DateUtil.getFormattedDateUtil(dept.getChooseTime(),"yyyy-MM-dd"));
        zjbgVO.setJysj(DateUtil.getFormattedDateUtil(dept.getCheckTime(),"yyyy-MM-dd"));
        zjbgVO.setCjsj(DateUtil.getFormattedDateUtil(dept.getCheckResultTime(),"yyyy-MM-dd"));
        zjbgVO.setCcfs(dept.getKeepingWay());
        zjbgVO.setBz(dept.getRemarks());


        zjbgVO.setSf(dept.getWater());
        zjbgVO.setRz(dept.getUnitWeight());
        zjbgVO.setZzzl(dept.getImpurityTotal());
        zjbgVO.setWjzz(dept.getImpurityInorganic());
        zjbgVO.setYjzz(dept.getImpurityOrganic());
        zjbgVO.setSzqw(dept.getColorsmellcc());
        zjbgVO.setYdzs(dept.getHardIndex());
        zjbgVO.setKwz(dept.getMineral());
        zjbgVO.setSzqw1(dept.getColorsmell());
        zjbgVO.setBwslzl(dept.getImperfectgrainsTotal());
        zjbgVO.setCmbl(dept.getImperfectgrainsScabGibberella());
        zjbgVO.setCsl(dept.getImperfectgrainsInjuredkernel());
        zjbgVO.setBblzl(dept.getImperfectgrainsScabTotal());
        zjbgVO.setHpl(dept.getImperfectgrainsScabBlackembryo());
        zjbgVO.setPsl(dept.getImperfectgrainsDamage());
        zjbgVO.setSyl(dept.getImperfectgrainsSproutedkernel());
        zjbgVO.setSml(dept.getMildewCount());
        zjbgVO.setMjxsl(dept.getGlutenWaterCount());
        zjbgVO.setPcpfz(dept.getEatScore());
        zjbgVO.setSxw(dept.getSieveResidue());

        zjbgVO.setWzll(dept.getRiceGrains());
        zjbgVO.setWsll(dept.getImmatureGrainRate());
        zjbgVO.setPll(dept.getCrushingRate());
        zjbgVO.setSsllzl(dept.getDamageRatio());
        zjbgVO.setRssl(dept.getHotDamageRatio());
        zjbgVO.setBbl(dept.getImperfectgrainsScab());
        zjbgVO.setDsl(dept.getImperfectgrainsFrostbite());
        zjbgVO.setCzfhl(dept.getCrudeFatContent());
        zjbgVO.setDbrjbl(dept.getPeroxideValue());
        zjbgVO.setCzfsz(dept.getFatIndex());


        zjbgVO.setMbl(dept.getMildew());
        zjbgVO.setZfsz(dept.getFatIndex());
        zjbgVO.setZrrssl(dept.getNaturally());
        zjbgVO.setHgrssl(dept.getStoving());


        zjbgVO.setCcl(dept.getHuskedRation());
        zjbgVO.setZjml(dept.getFullGoodRation());
        zjbgVO.setGwcm(dept.getOutHuskedRation());
        zjbgVO.setHhl(dept.getIntermixingRate());
        zjbgVO.setCml(dept.getRiceYield());
        zjbgVO.setWsl(dept.getImmatureGrainRate());
        zjbgVO.setHll(dept.getYellowRice());


        zjbgVO.setPjcd(dept.getAvgLength());
        zjbgVO.setWzml(dept.getRiceGrains());
        zjbgVO.setSmzl(dept.getBrokenriceTotal());
        zjbgVO.setSmdsm(dept.getBrokenriceBig());
        zjbgVO.setSmxsm(dept.getBrokenriceSmall());
        zjbgVO.setJgjdjn(dept.getMachiningaccuracyEssence());
        zjbgVO.setJgjdsn(dept.getMachiningaccuracySuitable());
        zjbgVO.setZzkf(dept.getImpurityBranPowder());
        zjbgVO.setEbd(dept.getChalkiness());
        zjbgVO.setZldfhl(dept.getAmylose());

        zjbgVO.setHsl(dept.getSiltContent());
        zjbgVO.setJgjd(dept.getMachiningaccuracy());
        zjbgVO.setCxjsw(dept.getMagneticMetal());
        zjbgVO.setHf(dept.getAshContent());
        zjbgVO.setCxd(dept.getCoarseness());
        zjbgVO.setMjz(dept.getGluten());


        zjbgVO.setDj(dept.getLevelOil());
        zjbgVO.setXdmd(dept.getRelativeDensity());
        zjbgVO.setSz(dept.getColorsmell());
        zjbgVO.setTmd(dept.getTransparency());
        zjbgVO.setSfjhfwhl(dept.getWaterVolatiles());
        zjbgVO.setBrxzzhl(dept.getInsolubleImpurity());
        zjbgVO.setSj(dept.getAcidValue());
        zjbgVO.setGyhz(dept.getPeroxideValue());
        zjbgVO.setRjcll(dept.getResidualSolvent());
        zjbgVO.setHzl(dept.getSoapContent());
        zjbgVO.setJrsy(dept.getHeat());
        zjbgVO.setLdsy(dept.getReezeTest());
        zjbgVO.setYd(dept.getSmokePoint());
        zjbgVO.setQwzw(dept.getSmelltaste());

        //添加油罐ID
        zjbgVO.setYgid(dept.getHouseId() != null?dept.getHouseId()+"":null);
        // 油罐名称
        if(zjbgVO.getCfmc() != null &&  zjbgVO.getYgid()!=null && zjbgVO.getYgid().length()>0){
        	DYgxxsjyVo dYgxxsjyVo = dYgxxsjyMapper.selectYgxxById(zjbgVO.getYgid());
        	if(dYgxxsjyVo != null) {
        		zjbgVO.setCfmc(dYgxxsjyVo.getYgmc());
        	}
        }
        zjbgVO.setStorequality(dept.getStorequality());
        zjbgVO.setLspzmx(String.valueOf(dept.getSubTypeDetail()));
        zjbgVO.setYwlx("0");
        zjbgVO.setZblb(dept.getZblb());
        zjbgVO.setQyqy(dept.getQyqy());
        zjbgVO.setYpdj(dept.getYpdj());
        zjbgVO.setQtbl(dept.getQtbl());
        zjbgVO.setXmydzs(dept.getXmydzs());
        zjbgVO.setShrxm(dept.getShrxm());
        zjbgVO.setSfzcccnx(dept.getSfzcccnx());
        zjbgVO.setCaomili(dept.getCaomili());
        try {
            zjbgDao.insertZjbg(zjbgVO);
        } catch (Exception e) {
            e.printStackTrace();
        }

    }

    public PageInfo<ZjbgVO>  selectZjbgList(ZjbgVO vo) {
        PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
        PageInfo<ZjbgVO> pageInfo = new PageInfo<>(zjbgDao.listDataByHw(vo));
        return pageInfo;
    }

    public PageInfo<ZjbgVO> zljcPage(ZjbgVO vo, int pageNum,int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        Date jysjStart = vo.getJysjStart();
        if(jysjStart != null) {
        	Calendar calendar = Calendar.getInstance();
        	calendar.setTime(jysjStart);
        	calendar.add(Calendar.DAY_OF_MONTH,-1);
        	vo.setJysjStart(calendar.getTime());
        }
        PageInfo<ZjbgVO> pageInfo = new PageInfo<ZjbgVO>(zjbgDao.zljcPage(vo));
        return pageInfo;
    }

    public ZjbgVO selectZjbgDetail(String zjid) {
        return zjbgDao.selectZjbgDetail(zjid);
    }

    public PageInfo<ZjbgVO> selectZjbgLists(ZjbgVO vo) {
        PageHelper.startPage(vo.getPageNum(), vo.getPageSize());
        PageInfo<ZjbgVO> pageInfo = new PageInfo<ZjbgVO>(zjbgDao.selectLists(vo));
        return pageInfo;
    }

    public void synchronData() {
        //查询出所有数据 进行新增和更新
        List<StorageQualitycheckForSPT> list = zjbgDao.selectAllData();
        for(StorageQualitycheckForSPT spt:list){
            ZjbgVO oldData = zjbgDao.selectZjbgDetail(String.valueOf(spt.getId()));
            if (oldData != null) {//更新数据
                //String lsxz = "";
              /*  if(spt.getQuality()!=null){
                    if(spt.getQuality().contains("直辖市")){
                        lsxz = "市级储备粮";
                    }else if(spt.getQuality().contains("自治州")){
                        lsxz = "区级储备粮";
                    }else if(spt.getQuality().contains("中央")){
                        lsxz = "中央储备粮";
                    }*/
                    //oldData.setLsxz(lsxz);
                    updataZjbg(spt, oldData);
               // }
            }else{//新增数据
                insertZjbgs(spt);
            }
        }
    }

    public String saveZjbg(ZjbgVO zjbgVO) {
        SimpleDateFormat df = new SimpleDateFormat("yyyyMMdd");
        String jysjDate = df.format(zjbgVO.getJysjDate());
        String preStr = zjbgVO.getJylb()+jysjDate;
        zjbgVO.setZjid(getMaxCodeById(zjbgDao.getMaxById(zjbgVO.getJylb()), preStr,4));
        zjbgVO.setYwlx("1");
        zjbgDao.insertZjbg(zjbgVO);
        return "success";
    }

    /**
     *   根据id获取最大信息编号
     * @param maxId  当前最大编号
     * @param preStr 数据前缀
     * @param length 拼接长度
     * @return
     */
    protected String getMaxCodeById(String maxId,String preStr,int length) {
        String serialNumberStr = "";
        if (StringUtils.isEmpty(maxId)) {
            maxId = "0000000000000";
        }
        int serialNumber = 0;
        int maxSerialNumber = Integer.valueOf(maxId.substring(
                maxId.length() - length, maxId.length()));
        serialNumber = maxSerialNumber + 1;

        NumberFormat nf = NumberFormat.getInstance();
        //设置是否使用分组
        nf.setGroupingUsed(false);
        //设置最大整数位数
        nf.setMaximumIntegerDigits(length);
        //设置最小整数位数
        nf.setMinimumIntegerDigits(length);
        serialNumberStr = nf.format(serialNumber);
        StringBuilder emailIdBuilder = new StringBuilder(preStr).append(serialNumberStr);
        return emailIdBuilder.toString();
    }

    public ZjbgVO v2SelectZjbgDetail(String zjid) {
        ZjbgVO zjbgVO = zjbgDao.v2SelectZjbgDetail(zjid);
        DCfxxsjyDO cfxxsjyDO = dCfxxsjyDao.getCfxxByCfbm(zjbgVO.getHwbm());
        if(cfxxsjyDO!=null){
            zjbgVO.setCfmc(cfxxsjyDO.getCfmc());
            // 库点信息
            ParameVo parameVo = new ParameVo();
            parameVo.setTyshxydm(cfxxsjyDO.getKddm().substring(0,cfxxsjyDO.getKddm().length()-3));
            List<CompanyVO>  companyList = tzSlqyDao.getCompanyInfo(parameVo);
            if(null != companyList && !companyList.isEmpty()) {
                zjbgVO.setKdmc(companyList.get(0).getQymc());
            }
        }
        if (zjbgVO.getYgid() != null) {
            DYgxxsjyVo dYgxxsjyVo = dYgxxsjyMapper.selectYgxxById(zjbgVO.getYgid());
            if (dYgxxsjyVo != null) {
                zjbgVO.setCfmc(dYgxxsjyVo.getYgmc());
            }
        }
        return zjbgVO;
    }
}
