package com.jusfoun.ydylsz.util;


import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.beans.BeanWrapper;
import org.springframework.beans.BeanWrapperImpl;
import org.springframework.stereotype.Component;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import java.beans.PropertyDescriptor;


/**
 * 项目通用工具类
 * @author lxy
 *
 */
@Component
public class WebUtil {
	
	
	/**
	 * 获取HttpServletRequest
	 * @return
	 */
	public HttpServletRequest getServletRequest(){
		return ((ServletRequestAttributes)RequestContextHolder.getRequestAttributes()).getRequest();
	}
	
	/**
	 * 获取客户端ip地址(可以穿透反向代理)
	 * @return
	 */
	public String getIp() {
		HttpServletRequest request = this.getServletRequest();
		String ip = request.getHeader("X-Forwarded-For");
		if (StringUtils.isNotEmpty(ip) && !"unKnown".equalsIgnoreCase(ip)) {
			// 多次反向代理后会有多个ip值，第一个ip才是真实ip
			int index = ip.indexOf(",");
			if (index != -1) {
				return ip.substring(0, index);
			} else {
				return ip;
			}
		}
		ip = request.getHeader("X-Real-IP");
		if (StringUtils.isNotEmpty(ip) && !"unKnown".equalsIgnoreCase(ip)) {
			return ip;
		}
		return request.getRemoteAddr();
	}

	/**
	 * 处理空字符串
	 */
	public static Object resObject(Object o) {
		final BeanWrapper src = new BeanWrapperImpl(o);
		PropertyDescriptor[] pds = src.getPropertyDescriptors();
		for (PropertyDescriptor pd : pds) {
			Object srcValue = src.getPropertyValue(pd.getName());
			if ("".equals(srcValue)||srcValue==null||" ".equals(srcValue)) {
					if("class java.lang.String".equals(String.valueOf(src.getPropertyType(pd.getName())))){
						srcValue = "-";
					}
					src.setPropertyValue(pd.getName(), srcValue);
			}
		}
		return o;
	}
	
}
