package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Optional;

/**
 * @author by PIG
 * 2023/3/28 17
 */
@ApiModel(value = "库级监管首页 仓房基础信息汇总")
@Data
public class BaseInfoSummarizeVO {

    private String qymc;
    private String tyshxydm;
    @ApiModelProperty(value = "占地面积")
    private BigDecimal zdmj;
    private Integer hwsl;
    @ApiModelProperty(value = "总罐容(吨)")
    private BigDecimal gr;

    @ApiModelProperty(value = "油罐数量（个）", notes = "油罐数量（个）")
    private Integer ygsl;

    @ApiModelProperty(value = "储粮总仓容（吨）", notes = "仓房状态=完好，使用状态=在用，仓房用途=储粮+闲置（设计仓容合计）", example = "")
    private BigDecimal clzcr;

    @ApiModelProperty(value="空仓容（吨）",notes = "", example = "")
    private BigDecimal kcr;

    @ApiModelProperty(value = "储粮", notes = "仓房状态=完好，使用状态=在用，仓房用途=储粮", example = "")
    @Column(name = "cl_cfsl")
    private Integer clCfsl;

    @ApiModelProperty(value="闲置", notes = "仓房状态=完好，使用状态=在用，仓房用途=闲置", example = "")
    @Column(name = "xz_cfsl")
    private Integer xzCfsl;

    @ApiModelProperty(value="其他", notes = "仓房状态=完好，使用状态=在用，仓房用途=其他+物资", example = "")
    @Column(name = "qt_cfsl")
    private Integer qtCfsl;

    @ApiModelProperty(value = "市级储备粮", notes = "查询当前存放市级储备粮的仓房数量", example = "")
    @Column(name = "sjcbl_cfsl")
    private Integer sjcblCfsl;
    @ApiModelProperty(value = "区级储备粮", notes = "查询当前存放区级储备粮的仓房数量", example = "")
    @Column(name = "qjcbl_cfsl")
    private Integer qjcblCfsl;
    @ApiModelProperty(value = "其他", notes = "合计-市级储备粮-区级储备粮", example = "")
    @Column(name = "qtcbl_cfsl")
    private Integer qtcblCfsl;
    @ApiModelProperty(value="", notes = "", example = "")
    private Integer cfsl;

    @Column(name = "yl_cfsl")
    private Integer ylCfsl;
    @Column(name = "cpl_cfsl")
    private Integer cplCfsl;

    public void initTotal() {
        this.cfsl = Optional.ofNullable(this.clCfsl).orElse(0) + Optional.ofNullable(this.xzCfsl).orElse(0) + Optional.ofNullable(this.qtCfsl).orElse(0) ;
        this.qtcblCfsl = this.cfsl - Optional.ofNullable(this.sjcblCfsl).orElse(0) - Optional.ofNullable(this.qjcblCfsl).orElse(0) ;
    }

}
