package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.time.temporal.TemporalAdjusters;

/**
 * @author by PIG
 * 2022/4/12 15
 */
@Data
@ApiModel(value = "综合查询 查询条件")
public class CompositeQueryVo {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "粮食品种编码数组")
    private String[] lspzbmArr; // 粮食品种编码数组

    @ApiModelProperty(value = "所属仓房编号数组")
    private String[] sscfbhArr; // 所属仓房编号数组

    @ApiModelProperty(value = "粮食品种编码数组")
    private String lspzbm; // 粮食品种编码数组

    @ApiModelProperty(value = "所属仓房编号数组")
    private String sscfmc; // 所属仓房编号数组

    @ApiModelProperty(value = "粮食等级编号数组")
    private String[] lsdjArr; // 所属仓房编号数组

    @ApiModelProperty(value = "所属企业名称")
    @Column(name="ssyqmc")
    private String ssyqmc; // 所属企业名称

    @ApiModelProperty(value = "生产年度")
    @Column(name="lsnd")
    private String lsnd; // 生产年度

    @ApiModelProperty(value = "生产年度数组")
    private String[] lsndArr; // 生产年度数组

    @ApiModelProperty(value = "所属库点")
    @Column(name="ssyddm")
    private String ssyddm; // 生产年度

    @ApiModelProperty(value = "粮食等级编码")
    @Column(name="lsdjbm")
    private String lsdjbm;// 粮食等级编码

    @ApiModelProperty(value = "产地")
    @Column(name="lscd")
    private String lscd;// 产地

    @ApiModelProperty(value = "是否进口（国产 0、进口 1）", notes = "是否进口")
    @Column(name="lsgb")
    private String lsgb;// 是否进口（国产、进口）

    @ApiModelProperty(value = "数量开始数值")
    @Column(name="startNum")
    private Integer startNum; // 数量（区间值）

    @ApiModelProperty(value = "数量结束数值")
    @Column(name="endNum")
    private Integer endNum; // 数量

    @ApiModelProperty(value = "类型 0 公司实物 1 账面 2 库级实物", notes = "类型")
    @Column(name="type")
    private String type; // 数量

    @ApiModelProperty(value = "入库年月")
    private String rkny;

    @ApiModelProperty(value = "入库年月数组")
    private String[] rknyArr;

    @ApiModelProperty(value = "入库年月起始")
    private String rknyBegin;

    @ApiModelProperty(value = "入库年月结束")
    private String rknyEnd;

    public void splitRknyArr() {
        if (null != rknyArr && rknyArr.length == 2) {
            this.rknyBegin = rknyArr[0];
            this.rknyEnd = rknyArr[1];
        }
    }
    /**
     * 入库年月补位
     * rkny的格式为 yyyy-MM 时可用
     */
    public void fillRkny() {
        if (null != rknyArr && rknyArr.length == 2) {
            this.splitRknyArr();
            this.rknyBegin = this.rknyBegin + "-01 00:00:00";
            DateTimeFormatter dateTimeFormatter = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
            LocalDateTime endDate = LocalDateTime.parse(this.rknyEnd + "-01 00:00:00", dateTimeFormatter);
            LocalDateTime endTimeDate = endDate.with(TemporalAdjusters.lastDayOfMonth()).withHour(23).withMinute(59).withSecond(59);
            this.rknyEnd = endTimeDate.format(dateTimeFormatter);
        }
    }
}
