package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.apache.commons.lang.StringUtils;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Transient;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyVO
 * @ProjectName 仓房信息实体类
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@ApiModel("仓房信息实体")
@Data
@EqualsAndHashCode(callSuper = true)
public class DCfxxsjyVO extends XwkKcxx {

	/**
	 * 仓房编号
	 */
	@ApiModelProperty(value = "仓房编号",example = "eg:911202236794497949001005  长度30")
	@Column(name = "cfbh")
	private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty(value="仓房名称",required = true,example = "eg:仓房3  长度20")
	@Column(name = "cfmc")
	private String cfmc;
	/**
	 * 所属库点编号
	 */
	@ApiModelProperty(value="所属库点编号",required = true,example = "eg:911202236794497949001  长度30")
	@Column(name = "kddm")
	private String kddm;

	/**
	 * 仓房类型
	 */
	@ApiModelProperty(value="仓房类型",example = "eg:12  长度20")
	@Column(name = "cflx")
	private String cflx;

	/**
	 * 仓房结构
	 */
	@ApiModelProperty(value="仓房结构",example = "eg:仓房结构  长度20")
	@Column(name = "cfjg")
	private String cfjg;

	/**
	 * 建筑类型
	 */
	@ApiModelProperty(value="建筑类型",example = "eg:仓房结构  长度20")
	@Column(name = "jzlx")
	private String jzlx;

	/**
	 * 仓房长度
	 */
	@ApiModelProperty(value="仓房长度",example = "eg:12.5  长度3,保留小数点后一位")
	@Column(name = "cfcd")
	private Double cfcd;

	/**
	 * 仓房宽度
	 */
	@ApiModelProperty(value="仓房宽度",example = "eg:12.5  长度3,保留小数点后一位")
	@Column(name = "cfkd")
	private Double cfkd;

	/**
	 * 仓房高度
	 */
	@ApiModelProperty(value="仓房高度",example = "eg:12.5  长度3,保留小数点后一位")
	@Column(name = "cfgd")
	private Double cfgd;

	/**
	 * 设计仓容
	 */
	@ApiModelProperty(value="设计仓容",example = "eg:30  长度8")
	@Column(name = "sjcr")
	private Integer sjcr;

	private Integer sjcrStart;

	private Integer sjcrEnd;

	/**
	 * 实际仓容
	 */
	@ApiModelProperty(value="实际仓容",example = "eg:仓房结构  长度20")
	@Column(name = "sjcr01")
	private Integer sjcr01;

	/**
	 * 联系电话
	 */
	@ApiModelProperty(value="联系电话",example = "eg:15501136167  长度15")
	@Column(name = "lxdh")
	private String lxdh;


	/**
	 * 人员编号
	 */
	@ApiModelProperty(value = "人员编号",example = "eg:A001  长度30")
	@Column(name = "rybh")
	private String rybh;

	/**
	 * 人员名称
	 */
	@ApiModelProperty(value = "人员名称",example = "eg:王琦  长度30")
	@Column(name = "ryxm")
	private String ryxm;

	/**
	 * 仓房墙体
	 */
	@ApiModelProperty(value = "仓房墙体",example = "eg:仓房墙体  长度20")
	@Column(name = "cfqt")
	private String cfqt;

	/**
	 * 仓房檐高
	 */
	@ApiModelProperty(value = "仓房檐高",example = "eg:10  长度10")
	@Column(name = "cfyg")
	private Double cfyg;

	/**
	 * 仓房屋顶
	 */
	@ApiModelProperty(value = "仓房屋顶",example = "eg:10  长度20")
	@Column(name = "cfwm")
	private String cfwm;

	/**
	 * 仓房地面
	 */
	@ApiModelProperty(value = "仓房地面",example = "eg:20  长度20")
	@Column(name = "cfdm")
	private String cfdm;

	/**
	 * 房屋跨度
	 */
	@ApiModelProperty(value = "房屋跨度",example = "eg:15  长度10")
	@Column(name = "fwkd")
	private Long fwkd;

	/**
	 * 装粮线高度/设计装粮高度(米)
	 */
	@ApiModelProperty(value = "装粮线高度/设计装粮高度(米)",example = "eg:20  长度10")
	@Column(name = "zlxgd")
	private Double zlxgd;

	/**
	 * 筒仓直径
	 */
	@ApiModelProperty(value = "筒仓直径",example = "eg:8  长度10")
	@Column(name = "tczj")
	private Double tczj;

	/**
	 * 仓门数量
	 */
	@ApiModelProperty(value = "仓门数量",example = "eg:15  长度10")
	@Column(name = "cmsl")
	private Long cmsl;

	/**
	 * 仓门高度
	 */
	@ApiModelProperty(value = "仓门高度",example = "eg:20  长度10")
	@Column(name = "cmgd")
	private Long cmgd;

	/**
	 * 仓门宽度
	 */
	@ApiModelProperty(value = "仓门宽度",example = "eg:8  长度10")
	@Column(name = "cmkd")
	private Long cmkd;

	/**
	 * 通风措施
	 */
	@ApiModelProperty(value = "通风措施",example = "eg:通风措施  长度50")
	@Column(name = "tffs")
	private String tffs;

	/**
	 * 隔热措施
	 */
	@ApiModelProperty(value = "隔热措施",example = "eg:隔热措施  长度50")
	@Column(name = "grfs")
	private String grfs;

	/**
	 * 控温措施
	 */
	@ApiModelProperty(value = "控温措施",example = "eg:控温措施  长度50")
	@Column(name = "kwcs")
	private String kwcs;

	/**
	 * 精度
	 */
	@ApiModelProperty(value="精度",example = "eg:仓房结构  长度10，保留小数点后六位")
	@Column(name = "jd")
	private Double jd;

	/**
	 * 纬度
	 */
	@ApiModelProperty(value="纬度",example = "eg:仓房结构  长度20")
	@Column(name = "wd")
	private Double wd;

	/**
	 * 启用日期
	 */
	@ApiModelProperty(value="启用日期",example = "eg:2019-09-21 20:36:53.175839  长度Date")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	@Column(name = "qyrq")
	private Date qyrq;

	/**
	 * 仓房状态
	 */
	@ApiModelProperty(value="仓房状态",example = "eg:仓房结构  长度20")
	@Column(name = "cfzt")
	private String cfzt;

	/**
	 * 建设年代
	 */
	@ApiModelProperty(value="建设年代",example = "eg:仓房结构  长度20")
	@Column(name = "jsnd")
	private String jsnd;

	/**
	 * 单仓装粮容积
	 */
	@ApiModelProperty(value="单仓装粮容积",example = "eg:仓房结构  长度20")
	@Column(name = "dczlrj")
	private Integer dczlrj;

	/**
	 * 库点名称
	 */
	@ApiModelProperty(value="库点名称",example = "")
	@Column(name = "kdmc")
	private String kdmc;

	/**
	 * 仓房类型编号
	 */
	@ApiModelProperty(value = "仓房类型编号",example = "eg:仓房类型编号  长度18")
	@Column(name = "cflxbh")
	private String cflxbh;

	/**
	 * 0、低温仓、1、准低温仓、2、普通仓、3、保温仓（见备注）
	 */
	@ApiModelProperty(value = "0、低温仓、1、准低温仓、2、普通仓、3、保温仓（见备注）",notes = "仓温类型",example = "eg:1  长度1")
	@Column(name = "dwc")
	private Integer dwc;

	/**
	 * 仓房用途
	 */
	@ApiModelProperty(value = "仓房用途",example = "eg:仓房结构  长度20")
	@Column(name = "cfyt")
	private String cfyt;

	/**
	 * 仓房内长
	 */
	@ApiModelProperty(value = "仓房内长",example = "eg:仓房结构  长度20")
	@Column(name = "cfnc")
	private Double cfnc;

	/**
	 * 仓房内宽
	 */
	@ApiModelProperty(value = "仓房内宽",example = "eg:仓房结构  长度20")
	@Column(name = "cfnk")
	private Double cfnk;

	/**
	 * 仓房内径
	 */
	@ApiModelProperty(value = "仓房内径",example = "eg:仓房结构  长度20")
	@Column(name = "cfnj")
	private Integer cfnj;

	/**
	 * 储存方式
	 */
	@ApiModelProperty(value = "储存方式 ",example = "eg:仓房结构  长度20")
	@Column(name = "ccfs")
	private String ccfs;

	/**
	 * 保温门    0、无。1、有
	 */
	@ApiModelProperty(value = "保温门    0、无。1、有",notes = "保温门",example = "eg:仓房结构  长度20")
	@Column(name = "bwm")
	private Integer bwm;

	/**
	 * 保温窗
	 */
	@ApiModelProperty(value = "保温窗",notes = "保温窗",example = "eg:仓房结构  长度20")
	@Column(name = "bwc")
	private Integer bwc;

	/**
	 * 双层保温窗0、无。1、有
	 */
	@ApiModelProperty(value = "双层保温窗0、无。1、有",notes = "双层保温窗",example = "eg:仓房结构  长度20")
	@Column(name = "scbwc")
	private Integer scbwc;

	/**
	 * 外控内开窗0、无。1、有
	 */
	@ApiModelProperty(value = "外控内开窗0、无。1、有",notes = "外控内开窗",example = "eg:仓房结构  长度20")
	@Column(name = "wknkc")
	private Integer wknkc;

	/**
	 * 仓内吊顶0、无。1、有
	 */
	@ApiModelProperty(value = "仓内吊顶0、无。1、有",notes = "仓内吊顶",example = "eg:仓房结构  长度20")
	@Column(name = "cndd")
	private Integer cndd;

	/**
	 * 仓内保温吊顶0、无。1、有
	 */
	@ApiModelProperty(value = "仓内保温吊顶0、无。1、有",notes = "仓内保温吊顶",example = "eg:仓房结构  长度20")
	@Column(name = "cdbwdd")
	private Integer cdbwdd;

	/**
	 * 隔层排积热0、无。1、有
	 */
	@ApiModelProperty(value = "隔层排积热0、无。1、有",notes = "隔层排积热",example = "eg:仓房结构  长度20")
	@Column(name = "gcpjr")
	private Integer gcpjr;

	/**
	 * 仓顶外隔热层0、无。1、有
	 */
	@ApiModelProperty(value = "仓顶外隔热层0、无。1、有",notes = "仓顶外隔热层",example = "eg:仓房结构  长度20")
	@Column(name = "cdwgrc")
	private Integer cdwgrc;

	/**
	 * 保温墙体0、无。1、有
	 */
	@ApiModelProperty(value = "保温墙体0、无。1、有",notes = "保温墙体",example = "eg:仓房结构  长度20")
	@Column(name = "bwqt")
	private Integer bwqt;

	/**
	 * 保温涂料0、无。1、有
	 */
	@ApiModelProperty(value = "保温涂料0、无。1、有",notes = "保温涂料",example = "eg:仓房结构  长度20")
	@Column(name = "bwtl")
	private Integer bwtl;

	/**
	 * 制冷设备0、无。1、有
	 */
	@ApiModelProperty(value = "制冷设备0、无。1、有",notes = "制冷设备",example = "eg:仓房结构  长度20")
	@Column(name = "zlsb")
	private Integer zlsb;

	/**
	 * 地笼通风0、无。1、有
	 */
	@ApiModelProperty(value = "地笼通风0、无。1、有",notes = "地笼通风",example = "eg:仓房结构  长度20")
	@Column(name = "dltf")
	private Integer dltf;

	/**
	 * 轴流通风0、无。1、有
	 */
	@ApiModelProperty(value = "轴流通风0、无。1、有",notes = "轴流通风",example = "eg:仓房结构  长度20")
	@Column(name = "zltf")
	private Integer zltf;

	/**
	 * 电子测温0、无。1、有
	 */
	@ApiModelProperty(value = "电子测温0、无。1、有",notes = "电子测温",example = "eg:仓房结构  长度20")
	@Column(name = "dzcw")
	private Integer dzcw;

	/**
	 * 自动流粮口0、无。1、有
	 */
	@ApiModelProperty(value = "自动流粮口0、无。1、有", notes = "自动流粮口",example = "eg:仓房结构  长度20")
	@Column(name = "zdllk")
	private Integer zdllk;

	/**
	 * 环流熏蒸0、无。1、有
	 */
	@ApiModelProperty(value = "环流熏蒸0、无。1、有", notes = "环流熏蒸",example = "eg:仓房结构  长度20")
	@Column(name = "hlxz")
	private Integer hlxz;

	/**
	 * 仓内环流0、无。1、有
	 */
	@ApiModelProperty(value = "仓内环流0、无。1、有", notes = "仓内环流",example = "eg:仓房结构  长度20")
	@Column(name = "cnhl")
	private Integer cnhl;



	/**
	 * 有效仓容(总库容）
	 */
	@ApiModelProperty(value = "有效仓容", notes = "有效仓容",example = "eg:仓房结构  长度20")
	@Column(name = "kdyxcr")
	private Double kdyxcr;

	/**
	 * 总仓房数
	 */
	@ApiModelProperty(value = "总仓房数", notes = "总仓房数",example = "eg:仓房结构  长度20")
	@Column(name = "cfs")
	private Integer cfs;

	/**
	 * 单位名称
	 */
	@ApiModelProperty(value = "单位名称",example = "eg:仓房结构  长度20")
	private String qymc;

	/**
	 * 单位地址
	 */
	@ApiModelProperty(value = "单位地址",example = "eg:仓房结构  长度20")
	private String qytxdz;

	/**
	 * 单位负责人
	 */
	@ApiModelProperty(value = "单位负责人")
	private String fddbr;

	@ApiModelProperty(value = "是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", notes ="是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", required = false)
	private Integer sfba;

	@ApiModelProperty(value = "仓房序号", notes ="仓房序号", required = false,example = "eg:12231  18")
	@Column(name = "cfxh")
	private String cfxh;

	@ApiModelProperty(value = "廒间序号", notes ="廒间序号", required = false,example = "ajxh123  18")
	@Column(name = "ajxh")
	private String ajxh;

	@ApiModelProperty(value = "货位序号", notes ="货位序号", required = false,example = "ajxh123  18")
	@Column(name = "hwxh")
	private String hwxh;

	@ApiModelProperty(value = "建设时间", notes ="建设时间", required = false,example = "2019-09-24 12:00:00  Date_Time")
	@Column(name = "jssj")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date jssj;
	private String startJssj;
	private String endJssj;
	private String cxsj;

	@ApiModelProperty(value = "交付使用日期", notes ="交付使用日期", required = false,example = "2019-09-24 12:00:00  Date_Time")
	@Column(name = "jfsyrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date jfsyrq;

	@ApiModelProperty(value = "防雨防潮性能", notes ="防雨防潮性能", required = false,example = "eg:防雨防潮性能  18")
	@Column(name = "fyfcxn")
	private String fyfcxn;

	@ApiModelProperty(value = "密闭杀虫性能", notes ="密闭杀虫性能", required = false,example = "eg:密闭杀虫性能  18")
	@Column(name = "mbscxn")
	private String mbscxn;

	@ApiModelProperty(value = "隔热保冷性能", notes ="隔热保冷性能", required = false,example = "eg:隔热保冷性能   18")
	@Column(name = "grblxn")
	private String grblxn;

	@ApiModelProperty(value = "能否散装储存，0：否，1：是", notes ="能否散装储存，0：否，1：是", required = false,example = "eg:0")
	@Column(name = "sfszcc")
	private Integer sfszcc;

	@ApiModelProperty(value = "有无粮情测控情况，0：无，1：有", notes ="有无粮情测控情况，0：无，1：有", required = false,example = "eg:0")
	@Column(name = "ywlqckqk")
	private Integer ywlqckqk;

	@ApiModelProperty(value = "仓房使用情况，1：空闲中，2：使用中，0：已停用", notes ="仓房使用情况，1：空闲中，2：使用中，0：已停用", required = false,example = "eg:0")
	@Column(name = "cfsyqk")
	private Integer cfsyqk;

	@ApiModelProperty(value = "墙体厚度（厘米）", notes ="墙体厚度（厘米）", required = false,example = "eg:0   18")
	@Column(name = "qthd")
	private Integer qthd;

	@ApiModelProperty(value = "仓门名称", notes ="仓门名称", required = false,example = "仓门名称   30")
	@Column(name = "cmmc")
	private String cmmc;

	@ApiModelProperty(value = "墙体隔热，1：保温隔热涂料，2：墙体增厚", notes ="墙体隔热，1：保温隔热涂料，2：墙体增厚", required = false,example = "1")
	@Column(name = "qtgr")
	private Integer qtgr;



	@ApiModelProperty(value="粮食库存品种名称")
	private String lspzmc;

    @Getter(AccessLevel.NONE)
    @Setter(AccessLevel.NONE)
	@ApiModelProperty(value="封仓数据")
	private Integer fcsl;

	@ApiModelProperty(value="入仓年月")
	@Transient
	private String rcny;

	@ApiModelProperty(value="仓房外温")
	@Transient
	private Double cfww;

	@ApiModelProperty(value="仓房内温")
	@Transient
	private Double cfnw;

	@ApiModelProperty(value="仓房外湿")
	@Transient
	private Double cfws;

	@ApiModelProperty(value="仓房内湿")
	@Transient
	private Double cfns;

	@ApiModelProperty(value="状态集合")
	private String[] zts;

	@ApiModelProperty(value="审核人")
	private String shrmc;

	@ApiModelProperty(value="审核时间")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date shsj;

	@ApiModelProperty(value="审核人")
	private String shyj;

	@ApiModelProperty(value="审核人")
	private List<String> cfbhs ;

	@ApiModelProperty(value = "窗户保温 1.单层 2 双层  3三层")
	private Integer chbw;

	@ApiModelProperty(value="轴流风机 0:无 1:有" )
	private Integer zlfj;

	@ApiModelProperty(value="能否环流熏蒸杀虫 0:否 1:能" )
	private Integer nfxlsc;

	@ApiModelProperty(value="仓内摄像头 0:无 1:有" )
	private Integer cnsxt;

	@ApiModelProperty(value="低温仓类型 1：低温仓 2准低温仓 3普通仓 4保温仓" )
	private Integer dwclx;

	@ApiModelProperty(value="有无机械通风设施 0:无 1:有" )
	private Integer ywjxtfss;
	   /**
     * 所属企业信用代码
     */
    @ApiModelProperty(value="所属企业信用代码")

    private String tyshxydm;

	@ApiModelProperty(value="仓房编码")
	private String cfbm;

	@ApiModelProperty(value="企业编码")
	private String qybm;

	@ApiModelProperty(value="年度")
	private String nd;

	@ApiModelProperty(value="品种")
	private String pzbm;

	@ApiModelProperty(value="性质")
	private String lsxzbm;

	private List<String> xzList;

	@ApiModelProperty(value="入库时间")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat( pattern = "yyyy-MM")
	private Date rksj;

	@ApiModelProperty(value="入库时间开始")
	private String rksjks;

	@ApiModelProperty(value="入库时间结束")
	private String rksjjs;

	@ApiModelProperty(value="库存符号")
	private String ksfh;

	@ApiModelProperty(value="等级")
	private String djbm;

	@ApiModelProperty(value="收获年度")
	private String shnd;

	@ApiModelProperty(value="封仓时间")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	private String fcsj;

	@ApiModelProperty(value="库存数量")
	private String kcslStr;

	@ApiModelProperty(value="产地")
	private String gb;

	@ApiModelProperty(value="库存数量开始")
	private String kcsls;

	@ApiModelProperty(value="库存数量结束")
	private String kcsle;


	@ApiModelProperty(value="是否进口 0否 1是")
	private String isEnter;

	@ApiModelProperty(value="检测时间")
	private String tTime;
	@ApiModelProperty(value="仓外温度")
	private String intemp;
	@ApiModelProperty(value="仓内湿度")
	private String inh;
	@ApiModelProperty(value="最高温度")
	private String tMax;
	@ApiModelProperty(value="最小温度")
	private String tMin;
	@ApiModelProperty(value="平均温度")
	private String tAvg;
	@ApiModelProperty(value = "库级平台仓房id")
	private String storehouse_id;

	private String name;

	@ApiModelProperty(value="油罐列表字段：0 原油  1成品油")
	private String ygly;

	@ApiModelProperty(value="仓外湿度")
	private String outh;

	@ApiModelProperty(value="品种编码")
	private String pzCode;

	@ApiModelProperty(value="性质编码")
	private String lsxzCode;

	@ApiModelProperty(value="入仓时间")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	private Date rcsj;

    public String gettTime() {
        return tTime;
    }
    public void settTime(String tTime) {
        this.tTime = tTime;
    }
    public String gettMax() {
        return tMax;
    }
    public void settMax(String tMax) {
        this.tMax = tMax;
    }
    public String gettMin() {
        return tMin;
    }
    public void settMin(String tMin) {
        this.tMin = tMin;
    }
    public String gettAvg() {
        return tAvg;
    }
    public void settAvg(String tAvg) {
        this.tAvg = tAvg;
    }

    public void numberFmt() {
        DecimalFormat decimalFormat = new DecimalFormat("###################.###########");
        if (null != this.kcslStr) {
            BigDecimal b = new BigDecimal(this.kcslStr);
            String lessNum = decimalFormat.format(b.doubleValue());
            if (StringUtils.contains(lessNum, ".")) {
                DecimalFormat df = new DecimalFormat("0.000");
                this.kcslStr = df.format(b);
            }else if("0".equals(lessNum)){
                this.kcslStr = null;
            }else {
                this.kcslStr = lessNum;
            }
        }
    }

}
