package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 库点信息实体类
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("库点信息实体")
public class DKdxxsjyVO {


	/**
	 * 库点代码
	 */
	@ApiModelProperty(value="库点代码",example = "eg:911202236794497949086  长度30")
	private String kddm;

	/**
	 * 库点名称
	 */
	@ApiModelProperty(value="库点名称",required = true,example = "eg:呼市西郊储备库  长度50")
	private String kdmc;


	/**
	 * 库点介绍
	 */
	@ApiModelProperty(value="库点介绍",example = "eg:string  长度20")
	private String kdjc;

	/**
	 * 库点性质
	 */
	@ApiModelProperty(value="库点性质",example = "eg:1  长度1")
	private String kdqyxz;

	/**
	 * 所属企业代码
	 */
	@ApiModelProperty(value="所属企业代码",required = true,example = "eg:911202236794497949  长度30")
	private String tyshxydm;
	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="企业名称",example = "eg:内蒙古自治区粮食和物资储备局  长度50")
	private String qymc;

	/**
	 * 粮库类别
	 */
	@ApiModelProperty(value="粮库类别",example = "eg:string  长度20")
	private String lklb;

	/**
	 * 建成日期
	 */
	@ApiModelProperty(value="建成日期",example = "eg:2019-08-29 16:25:38  长度Date_Time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date jcrq;

	/**
	 * 库点设计仓容
	 */
	@ApiModelProperty(value="库点设计仓容",example = "eg:123   18")
	private Double sjcr;

	/**
	 * 有效仓容
	 */
	@ApiModelProperty(value="有效仓容",example = "eg:4321.123   18,3")
	private Double kdyxcr;




	/**
	 * 仓房数量
	 */
	@ApiModelProperty(value="仓房数量",example = "eg:4321")
	private Integer cfs;

	/**
	 * 油脂库区数
	 */
	@ApiModelProperty(value="油脂库区数",example = "eg:1")
	private Integer yzkqs;

	/**
	 * 油罐数量
	 */
	@ApiModelProperty(value="油罐数量",example = "eg:123")
	private Integer ygsl;

	/**
	 * 有效罐容
	 */
	@ApiModelProperty(value="有效罐容",example = "eg:123.12   10,2")
	private Double yxgr;

	/**
	 * 库点面积
	 */
	@ApiModelProperty(value="库点面积",example = "eg:123.23   10.2")
	private Double kdmj;

	/**
	 * 库点电话
	 */
	@ApiModelProperty(value="库点电话",example = "eg:14223456323   30")
	private String kddh;

	/**
	 * 库点地址
	 */
	@ApiModelProperty(value="库点地址",example = "eg:库点地址   128")
	private String kddz;

	/**
	 * 库点传真
	 */
	@ApiModelProperty(value="库点传真",example = "eg:库点传真   30")
	private String kdcz;

	/**
	 * 库点邮编
	 */
	@ApiModelProperty(value=" 库点邮编",example = "eg:123   6")
	private String kdyb;

	/**
	 * 库点经度
	 */
	@ApiModelProperty(value="库点经度",example = "eg:123   20")
	private String kdjd;

	/**
	 * 库点维度
	 */
	@ApiModelProperty(value="库点维度",example = "eg:123   20")
	private String kdwd;

	/**
	 * 行政区划名称
	 */
	@ApiModelProperty(value="行政区划名称",example = "eg:行政区划名称   50")
	private String xzqhmc;

	/**
	 * 行政区划代码
	 */
	@ApiModelProperty(value="行政区划代码",example = "eg:xzqhdm   6")
	private String xzqhdm;

	/**
	 * 紧邻公路类别（T/F）
	 */
	@ApiModelProperty(value=" 紧邻公路类别（T/F）",example = "eg:1   1")
	private String jlgllb;

	/**
	 * 紧邻公路距离
	 */
	@ApiModelProperty(value="紧邻公路距离",example = "eg:123   15")
	private Integer jlgljl;

	/**
	 * 是否符合污染源
	 */
	@ApiModelProperty(value="是否符合污染源",example = "eg:1   1")
	private String sffhwry;

	/**
	 * 有无消防水源
	 */
	@ApiModelProperty(value="有无消防水源",example = "eg:1   1")
	private String ywxfsy;

	/**
	 * 有无消防设施
	 */
	@ApiModelProperty(value="有无消防设施",example = "eg:1   1")
	private String ywxfss;

	/**
	 * 有无检化验室
	 */
	@ApiModelProperty(value="有无检化验室",example = "eg:1   1")
	private String ywjhys;

	/**
	 * 汽车衡
	 */
	@ApiModelProperty(value="汽车衡",example = "eg:12   8")
	private Integer jccsbQch;

	/**
	 * 防洪标准年限
	 */
	@ApiModelProperty(value="防洪标准年限",example = "eg:13   15")
	private Integer fhbznx;


	@ApiModelProperty(value="法人",example = "eg:13   15")
	private String fddbr;

	@ApiModelProperty(value="鸟览图",example = "eg:13   15")
	private String birdsRemote;
}
