package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;

import java.util.List;


@Data
@ApiModel(value = "DXP_HWXX--表4-7 货位信息数据接口")
@Table(name="DXP_HWXX")
public class DXPHWXXVO extends QueryVo{

	@ApiModelProperty(value = "货位编码")
	private	String hwbm;	//db_column:hwbm	note:货位编码

	@ApiModelProperty(value = "货位名称")
	private	String hwmc;	//db_column:hwmc	note:货位名称

	@ApiModelProperty(value = "廒间编码")
	private	String ajbh;	//db_column:ajbh	note:廒间编码

	@ApiModelProperty(value = "仓房编码")
	private	String cfbh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "货位启用日期")
	private	String hwqyrq;	//db_column:hwqyrq	note:货位启用日期

	@ApiModelProperty(value = "货位状态")
	private	String hwzt;	//db_column:hwzt	note:货位状态

	@ApiModelProperty(value = "储粮方式")
	private	String clfs;	//db_column:clfs	note:储粮方式

	@ApiModelProperty(value = "货位容量")
	private	String hwrl;	//db_column:hwrl	note:货位容量

	@ApiModelProperty(value = "保管员编号")
	private	String bgy;	//db_column:bgy	note:保管员编号

	@ApiModelProperty(value = "保管单位")
	private	String bgdw;	//db_column:bgy	note:保管员编号

	@ApiModelProperty(value = "审核人")
	private	String shr;	//db_column:shr	note:审核人

	@ApiModelProperty(value = "备注")
	private	String bz;	//db_column:bz	note:备注

	@ApiModelProperty(value = "库区编码")
	private	String kqbh;	//db_column:bz	note:备注

	@ApiModelProperty(value = "收获年度")
	private	String shnd;

	@ApiModelProperty(value = "质量等级")
	private	String djbm;

	@ApiModelProperty(value = "库存数量")
	private	Float qmkc = 0f;

	@ApiModelProperty(value = "粮食品种编码")
	private	String pzbm;	//db_column:pzbm	note:粮食品种编码

	@ApiModelProperty(value = "粮食性质编码")
	private	String lsxzbm;	//db_column:lsxzbm	note:粮食性质编码

	@ApiModelProperty(value = "是否安装摄像头")
	private	String isSXT;
	
	@ApiModelProperty(value = "库存数量显示带吨的单位")
	private	String qmkcdw;
	
	@ApiModelProperty(value = "库区名称")
	private	String kqmc;
	@ApiModelProperty(value = "仓房名称")
	private	String cfmc;
	@ApiModelProperty(value = "仓房类型名称")
	private	String cflxmc;
	@ApiModelProperty(value = "仓房类型编码")
	private	String cflxnm;
	@ApiModelProperty(value = "设计仓容")
	private	Float sjcr;
	@ApiModelProperty(value = "财政核定价格")
	private	String czhdjg;
	@ApiModelProperty(value = "产地")
	private	String cd;
	@ApiModelProperty(value = "入库/仓时间")
	private	String rksj;
	@ApiModelProperty(value = "保管员编码")
	private	String bgybm;
	@ApiModelProperty(value = "仓内长")
	private	Float cnc;
	@ApiModelProperty(value = "仓内宽")
	private	Float cnk;
	@ApiModelProperty(value = "仓内高")
	private	Float cnyg;
	@ApiModelProperty(value = "粮堆体积")
	private	Float ldtj;
	@ApiModelProperty(value = "标题")
	private	String bt;
	@ApiModelProperty(value = "更新时间")
	private	String gxsj;
	@ApiModelProperty(value = "统计报账单位")
	private	String tjbzdw;
	@ApiModelProperty(value = "容重")
	private	String rz;
	@ApiModelProperty(value = "储存地点")
	private	String ccdd;
	@ApiModelProperty(value = "存储类型")
	private	String glfs;
	
	private String rcsf;  // 入仓水分
	private String zz;  // 杂质
	private String bclbs;  // 包存粮包数
	private String pjbz;  
	private String cfhwmc;  //仓房名称
	private Float jjsl;  //计价数量     
	private String zhsf;// zhsf
	private String jyxm;  // 检验项目
	private String jyjg;  // 检验结果
	
	@ApiModelProperty(value = "色泽气味")
	private	String szqw;
	
	private Float tczj;  //筒仓直径
	private Float tcg;   //筒仓高
	
	private Float sjsl; // 实际数量
	
	private Integer id;
	
	private String cflxbm;  // 仓房类型编码
	
	private	String cfbm;
	
	@ApiModelProperty(value = "粮温图用-数据")
	private List<LineVO> lines;
	@ApiModelProperty(value = "粮温图用-X轴")
	private	String[] xLines;
	
	private List<DXPZJSJVO> dataList;
}