/*
* StorageQualityCheckInspectionVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-11-06 15:57:36 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * STORAGE_QUALITYCHECK_INSPECTION-质量检查信息详情表
 * @author lipenghe at 2020-11-06 15:57:36
 */
@ApiModel(value = "STORAGE_QUALITYCHECK_INSPECTION:质量检查信息详情表-StorageQualityCheckInspectionVO",description="A")
@Data
@Table(name="STORAGE_QUALITYCHECK_INSPECTION")
public class StorageQualityCheckInspectionVO  implements Serializable{

    @NotNull(message = "'id'不能为空")
    @ApiModelProperty(value = "'id'#<主键><唯一><非空>", notes ="'id'", example = "1")
    @Id
    @Column(name="ID",length=10,precision=10,scale=0, columnDefinition = "INTEGER")
    private Integer id;

    @ApiModelProperty(value = "'质量检查信息表主键'", notes ="'质量检查信息表主键'", example = "1")
    @Column(name="QUALITYCHECK_ID", length=10, precision=10, scale=0, columnDefinition = "INTEGER")
    private Integer qualitycheckId;

    @Length(max=100,message="'容重'最大为100字符")
    @ApiModelProperty(value = "'容重'", notes ="'容重'", example = "'容重'")
    @Column(name="UNIT_WEIGHT", length=100, columnDefinition = "VARCHAR")
    private String unitWeight;

    @Length(max=100,message="'杂质总量'最大为100字符")
    @ApiModelProperty(value = "'杂质总量'", notes ="'杂质总量'", example = "'杂质总量'")
    @Column(name="IMPURITY_TOTAL", length=100, columnDefinition = "VARCHAR")
    private String impurityTotal;

    @Length(max=100,message="'杂质无机杂质'最大为100字符")
    @ApiModelProperty(value = "'杂质无机杂质'", notes ="'杂质无机杂质'", example = "'杂质无机杂质'")
    @Column(name="IMPURITY_INORGANIC", length=100, columnDefinition = "VARCHAR")
    private String impurityInorganic;

    @Length(max=100,message="'杂质有机杂质'最大为100字符")
    @ApiModelProperty(value = "'杂质有机杂质'", notes ="'杂质有机杂质'", example = "'杂质有机杂质'")
    @Column(name="IMPURITY_ORGANIC", length=100, columnDefinition = "VARCHAR")
    private String impurityOrganic;

    @Length(max=100,message="'糠粉'最大为100字符")
    @ApiModelProperty(value = "'糠粉'", notes ="'糠粉'", example = "'糠粉'")
    @Column(name="IMPURITY_BRAN_POWDER", length=100, columnDefinition = "VARCHAR")
    private String impurityBranPowder;

    @Length(max=100,message="'不完善粒总量'最大为100字符")
    @ApiModelProperty(value = "'不完善粒总量'", notes ="'不完善粒总量'", example = "'不完善粒总量'")
    @Column(name="IMPERFECTGRAINS_TOTAL", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsTotal;

    @Length(max=100,message="'不完善粒虫蚀粒'最大为100字符")
    @ApiModelProperty(value = "'不完善粒虫蚀粒'", notes ="'不完善粒虫蚀粒'", example = "'不完善粒虫蚀粒'")
    @Column(name="IMPERFECTGRAINS_INJUREDKERNEL", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsInjuredkernel;

    @Length(max=100,message="'不完善粒病斑粒'最大为100字符")
    @ApiModelProperty(value = "'不完善粒病斑粒'", notes ="'不完善粒病斑粒'", example = "'不完善粒病斑粒'")
    @Column(name="IMPERFECTGRAINS_SCAB", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsScab;

    @Length(max=100,message="'不完善粒病斑粒总量'最大为100字符")
    @ApiModelProperty(value = "'不完善粒病斑粒总量'", notes ="'不完善粒病斑粒总量'", example = "'不完善粒病斑粒总量'")
    @Column(name="IMPERFECTGRAINS_SCAB_TOTAL", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsScabTotal;

    @Length(max=100,message="'不完善粒病斑粒黑胚粒'最大为100字符")
    @ApiModelProperty(value = "'不完善粒病斑粒黑胚粒'", notes ="'不完善粒病斑粒黑胚粒'", example = "'不完善粒病斑粒黑胚粒'")
    @Column(name="IMPERFECTGRAINS_SCAB_BLACKEMBRYO", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsScabBlackembryo;

    @Length(max=100,message="'不完善粒病斑粒赤霉病粒'最大为100字符")
    @ApiModelProperty(value = "'不完善粒病斑粒赤霉病粒'", notes ="'不完善粒病斑粒赤霉病粒'", example = "'不完善粒病斑粒赤霉病粒'")
    @Column(name="IMPERFECTGRAINS_SCAB_GIBBERELLA", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsScabGibberella;

    @Length(max=100,message="'不完善粒破损粒%'最大为100字符")
    @ApiModelProperty(value = "'不完善粒破损粒%'", notes ="'不完善粒破损粒%'", example = "'不完善粒破损粒%'")
    @Column(name="IMPERFECTGRAINS_DAMAGE", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsDamage;

    @Length(max=100,message="'不完善粒生芽粒'最大为100字符")
    @ApiModelProperty(value = "'不完善粒生芽粒'", notes ="'不完善粒生芽粒'", example = "'不完善粒生芽粒'")
    @Column(name="IMPERFECTGRAINS_SPROUTEDKERNEL", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsSproutedkernel;

    @Length(max=100,message="'不完善粒冻伤'最大为100字符")
    @ApiModelProperty(value = "'不完善粒冻伤'", notes ="'不完善粒冻伤'", example = "'不完善粒冻伤'")
    @Column(name="IMPERFECTGRAINS_FROSTBITE", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsFrostbite;

    @Length(max=100,message="'不完善粒未熟粒'最大为100字符")
    @ApiModelProperty(value = "'不完善粒未熟粒'", notes ="'不完善粒未熟粒'", example = "'不完善粒未熟粒'")
    @Column(name="IMPERFECTGRAINS_IMMATUREGRAIN", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsImmaturegrain;

    @Length(max=100,message="'不完善粒含量'最大为100字符")
    @ApiModelProperty(value = "'不完善粒含量'", notes ="'不完善粒含量'", example = "'不完善粒含量'")
    @Column(name="IMPERFECTGRAINS_CONTENT", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsContent;

    @Length(max=100,message="'不完善粒糙米粒'最大为100字符")
    @ApiModelProperty(value = "'不完善粒糙米粒'", notes ="'不完善粒糙米粒'", example = "'不完善粒糙米粒'")
    @Column(name="IMPERFECTGRAINS_BROWNRICE", length=100, columnDefinition = "VARCHAR")
    private String imperfectgrainsBrownrice;

    @Length(max=100,message="'自然热损伤粒'最大为100字符")
    @ApiModelProperty(value = "'自然热损伤粒'", notes ="'自然热损伤粒'", example = "'自然热损伤粒'")
    @Column(name="NATURALLY", length=100, columnDefinition = "VARCHAR")
    private String naturally;

    @Length(max=100,message="'烘干热损伤粒'最大为100字符")
    @ApiModelProperty(value = "'烘干热损伤粒'", notes ="'烘干热损伤粒'", example = "'烘干热损伤粒'")
    @Column(name="STOVING", length=100, columnDefinition = "VARCHAR")
    private String stoving;

    @Length(max=100,message="'粗脂肪含量（干基）%'最大为100字符")
    @ApiModelProperty(value = "'粗脂肪含量（干基）%'", notes ="'粗脂肪含量（干基）%'", example = "'粗脂肪含量（干基）%'")
    @Column(name="CRUDE_FAT_CONTENT", length=100, columnDefinition = "VARCHAR")
    private String crudeFatContent;

    @Length(max=100,message="'蛋白溶解'最大为100字符")
    @ApiModelProperty(value = "'蛋白溶解'", notes ="'蛋白溶解'", example = "'蛋白溶解'")
    @Column(name="PROTEOLYSIS", length=100, columnDefinition = "VARCHAR")
    private String proteolysis;

    @Length(max=100,message="'霉变粒'最大为100字符")
    @ApiModelProperty(value = "'霉变粒'", notes ="'霉变粒'", example = "'霉变粒'")
    @Column(name="MILDEW", length=100, columnDefinition = "VARCHAR")
    private String mildew;

    @Length(max=100,message="'未熟粒率'最大为100字符")
    @ApiModelProperty(value = "'未熟粒率'", notes ="'未熟粒率'", example = "'未熟粒率'")
    @Column(name="IMMATURE_GRAIN_RATE", length=100, columnDefinition = "VARCHAR")
    private String immatureGrainRate;

    @Length(max=100,message="'破碎率'最大为100字符")
    @ApiModelProperty(value = "'破碎率'", notes ="'破碎率'", example = "'破碎率'")
    @Column(name="CRUSHING_RATE", length=100, columnDefinition = "VARCHAR")
    private String crushingRate;

    @Length(max=100,message="'黄粒米%'最大为100字符")
    @ApiModelProperty(value = "'黄粒米%'", notes ="'黄粒米%'", example = "'黄粒米%'")
    @Column(name="YELLOW_RICE", length=100, columnDefinition = "VARCHAR")
    private String yellowRice;

    @Length(max=100,message="'相对密度'最大为100字符")
    @ApiModelProperty(value = "'相对密度'", notes ="'相对密度'", example = "'相对密度'")
    @Column(name="RELATIVE_DENSITY", length=100, columnDefinition = "VARCHAR")
    private String relativeDensity;

    @Length(max=100,message="'水分及挥发物含量%'最大为100字符")
    @ApiModelProperty(value = "'水分及挥发物含量%'", notes ="'水分及挥发物含量%'", example = "'水分及挥发物含量%'")
    @Column(name="WATER_VOLATILES", length=100, columnDefinition = "VARCHAR")
    private String waterVolatiles;

    @Length(max=100,message="'不溶性杂质含量%'最大为100字符")
    @ApiModelProperty(value = "'不溶性杂质含量%'", notes ="'不溶性杂质含量%'", example = "'不溶性杂质含量%'")
    @Column(name="INSOLUBLE_IMPURITY", length=100, columnDefinition = "VARCHAR")
    private String insolubleImpurity;

    @Length(max=100,message="'酸价（KOH）/(mg/g)'最大为100字符")
    @ApiModelProperty(value = "'酸价（KOH）/(mg/g)'", notes ="'酸价（KOH）/(mg/g)'", example = "'酸价（KOH）/(mg/g)'")
    @Column(name="ACID_VALUE", length=100, columnDefinition = "VARCHAR")
    private String acidValue;

    @Length(max=100,message="'含皂量%最大为100字符")
    @ApiModelProperty(value = "'含皂量%", notes ="'含皂量%", example = "'含皂量%")
    @Column(name="SOAP_CONTENT", length=100, columnDefinition = "VARCHAR")
    private String soapContent;

    @Length(max=100,message="'加热实验（280℃）'最大为100字符")
    @ApiModelProperty(value = "'加热实验（280℃）'", notes ="'加热实验（280℃）'", example = "'加热实验（280℃）'")
    @Column(name="HEAT", length=100, columnDefinition = "VARCHAR")
    private String heat;

    @Length(max=100,message="'月桂酸'最大为100字符")
    @ApiModelProperty(value = "'月桂酸'", notes ="'月桂酸'", example = "'月桂酸'")
    @Column(name="LAURIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String lauricAcid;

    @Length(max=100,message="'豆蔻酸'最大为100字符")
    @ApiModelProperty(value = "'豆蔻酸'", notes ="'豆蔻酸'", example = "'豆蔻酸'")
    @Column(name="MYRISTIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String myristicAcid;

    @Length(max=100,message="'棕榈酸'最大为100字符")
    @ApiModelProperty(value = "'棕榈酸'", notes ="'棕榈酸'", example = "'棕榈酸'")
    @Column(name="PALMITIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String palmiticAcid;

    @Length(max=100,message="'棕榈油酸'最大为100字符")
    @ApiModelProperty(value = "'棕榈油酸'", notes ="'棕榈油酸'", example = "'棕榈油酸'")
    @Column(name="ZOOMARIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String zoomaricAcid;

    @Length(max=100,message="'十七烷酸'最大为100字符")
    @ApiModelProperty(value = "'十七烷酸'", notes ="'十七烷酸'", example = "'十七烷酸'")
    @Column(name="MARGARIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String margaricAcid;

    @Length(max=100,message="'十七烷一烯'最大为100字符")
    @ApiModelProperty(value = "'十七烷一烯'", notes ="'十七烷一烯'", example = "'十七烷一烯'")
    @Column(name="HEPTADECANE", length=100, columnDefinition = "VARCHAR")
    private String heptadecane;

    @Length(max=100,message="'硬脂酸'最大为100字符")
    @ApiModelProperty(value = "'硬脂酸'", notes ="'硬脂酸'", example = "'硬脂酸'")
    @Column(name="STEARIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String stearicAcid;

    @Length(max=100,message="'油酸'最大为100字符")
    @ApiModelProperty(value = "'油酸'", notes ="'油酸'", example = "'油酸'")
    @Column(name="OLEIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String oleicAcid;

    @Length(max=100,message="'亚油酸'最大为100字符")
    @ApiModelProperty(value = "'亚油酸'", notes ="'亚油酸'", example = "'亚油酸'")
    @Column(name="LINOLEIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String linoleicAcid;

    @Length(max=100,message="'亚麻酸'最大为100字符")
    @ApiModelProperty(value = "'亚麻酸'", notes ="'亚麻酸'", example = "'亚麻酸'")
    @Column(name="LINOLENIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String linolenicAcid;

    @Length(max=100,message="'花生酸'最大为100字符")
    @ApiModelProperty(value = "'花生酸'", notes ="'花生酸'", example = "'花生酸'")
    @Column(name="ARACHIDIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String arachidicAcid;

    @Length(max=100,message="'花生一烯酸'最大为100字符")
    @ApiModelProperty(value = "'花生一烯酸'", notes ="'花生一烯酸'", example = "'花生一烯酸'")
    @Column(name="ARACHIDONIC_ONE", length=100, columnDefinition = "VARCHAR")
    private String arachidonicOne;

    @Length(max=100,message="'花生二烯酸'最大为100字符")
    @ApiModelProperty(value = "'花生二烯酸'", notes ="'花生二烯酸'", example = "'花生二烯酸'")
    @Column(name="ARACHIDONIC_TWO", length=100, columnDefinition = "VARCHAR")
    private String arachidonicTwo;

    @Length(max=100,message="'山嵛酸'最大为100字符")
    @ApiModelProperty(value = "'山嵛酸'", notes ="'山嵛酸'", example = "'山嵛酸'")
    @Column(name="BEHENIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String behenicAcid;

    @Length(max=100,message="'芥酸'最大为100字符")
    @ApiModelProperty(value = "'芥酸'", notes ="'芥酸'", example = "'芥酸'")
    @Column(name="ERUCIC_ACID", length=100, columnDefinition = "VARCHAR")
    private String erucicAcid;

    @Length(max=100,message="'木焦油算'最大为100字符")
    @ApiModelProperty(value = "'木焦油算'", notes ="'木焦油算'", example = "'木焦油算'")
    @Column(name="WOOD_TAR", length=100, columnDefinition = "VARCHAR")
    private String woodTar;

    @Length(max=100,message="'平均长度'最大为100字符")
    @ApiModelProperty(value = "'平均长度'", notes ="'平均长度'", example = "'平均长度'")
    @Column(name="AVG_LENGTH", length=100, columnDefinition = "VARCHAR")
    private String avgLength;

    @Length(max=100,message="'完整米粒'最大为100字符")
    @ApiModelProperty(value = "'完整米粒'", notes ="'完整米粒'", example = "'完整米粒'")
    @Column(name="RICE_GRAINS", length=100, columnDefinition = "VARCHAR")
    private String riceGrains;

    @Length(max=100,message="'碎米总量'最大为100字符")
    @ApiModelProperty(value = "'碎米总量'", notes ="'碎米总量'", example = "'碎米总量'")
    @Column(name="BROKENRICE_TOTAL", length=100, columnDefinition = "VARCHAR")
    private String brokenriceTotal;

    @Length(max=100,message="'碎米大'最大为100字符")
    @ApiModelProperty(value = "'碎米大'", notes ="'碎米大'", example = "'碎米大'")
    @Column(name="BROKENRICE_BIG", length=100, columnDefinition = "VARCHAR")
    private String brokenriceBig;

    @Length(max=100,message="'碎米小'最大为100字符")
    @ApiModelProperty(value = "'碎米小'", notes ="'碎米小'", example = "'碎米小'")
    @Column(name="BROKENRICE_SMALL", length=100, columnDefinition = "VARCHAR")
    private String brokenriceSmall;

    @Length(max=100,message="'加工精度'最大为100字符")
    @ApiModelProperty(value = "'加工精度'", notes ="'加工精度'", example = "'加工精度'")
    @Column(name="MACHININGACCURACY", length=100, columnDefinition = "VARCHAR")
    private String machiningaccuracy;

    @Length(max=100,message="'垩白度'最大为100字符")
    @ApiModelProperty(value = "'垩白度'", notes ="'垩白度'", example = "'垩白度'")
    @Column(name="CHALKINESS", length=100, columnDefinition = "VARCHAR")
    private String chalkiness;

    @Length(max=100,message="'加工精度精碾'最大为100字符")
    @ApiModelProperty(value = "'加工精度精碾'", notes ="'加工精度精碾'", example = "'加工精度精碾'")
    @Column(name="MACHININGACCURACY_ESSENCE", length=100, columnDefinition = "VARCHAR")
    private String machiningaccuracyEssence;

    @Length(max=100,message="'加工精度适碾'最大为100字符")
    @ApiModelProperty(value = "'加工精度适碾'", notes ="'加工精度适碾'", example = "'加工精度适碾'")
    @Column(name="MACHININGACCURACY_SUITABLE", length=100, columnDefinition = "VARCHAR")
    private String machiningaccuracySuitable;

    @Length(max=100,message="'直链淀粉含量'最大为100字符")
    @ApiModelProperty(value = "'直链淀粉含量'", notes ="'直链淀粉含量'", example = "'直链淀粉含量'")
    @Column(name="AMYLOSE", length=100, columnDefinition = "VARCHAR")
    private String amylose;

    @Length(max=100,message="'灰分%（以干物计）'最大为100字符")
    @ApiModelProperty(value = "'灰分%（以干物计）'", notes ="'灰分%（以干物计）'", example = "'灰分%（以干物计）'")
    @Column(name="ASH_CONTENT", length=100, columnDefinition = "VARCHAR")
    private String ashContent;

    @Length(max=100,message="'粗细度%'最大为100字符")
    @ApiModelProperty(value = "'粗细度%'", notes ="'粗细度%'", example = "'粗细度%'")
    @Column(name="COARSENESS", length=100, columnDefinition = "VARCHAR")
    private String coarseness;

    @Length(max=100,message="'面筋质%（以湿重计）'最大为100字符")
    @ApiModelProperty(value = "'面筋质%（以湿重计）'", notes ="'面筋质%（以湿重计）'", example = "'面筋质%（以湿重计）'")
    @Column(name="GLUTEN", length=100, columnDefinition = "VARCHAR")
    private String gluten;

    @Length(max=100,message="'含沙量'最大为100字符")
    @ApiModelProperty(value = "'含沙量'", notes ="'含沙量'", example = "'含沙量'")
    @Column(name="SILT_CONTENT", length=100, columnDefinition = "VARCHAR")
    private String siltContent;

    @Length(max=100,message="'磁性金属物g/kg'最大为100字符")
    @ApiModelProperty(value = "'磁性金属物g/kg'", notes ="'磁性金属物g/kg'", example = "'磁性金属物g/kg'")
    @Column(name="MAGNETIC_METAL", length=100, columnDefinition = "VARCHAR")
    private String magneticMetal;

    @Length(max=100,message="'红硬质'最大为100字符")
    @ApiModelProperty(value = "'红硬质'", notes ="'红硬质'", example = "'红硬质'")
    @Column(name="RED_HARD", length=100, columnDefinition = "VARCHAR")
    private String redHard;

    @Length(max=100,message="'红软质'最大为100字符")
    @ApiModelProperty(value = "'红软质'", notes ="'红软质'", example = "'红软质'")
    @Column(name="RED_SOFT", length=100, columnDefinition = "VARCHAR")
    private String redSoft;

    @Length(max=100,message="'白硬质'最大为100字符")
    @ApiModelProperty(value = "'白硬质'", notes ="'白硬质'", example = "'白硬质'")
    @Column(name="WHITE_HARD", length=100, columnDefinition = "VARCHAR")
    private String whiteHard;

    @Length(max=100,message="'白软质'最大为100字符")
    @ApiModelProperty(value = "'白软质'", notes ="'白软质'", example = "'白软质'")
    @Column(name="WHITE_SOFT", length=100, columnDefinition = "VARCHAR")
    private String whiteSoft;

    @Length(max=100,message="'添加1'最大为100字符")
    @ApiModelProperty(value = "'添加1'", notes ="'添加1'", example = "'添加1'")
    @Column(name="INPUT_ONE", length=100, columnDefinition = "VARCHAR")
    private String inputOne;

    @Length(max=100,message="'添加2'最大为100字符")
    @ApiModelProperty(value = "'添加2'", notes ="'添加2'", example = "'添加2'")
    @Column(name="INPUT_TWO", length=100, columnDefinition = "VARCHAR")
    private String inputTwo;

    @Length(max=100,message="'添加1'最大为100字符")
    @ApiModelProperty(value = "'添加1'", notes ="'添加1'", example = "'添加1'")
    @Column(name="INPUT_THREE", length=100, columnDefinition = "VARCHAR")
    private String inputThree;

    @Length(max=100,message="'添加2'最大为100字符")
    @ApiModelProperty(value = "'添加2'", notes ="'添加2'", example = "'添加2'")
    @Column(name="INPUT_FOUR", length=100, columnDefinition = "VARCHAR")
    private String inputFour;

    public StorageQualityCheckInspectionVO(){
        super();
    }
}