package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 *  实体类
 * 
 * @author  lxy 
 * @creation 2017-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Table(name="sys_resource")
@ApiModel(value = "出参")
public class SysResource  implements java.io.Serializable{
	private static final long serialVersionUID = 1L;
	
    @Id
	private Long resId; //主键id db_column: res_id
    @Column(name="res_name")
    @ApiModelProperty(value = "资源名称")
	private String resName; //资源名称 db_column: res_name
    @Column(name="res_original_url")
    @ApiModelProperty(value = "资源路径，原始")
	private String resOriginalUrl; //资源路径，原始 db_column: res_original_url
    @Column(name="res_scale_url")
    @ApiModelProperty(value = "资源路径，按比例缩放")
	private String resScaleUrl; //资源路径，按比例缩放 db_column: res_scale_url
    @Column(name="res_cut_url")
    @ApiModelProperty(value = "资源路径，裁剪之后")
	private String resCutUrl; //资源路径，裁剪之后 db_column: res_cut_url
    @Column(name="res_type")
    @ApiModelProperty(value = "资源类型，截取后缀名")
	private String resType; //资源类型，截取后缀名 db_column: res_type
    @Column(name="res_size")
    @ApiModelProperty(value = "资源大小，单位KB")
	private Integer resSize; //资源大小，单位KB db_column: res_size
    @Column(name="create_time")
    @ApiModelProperty(value = "创建时间")
	private java.util.Date createTime; //创建时间 db_column: create_time 
    @Column(name="res_status")
    @ApiModelProperty(value = "状态：0：未删除，1：删除")
	private Integer resStatus; //状态：0：未删除，1：删除 db_column: res_status
    
    @Transient
    @ApiModelProperty(value = "上传状态")
    private Boolean uploadStatus;//上传状态

	public SysResource(){
	}

	public SysResource(
		Long resId
	){
		this.resId = resId;
	}

    @ApiModelProperty(value = "服务器地址")
	private String resHostUrl; //服务器地址
    @ApiModelProperty(value = "服务器地址")
    private String creditCode; //服务器地址credit_code
	
}

