package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Value;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@ApiModel(value = "出库信息")
@Table(name="xwk_lsckxx")
public class XwkLsckxx {
	@ApiModelProperty(value = "id")
    private String ckywdh;

	@ApiModelProperty(value = "货位编码")
	@Column(name = "hwdm")
    private String hwdm;

	@ApiModelProperty(value = "出库通知单号")
	@Column(name = "cktzdh")
    private String cktzdh;

	@ApiModelProperty(value = "业务类型1：出库默认", notes =  "业务类型")
	@Column(name = "ywlx")
    private String ywlx;

	@ApiModelProperty(value = "业务日期格式：yyyy-MM-dd", notes =  "业务日期")
	@Column(name = "ywrq")
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
    private Date ywrq;

	@ApiModelProperty(value = "合同号关联1403接口中合同号", notes =  "合同号")
	@Column(name = "hth")
    private String hth;

	@ApiModelProperty(value = "承运人")
	@Column(name = "cyr")
    private String cyr;

	@ApiModelProperty(value = "联系电话国内标准手机号码或固定电话号码，座机号格式:区号-号码", notes =  "联系电话")
	@Column(name = "lxdh")
    private String lxdh;

	@ApiModelProperty(value = "身份证号")
	@Column(name = "sfzh")
    private String sfzh;

	@ApiModelProperty(value = "运输工具1：汽车 2：火车 3：轮船 9：其他", notes =  "运输工具")
	@Column(name = "ysgj")
    private String ysgj;

	@ApiModelProperty(value = "车船号")
	@Column(name = "cch")
    private String cch;

	@ApiModelProperty(value = "现住地址")
	@Column(name = "xxdz")
    private String xxdz;

	@ApiModelProperty(value = "登记时间格式：yyyy-MM-dd HH:mm:ss", notes =  "登记时间")
	@Column(name = "djsj")
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date djsj;

	@ApiModelProperty(value = "登记门岗人员姓名")
	@Column(name = "djmgryxm")
    private String djmgryxm;

	@ApiModelProperty(value = "品种")
	@Column(name = "lspzdm")
    private String lspzdm;

	@ApiModelProperty(value = "等级")
	@Column(name = "lsdjdm")
    private String lsdjdm;

	@ApiModelProperty(value = "性质")
	@Column(name = "lsxzdm")
    private String lsxzdm;

	@ApiModelProperty(value = "收获年度")
	@Column(name = "shnd")
    private String shnd;

	@ApiModelProperty(value = "产地")
	@Column(name = "cddm")
    private String cddm;

	@ApiModelProperty(value = "皮重单位：公斤", notes =  "皮重:公斤")
	@Column(name = "pz")
    private BigDecimal pz;

	@ApiModelProperty(value = "皮重监磅员")
	@Column(name = "pzjby")
    private String pzjby;

	@ApiModelProperty(value = "皮重计量时间格式：yyyy-MM-dd HH:mm:ss", notes =  "皮重计量时间")
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	@Column(name = "pzjlsj")
    private Date pzjlsj;

	@ApiModelProperty(value = "皮重计量员")
	@Column(name = "pzjly")
    private String pzjly;

	@ApiModelProperty(value = "毛重单位：公斤", notes =  "毛重:公斤")
	@Column(name = "mz")
    private BigDecimal mz;

	@ApiModelProperty(value = "毛重监磅员")
	@Column(name = "mzjby")
    private String mzjby;

	@ApiModelProperty(value = "毛重计量时间格式：yyyy-MM-dd HH:mm:ss", notes =  "毛重计量时间")
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	@Column(name = "mzjlsj")
    private Date mzjlsj;

	@ApiModelProperty(value = "毛重计量员")
	@Column(name = "mzjly")
    private String mzjly;

	@ApiModelProperty(value = "包装物1：麻袋 2：编织袋 3：散装 9：其他", notes =  "包装物")
	@Column(name = "bzw")
    private String bzw;

	@ApiModelProperty(value = "标准包单包重单位：公斤", notes =  "标准包单包重:公斤")
	@Column(name = "bzbdbz")
    private BigDecimal bzbdbz;

	@ApiModelProperty(value = "标准包件数单位：件", notes =  "标准包件数")
	@Column(name = "bzbjs")
    private BigDecimal bzbjs;

	@ApiModelProperty(value = "净重单位：公斤", notes =  "净重:公斤")
	@Column(name = "jz")
    private BigDecimal jz;

	@ApiModelProperty(value = "扣增量单位：公斤", notes =  "扣增量:公斤")
	@Column(name = "kzl")
    private BigDecimal kzl;

	@ApiModelProperty(value = "出门时间格式：yyyy-MM-dd HH:mm:ss", notes =  "出门时间")
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	@Column(name = "cmsj")
    private Date cmsj;

	@ApiModelProperty(value = "出门确认门岗人员姓名")
	@Column(name = "cmqrmgryxm")
    private String cmqrmgryxm;

	@ApiModelProperty(value = "出库结算单号")
	@Column(name = "ckjsdh")
    private String ckjsdh;

	@ApiModelProperty(value = "编号")
	@Column(name = "bizno")
    private String bizno;

	@ApiModelProperty(value = "仓房名称")
	@Column(name = "cfmc")
    private String cfmc;

	@ApiModelProperty(value = "廒间编号")
	@Column(name = "ajbh")
	private String ajbh;

	@ApiModelProperty(value = "保管员")
	@Column(name = "bgy")
	private String bgy;

	@ApiModelProperty(value = "客户名称")
	@Column(name = "khmc")
	private String khmc;

	@ApiModelProperty(value = "承运人身份证号")
	@Column(name = "sfzh1")
	private String sfzh1;

	@ApiModelProperty(value = "承运人联系电话")
	@Column(name = "lxdh1")
	private String lxdh1;

	@ApiModelProperty(value = "银行卡号")
	@Column(name = "yhkh")
	private String yhkh;

	@ApiModelProperty(value = "合同编码")
	@Column(name = "htbm")
	private String htbm;

	@ApiModelProperty(value = "结算单价")
	@Column(name = "jsdj")
	private String jsdj;

	@ApiModelProperty(value = "结算金额")
	@Column(name = "jsje")
	private String jsje;

	@ApiModelProperty(value = "开户行名称")
	@Column(name = "khhmc")
	private String khhmc;

	private String mztpid;
	private String pztpid;

	List<Attaches> mztpList;
	List<Attaches> pztpList;

	@ApiModelProperty(value = "登记时间开始格式：yyyy-MM-dd HH:mm:ss", notes = "登记时间开始")
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	private Date djsjStart;

	@ApiModelProperty(value = "登记时间结束格式：yyyy-MM-dd HH:mm:ss", notes = "登记时间结束")
	@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
	private Date djsjEnd;

	@ApiModelProperty(value = "毛重、皮重图片视频信息")
    private List<XwkkuPicVo> xwkkuPicList;

	@ApiModelProperty(value = "明细品种")
	@Column(name = "mxpz")
	private String mxpz;

    @ApiModelProperty(value = "库点名称")
    private String kdmc;
}
