package com.jusfoun.ydylsz.vo.zjbg;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "质检报告功能实体")
public class ZjbgVO extends QueryVo {
    @Id
    private String zjid;

    @ApiModelProperty(value = "检验机构")
    private String jydw;

    @ApiModelProperty(value = "检验机构")
    private String jydwmc;

    @ApiModelProperty(value = "委托机构")
    private String wtjg;

    @ApiModelProperty(value = "委托单位（我方统一社会信用代码）")
    private String tyshxydm;

    @ApiModelProperty(value = "委托机构")
    private String wtdwmc;

    @ApiModelProperty(value = "检验类别")
    private String jylb;

    @ApiModelProperty(value = "粮食品种")
    private String lspz;

    @ApiModelProperty(value = "入库年限")
    private String rknd;

    @ApiModelProperty(value = "质检结果")
    private String jyjg;

    @ApiModelProperty(value = "仓房名称")
    private String cfmc;

    @ApiModelProperty(value = "货位编码")
    private String hwbm;

    @ApiModelProperty(value = "廒间名称")
    private String ajmc;

    @ApiModelProperty(value = "货位名称")
    private String hwmc;

    @ApiModelProperty(value = "保管员")
    private String bgy;

    @ApiModelProperty(value = "粮食性质")
    private String lsxz;

    @ApiModelProperty(value = "粮食数量")
    private String lssl;

    @ApiModelProperty(value = "粮食产地")
    private String lscd;

    @ApiModelProperty(value = "粮食等级")
    private String lsdj;

    @ApiModelProperty(value = "样品数量")
    private String ypsl;

    @ApiModelProperty(value = "样品代表数量")
    private String ypdbsl;

    @ApiModelProperty(value = "扦样人员")
    private String qyry;

    @ApiModelProperty(value = "校验人员")
    private String jyry;

    @ApiModelProperty(value = "扦样时间")
    private String qysj;

    @ApiModelProperty(value = "检验时间")
    private String jysj;

    @ApiModelProperty(value = "出具时间")
    private String cjsj;
    //指标项 小麦----------------------------
    @ApiModelProperty(value = "水分")
    private String sf;

    @ApiModelProperty(value = "容重")
    private String rz;

    @ApiModelProperty(value = "杂质总量")
    private String zzzl;

    @ApiModelProperty(value = "矿物质")
    private String kwz;

    @ApiModelProperty(value = "无机杂质")
    private String wjzz;

    @ApiModelProperty(value = "有机杂质")
    private String yjzz;

    @ApiModelProperty(value = "色泽气味")
    private String szqw;

    @ApiModelProperty(value = "小麦硬度指数")
    private String ydzs;

    @ApiModelProperty(value = "色泽气味1")
    private String szqw1;

    @ApiModelProperty(value = "不完善粒总量")
    private String bwslzl;

    @ApiModelProperty(value = "虫蚀粒")
    private String csl;

    @ApiModelProperty(value = "病斑粒总量")
    private String bblzl;

    @ApiModelProperty(value = "病斑粒黑胚粒")
    private String hpl;

    @ApiModelProperty(value = "赤霉病粒")
    private String cmbl;

    @ApiModelProperty(value = "破损粒")
    private String psl;

    @ApiModelProperty(value = "生芽粒")
    private String syl;

    @ApiModelProperty(value = "生霉粒")
    private String sml;

    @ApiModelProperty(value = "面筋吸水量")
    private String mjxsl;

    @ApiModelProperty(value = "品尝评分值")
    private String pcpfz;

    @ApiModelProperty(value = "筛下物")
    private String sxw;
    // 小麦----------------------------
    //大豆------------------------------
    @ApiModelProperty(value = "完整粒率")
    private String wzll;

    @ApiModelProperty(value = "未熟粒率")
    private String wsll;

    @ApiModelProperty(value = "破粒率")
    private String pll;

    @ApiModelProperty(value = "损伤利率总量")
    private String ssllzl;

    @ApiModelProperty(value = "热损伤粒")
    private String rssl;

    @ApiModelProperty(value = "病斑粒")
    private String bbl;

    @ApiModelProperty(value = "冻伤粒")
    private String dsl;


    @ApiModelProperty(value = "粗脂肪含量")
    private String czfhl;


    @ApiModelProperty(value = "蛋白溶解比率")
    private String dbrjbl;

    @ApiModelProperty(value = "粗脂肪酸值")
    private String czfsz;

    //大豆------------------------------
    //玉米------------------------------
    @ApiModelProperty(value = "霉变粒")
    private String mbl;

    @ApiModelProperty(value = "脂肪酸值")
    private String zfsz;

    @ApiModelProperty(value = "自然热损伤粒")
    private String zrrssl;

    @ApiModelProperty(value = "烘干热损伤粒")
    private String hgrssl;

    //玉米------------------------------
    //稻谷------------------------------
    @ApiModelProperty(value = "粗糙率")
    private String ccl;

    @ApiModelProperty(value = "整精米率")
    private String zjml;

    @ApiModelProperty(value = "谷外糙米")
    private String gwcm;

    @ApiModelProperty(value = "互混率")
    private String hhl;

    @ApiModelProperty(value = "出米率")
    private String cml;

    @ApiModelProperty(value = "糙米率")
    private String caoml;

    @ApiModelProperty(value = "未熟粒")
    private String wsl;

    @ApiModelProperty(value = "黄粒米")
    private String hll;

    //稻谷------------------------------
    //大米------------------------------
    @ApiModelProperty(value = "平均长度")
    private String pjcd;

    @ApiModelProperty(value = "完整米粒")
    private String wzml;

    @ApiModelProperty(value = "碎米总量")
    private String smzl;

    @ApiModelProperty(value = "碎米大碎米")
    private String smdsm;

    @ApiModelProperty(value = "碎米小碎米")
    private String smxsm;

    @ApiModelProperty(value = "加工精度精碾")
    private String jgjdjn;

    @ApiModelProperty(value = "加工精度适碾")
    private String jgjdsn;

    @ApiModelProperty(value = "杂质糠粉")
    private String zzkf;

    @ApiModelProperty(value = "垩白度")
    private String ebd;

    @ApiModelProperty(value = "直链淀粉含量")
    private String zldfhl;

    //大米------------------------------
    //小麦粉------------------------------
    @ApiModelProperty(value = "含沙量")
    private String hsl;

    @ApiModelProperty(value = "加工精度")
    private String jgjd;

    @ApiModelProperty(value = "磁性金属物")
    private String cxjsw;

    @ApiModelProperty(value = "灰分")
    private String hf;

    @ApiModelProperty(value = "粗细度")
    private String cxd;

    @ApiModelProperty(value = "面筋质")
    private String mjz;
    //小麦粉------------------------------
    //成品（包含成品油字段）------------------------------
    @ApiModelProperty(value = "等级")
    private String dj;

    @ApiModelProperty(value = "相对密度")
    private String xdmd;

    @ApiModelProperty(value = "色泽")
    private String sz;

    @ApiModelProperty(value = "透明度")
    private String tmd;

    @ApiModelProperty(value = "水分及挥发物含量")
    private String sfjhfwhl;

    @ApiModelProperty(value = "不溶性杂质含量")
    private String brxzzhl;

    @ApiModelProperty(value = "酸价")
    private String sj;

    @ApiModelProperty(value = "过氧化值")
    private String gyhz;

    @ApiModelProperty(value = "溶剂残留量")
    private String rjcll;

    @ApiModelProperty(value = "含皂量")
    private String hzl;

    @ApiModelProperty(value = "加热试验")
    private String jrsy;

    @ApiModelProperty(value = "冷冻试验")
    private String ldsy;

    @ApiModelProperty(value = "烟点")
    private String yd;

    @ApiModelProperty(value = "气味滋味")
    private String qwzw;
    //----------------------------------------add
    @ApiModelProperty(value = "存储方式")
    private String ccfs;

    @ApiModelProperty(value = "备注")
    private String bz;


    @ApiModelProperty(value="检验时间开始",example = "eg:123.12   10,2")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date jysjStart;

    @ApiModelProperty(value="检验时间结束",example = "eg:123.12   10,2")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date jysjEnd;

    @ApiModelProperty(value="指标集合")
    private List<ZbVO> zbList;

    @ApiModelProperty(value="查询方式,0 单一  1 组合  ")
    private String cxfs;
    
    
    //20210519对接添加    
    @ApiModelProperty(value = "油罐id")
    private String ygid;

    @ApiModelProperty(value="指标结果判定 0 宜存, 1 轻度不宜存,2 重度不宜存, 3 达标, 4 不达标, 5 合格, 6 不合格")
    private String storequality;

    @ApiModelProperty(value = "承储库点")
    private String kdmc;

    @ApiModelProperty(value = "品种明细")
    private String lspzmx;

    @ApiModelProperty(value="检验时间开始月份")
    private String jysjStartMonth;

    @ApiModelProperty(value="检验时间结束月份")
    private String jysjEndMonth;

    @ApiModelProperty(value = "质检报告单号（由检验类别+检验日期（yyyyMMdd）+4位顺序号组成）")
    private String zjbgdh;

    @ApiModelProperty(value="检验时间",example = "eg:123.12   10,2")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date jysjDate;

    @ApiModelProperty(value="指标类别,0 宜存；1 轻度不宜存；2 重度不宜存；3 达标； 4 不达标；5 合格；6 不合格 #分割")
    private String zblb;

    @ApiModelProperty(value="扦样区域")
    private String qyqy;

    @ApiModelProperty(value="样品等级")
    private String ypdj;

    @ApiModelProperty(value="业务类型 0 库级；1 市级")
    private String ywlx;

    @ApiModelProperty(value="入库时间")
    private Date rksj;

    @ApiModelProperty(value="其它病粒")
    private String qtbl;

    @ApiModelProperty(value="小麦硬度指数")
    private String xmydzs;

    @ApiModelProperty(value="审核人姓名")
    private String shrxm;

    @ApiModelProperty(value="是否正常存储年限（0：否 1是）")
    private String sfzcccnx;

    @ApiModelProperty(value = "粮食品种")
    private String lspzdm;

    @ApiModelProperty(value = "粮食等级代码")
    private String djbm;

    @ApiModelProperty(value = "检验依据(0：其他 1：国标)")
    private String jyyj;

    @ApiModelProperty(value = "附件id")
    private String fileid;

    @ApiModelProperty(value = "样品等级代码")
    private String ypdjdm;

    @ApiModelProperty(value="糙米粒")
    private String caomili;

    @ApiModelProperty(value="库点编码")
    private String kddm;

    @ApiModelProperty(value="仓房编码")
    private String cfbm;
}
